2018-08-05  Regina Obe <lr@pcorp.us>

	* configure.ac: Get rid of the dev in the version patch number

2018-08-05  Regina Obe <lr@pcorp.us>

	* Makefile.am: Revise to all building changelog from git

2018-08-05  Regina Obe <lr@pcorp.us>

	* HOWTO_RELEASE, NEWS: Prep for 3.6.3 release

2018-08-04  Regina Obe <lr@pcorp.us>

	* AUTHORS: Update AUTHORS so lists current devs and is primary
	References #898 for GEOS 3.6.3

2018-08-01  Daniel Baston <dbaston@gmail.com>

	* src/operation/intersection/RectangleIntersectionBuilder.cpp: Avoid
	use of C++11 scoped enum

2018-07-31  Daniel Baston <dbaston@gmail.com>

	* tests/unit/operation/intersection/RectangleIntersectionTest.cpp: 
	Avoid use of C++11 initialization braces

2018-07-30  Daniel Baston <dbaston@gmail.com>

	* src/operation/intersection/RectangleIntersection.cpp,
	src/operation/intersection/RectangleIntersectionBuilder.cpp,
	tests/unit/operation/intersection/RectangleIntersectionTest.cpp: Fix
	infinite loop in GEOSClipByRect Fixes #865 Closes https://github.com/libgeos/geos/pull/110

2018-05-31  dbaston <dbaston@gmail.com>

	* : commit 679c0058c35fe0fd987dfecaf7a5e8136ac9d443 Author: Daniel
	Baston <dbaston@gmail.com> Date:   Wed May 30 22:06:13 2018 -0400

2017-11-24  Mateusz Loskot <mateusz@loskot.net>

	* include/geos/index/strtree/AbstractSTRtree.h,
	src/algorithm/CGAlgorithms.cpp, src/algorithm/LineIntersector.cpp,
	src/geom/IntersectionMatrix.cpp: Remove BOM mark Fixes #846

2017-11-23  Sandro Santilli <strk@kbt.io>

	* NEWS: Add GCC-4.9 support restored in NEWS (BOM related)

2017-11-23  Sandro Santilli <strk@kbt.io>

	* include/geos/util/GEOSException.h: Another BOM removed This one was added in dbc52d41fd43bb9bdec31fc9969a66d05bc4bf95 See #846

2017-11-23  Sandro Santilli <strk@kbt.io>

	* include/geos/geom/Lineal.h, include/geos/geom/Polygonal.h,
	include/geos/geom/Puntal.h: Remove BOM from header files It was accidentally added by
	fbb4431f84ba516b873961b373567ae79a1d92e2 Fixes #846

2017-09-10  Sandro Santilli <strk@kbt.io>

	* src/operation/overlay/validate/OverlayResultValidator.cpp: Remove
	unused code and protect debug-only used one

2017-07-26  Sandro Santilli <strk@kbt.io>

	* NEWS: Add note about CMake files distribution

2017-06-22  Manuel Grizonnet <manuel.grizonnet@cnes.fr>

	* Makefile.am: ENH: add GenerateSourceGroups.cmake to EXTRA_DIST

2017-07-25  Sandro Santilli <strk@kbt.io>

	* CMakeLists.txt, NEWS, capi/geos_c.h.in, configure.ac,
	include/geos/version.h.vc: Prepare for 3.6.3

2017-07-25  Sandro Santilli <strk@kbt.io>

	* CMakeLists.txt, HOWTO_RELEASE, capi/geos_c.h.in,
	include/geos/version.h.vc: Fix 3.6.2 versions in more places

2017-07-25  Sandro Santilli <strk@kbt.io>

	* NEWS, configure.ac: Set release date for 3.6.2

2017-07-25  Sandro Santilli <strk@kbt.io>

	* HOWTO_RELEASE: Indexed steps, configure.ac name fix

2017-07-19  Sandro Santilli <strk@kbt.io>

	* tests/xmltester/Makefile.am, tests/xmltester/XMLTester.cpp,
	tests/xmltester/XMLTester.h, tests/xmltester/tests/general/MISSING,
	tests/xmltester/tests/general/TestPreparedPointPredicate.xml,
	tests/xmltester/tests/general/TestPreparedPolygonPredicate.xml,
	tests/xmltester/tests/general/TestPreparedPredicatesWithGeometryCol
	lection.xml: Add support for testing prepared geometries operations
	in XMLTester Add 3 more tests from JTS testsuite now that they can be run See
	#694 for 3.6 branch

2017-07-14  Sandro Santilli <strk@kbt.io>

	* tests/xmltester/XMLTester.cpp: Use overlay specific result checker The check just supports some snap-distance based tolerance for exact
	match (in addition to topology equality which is needed for some JTS
	tests to pass) Closes #837 (backport of tolerant test checker to 3.6 branch)

2017-07-11  Sandro Santilli <strk@kbt.io>

	* NEWS, include/geos/operation/union/CascadedPolygonUnion.h,
	include/geos/operation/union/GeometryListHolder.h,
	src/operation/union/CascadedPolygonUnion.cpp,
	tests/xmltester/Makefile.am,
	tests/xmltester/tests/ticket/bug837.xml: UnaryUnion: Drop assumption
	about union not moving vertices The assumption resulted in invalid geometries being output by
	CascadedPolygonUnion intermediary results and then fed as input by
	further union calls, which in turn would fail on first robustness
	issue.  Fixes #837 in 3.6 branch Includes automated XML test

2017-07-14  Sandro Santilli <strk@kbt.io>

	* .editorconfig: Institutionalize that CascadedUnion directories
	uses spaces indent

2017-04-24  Mateusz Łoskot <mateusz@loskot.net>

	* tests/xmltester/XMLTester.cpp: Avoid use of internal
	geos/util/math.h Copy java_math_round geos/util/math.cpp to xmltester.cpp.  Declared
	functions are internal to the library and not included in GEOS
	shared library exports.  Fixes #831

2017-04-18  Mateusz Łoskot <mateusz@loskot.net>

	* nmake.opt: Add NMAKE_VER from VS 2017 Version 15.1

2017-04-15  Sandro Santilli <strk@kbt.io>

	* NEWS: Add NEWS item about WKTReader leak fixes

2017-04-12  Kurt Schwehr <schwehr@google.com>

	* src/io/WKTReader.cpp, tests/unit/io/WKTReaderTest.cpp: Fix leaks
	in WKT parser Cleanup if failing to parse the WKT MultiLineString, MultiPolygon,
	and GeometryCollection string.  Wrap parsing in try blocks.  Catch any exception, cleanup, and
	rethrow.  Closes #830 Includes testcase Signed-off-by: Sandro Santilli <strk@kbt.io>

2017-04-12  Sandro Santilli <strk@kbt.io>

	* README.md: Update drone build badge url

2017-04-11  Sandro Santilli <strk@kbt.io>

	* tests/xmltester/XMLTester.cpp: Fixed compile error in Microsoft
	VS2010 Patch by sunxunfeng Closes #801 in 3.6 branch

2017-04-10  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/capi/GEOSSTRtreeTest.cpp: Add explicit cast of sqrt
	arguments to double Fixes parts of #801

2017-04-10  Mateusz Loskot <mateusz@loskot.net>

	* tools/CMakeLists.txt: [CMake] Fix geos-config is not installed on
	MinGW/MSYS builds Closes #706

2017-04-10  Sandro Santilli <strk@kbt.io>

	* TODO: Triangulation API was ported

2017-04-08  Sandro Santilli <strk@kbt.io>

	* HOWTO_RELEASE: Update release howto for SVN -> GIT move Closes #825

2017-04-08  Sandro Santilli <strk@kbt.io>

	* tests/unit/Makefile.am: Distribute all of the new TUT Fixes #824

2017-04-06  Mateusz Loskot <mateusz@loskot.net>

	* README.md: [README] Fix branches vs URLs mix-up [ci skip]

2017-04-06  Mateusz Loskot <mateusz@loskot.net>

	* README.md: [README] Switch Travis CI and AppVeyor URLs to
	/OSGeo/geos Add svn-trunk to CI build status table.  [ci skip]

2017-04-06  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/tut/tut.hpp, tests/unit/tut/tut_assert.hpp,
	tests/unit/tut/tut_config.hpp,
	tests/unit/tut/tut_console_reporter.hpp,
	tests/unit/tut/tut_cppunit_reporter.hpp,
	tests/unit/tut/tut_exception.hpp, tests/unit/tut/tut_fpt.hpp,
	tests/unit/tut/tut_macros.hpp, tests/unit/tut/tut_main.hpp,
	tests/unit/tut/tut_posix.hpp, tests/unit/tut/tut_reporter.hpp,
	tests/unit/tut/tut_restartable.hpp, tests/unit/tut/tut_result.hpp,
	tests/unit/tut/tut_runner.hpp, tests/unit/tut/tut_xml_reporter.hpp: 
	Update TUT to latest release 2016-12-19.  Source:
	https://github.com/mrzechonek/tut-framework/releases/tag/2016-12-19 Fixes #639 Fixes #804

2017-04-05  Sandro Santilli <strk@kbt.io>

	* README.md: Remove alt tag (confuses github)

2017-04-05  Sandro Santilli <strk@kbt.io>

	* README.md: Fix markdown table

2017-04-05  Sandro Santilli <strk@kbt.io>

	* README.md: Add winnie badge, move Dronie to the left

2017-04-05  Sandro Santilli <strk@kbt.io>

	* README.md: Fix build badge urls, drop drone

2017-04-05  Sandro Santilli <strk@kbt.io>

	* README.md: Quotes in markdown git-svn-id: http://svn.osgeo.org/geos/branches/3.6@4398
	5242fede-7e19-0410-aef8-94bd7d2200fb

2017-04-04  Sandro Santilli <strk@kbt.io>

	* .gitignore, CMakeLists.txt, Makefile.am, autogen.bat,
	capi/geos_ts_c.cpp, tools/Makefile.am,
	tools/geos_revision_cmake.h.in, tools/geos_svn_revision_cmake.h.in,
	tools/{svn_repo_revision.sh => repo_revision.sh}: Add support for
	GIT only revision references Backports revisions 4388-4396 from trunk Fixes #794 for 3.6 branch git-svn-id: http://svn.osgeo.org/geos/branches/3.6@4396
	5242fede-7e19-0410-aef8-94bd7d2200fb

2017-03-28  Mateusz Loskot <mateusz@loskot.net>

	* .editorconfig, .travis.yml, CMakeLists.txt: Merged revision(s)
	4382-4384 from trunk: Add indent_size = 2 for .yml files ........
	Travis CI: Add ppa:george-edison55/precise-backports with CMake 3+
	........  CMake: Use CMAKE_CXX_STANDARD to require C++98 ........  git-svn-id: http://svn.osgeo.org/geos/branches/3.6@4385
	5242fede-7e19-0410-aef8-94bd7d2200fb

2017-03-28  Mateusz Loskot <mateusz@loskot.net>

	* CMakeLists.txt, NEWS: Merged revision(s) 4380 from trunk: CMake:
	Bump cmake_minimum_required to 3.0.0 Closes #817 git-svn-id: http://svn.osgeo.org/geos/branches/3.6@4381
	5242fede-7e19-0410-aef8-94bd7d2200fb

2017-03-26  Mateusz Loskot <mateusz@loskot.net>

	* NEWS: Update NEWS with r4372 and r4373:   - AppVeyor CI build added (#813)   - Clean up numerous MSVC warnings, notably C4275 and C4589 (#814) git-svn-id: http://svn.osgeo.org/geos/branches/3.6@4374
	5242fede-7e19-0410-aef8-94bd7d2200fb

2017-03-26  Mateusz Loskot <mateusz@loskot.net>

	* autogen.bat, include/geos/geom/Lineal.h,
	include/geos/geom/Polygonal.h, include/geos/geom/Puntal.h,
	include/geos/index/strtree/AbstractSTRtree.h,
	include/geos/util/GEOSException.h, src/algorithm/CGAlgorithms.cpp,
	src/algorithm/LineIntersector.cpp, src/geom/IntersectionMatrix.cpp: 
	Merged revision(s) 4344-4346, 4350, 4356, 4364 from trunk: Fix
	warning: conversion from size_t to int ........  Disable warning
	C4275: non-DLL-interface std::exception used as base for
	DLL-interface GEOSException ........  Fix warnings about variables
	aliasing within scope ........  Disable false warning C4589 :
	Constructor of abstract class A ignores initializer for virtual base
	class B (Details at

	https://connect.microsoft.com/VisualStudio/feedback/details/1581706/false-warning-c4589-constructor-of-abstract-class-class2-ignores-initializer-for-virtual-base-class-class1)........  Fix warnings about variables aliasing within scope
	........  Add step generating geos_svn_revision.h template with
	revision 0 Simplifies CI build steps.  ........  git-svn-id: http://svn.osgeo.org/geos/branches/3.6@4373
	5242fede-7e19-0410-aef8-94bd7d2200fb

2017-03-26  Mateusz Loskot <mateusz@loskot.net>

	* appveyor.yml: Merged revision(s) 4343, 4347-4349, 4351-4355, 4358,
	4360, 4362, 4365 from trunk: AppVeyor: Sync CI builds configuration
	with trunk git-svn-id: http://svn.osgeo.org/geos/branches/3.6@4372
	5242fede-7e19-0410-aef8-94bd7d2200fb

2017-03-21  Mateusz Loskot <mateusz@loskot.net>

	* appveyor.yml: AppVeyor: Restore and fix build configuration git-svn-id: http://svn.osgeo.org/geos/branches/3.6@4363
	5242fede-7e19-0410-aef8-94bd7d2200fb

2017-03-17  Mateusz Loskot <mateusz@loskot.net>

	* nmake.opt: Merged revision(s) 4340 from trunk: Add NMAKE version
	from VS2017 RTM git-svn-id: http://svn.osgeo.org/geos/branches/3.6@4341
	5242fede-7e19-0410-aef8-94bd7d2200fb

2017-02-14  Sandro Santilli <strk@kbt.io>

	* NEWS, include/geos/geomgraph/DirectedEdge.h,
	include/geos/geomgraph/DirectedEdgeStar.h,
	src/geomgraph/DirectedEdge.cpp, src/geomgraph/DirectedEdgeStar.cpp: 
	Fix overloaded virtual print in DirectedEdge*.  - Make print() method of child classes also const - Make getDepthDelta() const - Add virtual.  For C++11 and newer this eventually should be
	overload.  e.g.  geos::geomgraph::DirectedEdge::print' hides overloaded virtual
	function [-Woverloaded-virtual] Patch by Kurt Schwehr <schwehr@google.com> Closes #812 in 3.6 branch
	(for 3.6.2) git-svn-id: http://svn.osgeo.org/geos/branches/3.6@4337
	5242fede-7e19-0410-aef8-94bd7d2200fb

2017-02-14  Sandro Santilli <strk@kbt.io>

	* NEWS, src/algorithm/LineIntersector.cpp,
	src/operation/overlay/OverlayOp.cpp: Protect from computations
	against NaN numbers Fixes an unhandled exception: 0xC0000090: Floating-point invalid
	operation.  Closes #811 for 3.6 branch - thanks sunxunfeng git-svn-id: http://svn.osgeo.org/geos/branches/3.6@4335
	5242fede-7e19-0410-aef8-94bd7d2200fb

2017-02-01  Sandro Santilli <strk@kbt.io>

	* NEWS, src/geom/util/GeometryEditor.cpp,
	src/index/strtree/AbstractSTRtree.cpp,
	src/linearref/ExtractLineByLocation.cpp,
	src/operation/union/CascadedPolygonUnion.cpp,
	src/operation/union/CascadedUnion.cpp: Add static_assert<bool> to
	strings inside of assert calls Allows compiling with -Wpointer-bool-conversion.  Patch by Kurt Schwehr <schwehr@google.com> Closes #638 git-svn-id: http://svn.osgeo.org/geos/branches/3.6@4332
	5242fede-7e19-0410-aef8-94bd7d2200fb

2017-01-18  Sandro Santilli <strk@kbt.io>

	* NEWS, src/algorithm/MinimumDiameter.cpp: Fix build for android-ndk Closes #799 (and #802) git-svn-id: https://svn.osgeo.org/geos/branches/3.6@4327
	5242fede-7e19-0410-aef8-94bd7d2200fb

2017-01-18  Sandro Santilli <strk@kbt.io>

	* src/algorithm/MinimumDiameter.cpp: Remove trailing spaces git-svn-id: https://svn.osgeo.org/geos/branches/3.6@4326
	5242fede-7e19-0410-aef8-94bd7d2200fb

2017-01-05  Sandro Santilli <strk@kbt.io>

	* NEWS: Add python3 support item git-svn-id: http://svn.osgeo.org/geos/branches/3.6@4324
	5242fede-7e19-0410-aef8-94bd7d2200fb

2017-01-05  Sandro Santilli <strk@kbt.io>

	* macros/python.m4: Update python m4 macro, should fix #774 git-svn-id: http://svn.osgeo.org/geos/branches/3.6@4323
	5242fede-7e19-0410-aef8-94bd7d2200fb

2017-01-05  Sandro Santilli <strk@kbt.io>

	* HOWTO_RELEASE, Makefile.am: Print a warning if ChangeLog isn't
	found on make dist Tweak HOWTO_RELEASE file to make sure a ChangeLog is included git-svn-id: http://svn.osgeo.org/geos/branches/3.6@4322
	5242fede-7e19-0410-aef8-94bd7d2200fb

2017-01-05  Sandro Santilli <strk@kbt.io>

	* CMakeLists.txt, NEWS, configure.ac: Target 3.6.2 git-svn-id: http://svn.osgeo.org/geos/branches/3.6@4321
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-12-24  Sandro Santilli <strk@kbt.io>

	* CMakeLists.txt, NEWS, configure.ac: Set 3.6.1 version and release
	date git-svn-id: http://svn.osgeo.org/geos/branches/3.6@4316
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-12-13  Sandro Santilli <strk@kbt.io>

	* NEWS: Remove yet-to-define 3.6.1 release date git-svn-id: http://svn.osgeo.org/geos/branches/3.6@4315
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-12-02  Sandro Santilli <strk@kbt.io>

	* NEWS, include/geos/geom/util/GeometryTransformer.h,
	src/geom/util/GeometryTransformer.cpp,
	src/simplify/DouglasPeuckerSimplifier.cpp,
	tests/unit/simplify/DouglasPeuckerSimplifierTest.cpp: Fix empty
	GEOSSimplify return on inner ring collapse Patch by Even Rouault Closes #741 git-svn-id: http://svn.osgeo.org/geos/branches/3.6@4313
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-12-02  Sandro Santilli <strk@kbt.io>

	* include/geos/geom/util/GeometryTransformer.h,
	src/geom/util/GeometryTransformer.cpp,
	src/simplify/DouglasPeuckerSimplifier.cpp,
	tests/unit/simplify/DouglasPeuckerSimplifierTest.cpp: Style only
	change, trim trailing blanks and fix indents git-svn-id: http://svn.osgeo.org/geos/branches/3.6@4312
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-12-01  Sandro Santilli <strk@kbt.io>

	* NEWS, src/io/WKBWriter.cpp, tests/unit/io/WKBWriterTest.cpp: Fix
	WKB representation of empty polygon.  Patch by Sergey Fedoseev Closes #680.  git-svn-id: http://svn.osgeo.org/geos/branches/3.6@4309
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-11-22  Sandro Santilli <strk@kbt.io>

	* NEWS, tools/geos-config.in: Fix --static-clibs and --static-cclibs
	returns from geos-config Patch by Edzer Pebesma <edzer.pebesma@uni-muenster.de> git-svn-id: http://svn.osgeo.org/geos/branches/3.6@4306
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-11-10  Sandro Santilli <strk@kbt.io>

	* NEWS, capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp: Fix
	GEOSSTRtree_nearest_r signature and add missing implementation Closes #796 git-svn-id: http://svn.osgeo.org/geos/branches/3.6@4304
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-11-10  Sandro Santilli <strk@kbt.io>

	* NEWS: Fix NEWS git-svn-id: http://svn.osgeo.org/geos/branches/3.6@4302
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-10-28  Sandro Santilli <strk@kbt.io>

	* .drone.yml: Update drone yml to 0.5 version See https://git.osgeo.org/gogs/sac/gogs-service/issues/14 git-svn-id: http://svn.osgeo.org/geos/branches/3.6@4297
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-10-27  Sandro Santilli <strk@kbt.io>

	* .gitlab-ci.yml: Install a fake git2cl in gitlab-ci This fixes "distcheck" step git-svn-id: http://svn.osgeo.org/geos/branches/3.6@4292
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-10-27  Sandro Santilli <strk@kbt.io>

	* HOWTO_RELEASE: Update release procedure to drop manual ChangeLog
	generation git-svn-id: http://svn.osgeo.org/geos/branches/3.6@4287
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-10-27  Sandro Santilli <strk@kbt.io>

	* ChangeLog, Makefile.am: Remove ChangeLog from repository.  The file will be created by "make dist" from either git (if .git
	exists) or svn (if .svn exists).  Tested with builds from package, from source dir and from external
	build dir. Only automake.  See #778 git-svn-id: http://svn.osgeo.org/geos/branches/3.6@4282
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-10-25  Sandro Santilli <strk@kbt.io>

	* CMakeLists.txt, HOWTO_RELEASE, capi/geos_c.h.in, configure.ac,
	include/geos/version.h.vc: Prepare for 3.6.1 git-svn-id: http://svn.osgeo.org/geos/branches/3.6@4274
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-10-25  Sandro Santilli <strk@kbt.io>

	* : Branched 3.6 from trunk git-svn-id: http://svn.osgeo.org/geos/branches/3.6@4271
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-10-25  Sandro Santilli <strk@kbt.io>

	* : Drop php subdir git-svn-id: http://svn.osgeo.org/geos/trunk@4269
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-10-25  Sandro Santilli <strk@kbt.io>

	* ChangeLog: Update ChangeLog for 3.6.0 release git-svn-id: http://svn.osgeo.org/geos/trunk@4263
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-10-25  Sandro Santilli <strk@kbt.io>

	* NEWS: Tweak NEWS, in preparation for 3.6.0 release git-svn-id: http://svn.osgeo.org/geos/trunk@4262
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-10-04  Sandro Santilli <strk@kbt.io>

	* src/operation/overlay/snap/LineStringSnapper.cpp: And more
	trailing spaces git-svn-id: http://svn.osgeo.org/geos/trunk@4261
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-10-04  Sandro Santilli <strk@kbt.io>

	* include/geos/operation/overlay/snap/LineStringSnapper.h: Remove
	more trailing blanks git-svn-id: http://svn.osgeo.org/geos/trunk@4260
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-10-04  Sandro Santilli <strk@kbt.io>

	* src/operation/overlay/snap/GeometrySnapper.cpp: Drop trailing
	blanks git-svn-id: http://svn.osgeo.org/geos/trunk@4259
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-09-27  Sandro Santilli <strk@kbt.io>

	* capi/geos_c.h.in: wrong GEOS_DLL position Should not be type* GEOS_DLL function(), but type GEOS_DLL
	*function().  Doesn't build on windows before the modif Patch by @bartoli Closes https://github.com/libgeos/libgeos/pull/70 git-svn-id: http://svn.osgeo.org/geos/trunk@4258
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-09-07  Sandro Santilli <strk@kbt.io>

	* include/geos/geom/Geometry.h, include/geos/geom/LineString.h: Fix
	documentation typos.  Courtesy of Todd Trimble <todd.trimble@gmail.com> git-svn-id: http://svn.osgeo.org/geos/trunk@4257
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-09-07  Sandro Santilli <strk@kbt.io>

	* tests/unit/capi/GEOSGeom_createCollection.cpp: Fix initialization
	order warning git-svn-id: http://svn.osgeo.org/geos/trunk@4256
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-09-07  Sandro Santilli <strk@kbt.io>

	* CMakeLists.txt: CMake: generate geos_svn_revision.h in binary
	directory if not exists Patch by Rashad Kanavath <rashad.kanavath@c-s.fr> git-svn-id: http://svn.osgeo.org/geos/trunk@4255
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-09-07  Sandro Santilli <strk@kbt.io>

	* NEWS, capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp,
	include/geos/geom/Geometry.h, tests/unit/Makefile.am,
	tests/unit/capi/GEOSUserDataTest.cpp: Add GEOSGeom_setUserData and
	GEOSGeom_getUserData Patch by Rashad Kanavath <rashad.kanavath@c-s.fr> git-svn-id: http://svn.osgeo.org/geos/trunk@4254
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-09-02  Sandro Santilli <strk@kbt.io>

	* CMakeLists.txt, src/CMakeLists.txt: Add option to build static and
	shared. (default is build both) Fixes #788 Patch by Rashad Kanavath <rashad.kanavath@c-s.fr> git-svn-id: http://svn.osgeo.org/geos/trunk@4253
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-09-02  Sandro Santilli <strk@kbt.io>

	* authors.svn: Fix my email address git-svn-id: http://svn.osgeo.org/geos/trunk@4252
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-08-24  Mateusz Loskot <mateusz@loskot.net>

	* CMakeLists.txt: CMake now sets GEOS_BUILD_PACKAGED to FALSE on CI
	services git-svn-id: http://svn.osgeo.org/geos/trunk@4251
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-08-24  Mateusz Loskot <mateusz@loskot.net>

	* CMakeLists.txt: Add CMake ${PROJECT_BINARY_DIR} to include
	directories for geos_ts.cpp which does #include
	"../geos_svn_revision.h", whereas CMake generates
	geos_svn_revision.h in build directory, to not to pollute source
	tree.  git-svn-id: http://svn.osgeo.org/geos/trunk@4250
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-08-24  Mateusz Loskot <mateusz@loskot.net>

	* build.bat: Add convenient build.bat for Visual Studio and CMake
	users: * Runs CMake to configure 32-bit or 64-bit build with the latest
	release of Visual Studio.  * Runs MSBuild to build the generated solution.  git-svn-id: http://svn.osgeo.org/geos/trunk@4249
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-08-03  Mateusz Loskot <mateusz@loskot.net>

	* src/Makefile.vc: Add missing .cpp files added in r4203 git-svn-id: http://svn.osgeo.org/geos/trunk@4245
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-08-03  Mateusz Loskot <mateusz@loskot.net>

	* nmake.opt: Add NMAKE version from VS2015 Update 3 git-svn-id: http://svn.osgeo.org/geos/trunk@4244
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-07-21  Sandro Santilli <strk@kbt.io>

	* .drone.yml: Only run "make check", not "make distcheck" ... distcheck can be run manually just before a release git-svn-id: http://svn.osgeo.org/geos/trunk@4243
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-07-21  Sandro Santilli <strk@kbt.io>

	* .drone.yml, docker/README, docker/build-test/Dockerfile,
	docker/build-test/Makefile: Remove docker config Docker configurations are not hosted on
	https://git.osgeo.org/gogs/geos/geos-docker/ git-svn-id: http://svn.osgeo.org/geos/trunk@4242
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-07-21  Sandro Santilli <strk@kbt.io>

	* src/operation/buffer/BufferOp.cpp: Do not define unused function git-svn-id: http://svn.osgeo.org/geos/trunk@4241
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-07-21  Sandro Santilli <strk@keybit.net>

	* .drone.yml: Fix test-image variable use git-svn-id: http://svn.osgeo.org/geos/trunk@4240
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-07-21  Sandro Santilli <strk@keybit.net>

	* .drone.yml: Turn off optimization while building, reduce clone
	depth git-svn-id: http://svn.osgeo.org/geos/trunk@4239
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-07-19  Sandro Santilli <strk@keybit.net>

	* web/index.html, web/style.css: Remove website content Moved to https://git.osgeo.org/gogs/geos/website (was obsoleted and
	unused anyway) git-svn-id: http://svn.osgeo.org/geos/trunk@4238
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-07-19  Sandro Santilli <strk@keybit.net>

	* .gitignore, Makefile.am, NEWS, README.md, configure.ac,
	php/Makefile.am, php/README, php/TODO, php/geos.c, php/php_geos.h,
	php/test/Makefile.am, php/test/crashme.php, php/test/test.php: 
	Remove PHP bindings, leave refs to separate repository Closes #765 git-svn-id: http://svn.osgeo.org/geos/trunk@4237
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-07-19  Sandro Santilli <strk@keybit.net>

	* docker/build-test/Dockerfile: Reduce size of build-test image git-svn-id: http://svn.osgeo.org/geos/trunk@4236
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-07-16  Sandro Santilli <strk@keybit.net>

	* README.md: Add link to build status table on trac git-svn-id: http://svn.osgeo.org/geos/trunk@4235
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-07-16  Sandro Santilli <strk@keybit.net>

	* .gitignore, docker/README, docker/build-test/Dockerfile,
	docker/build-test/Makefile: Add configuration to make dockers for
	build-testing GEOS git-svn-id: http://svn.osgeo.org/geos/trunk@4234
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-07-15  Sandro Santilli <strk@keybit.net>

	* README.md: Add OSGeo/Drone badge git-svn-id: http://svn.osgeo.org/geos/trunk@4233
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-07-15  Sandro Santilli <strk@keybit.net>

	* .drone.yml: Add a "make check" step to the drone config git-svn-id: http://svn.osgeo.org/geos/trunk@4231
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-07-15  Sandro Santilli <strk@keybit.net>

	* README.md: Adds all the currently supported Visual Studio versions Patch by gmasetti@ccom.unh.edu git-svn-id: http://svn.osgeo.org/geos/trunk@4230
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-07-14  Sandro Santilli <strk@keybit.net>

	* include/geos/platform.h.in: Fully qualify isnan call when
	HAVE_ISNAN is defined Fixes build with GCC-5.3.0 and higher.  Closes #784 git-svn-id: http://svn.osgeo.org/geos/trunk@4224
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-07-12  Sandro Santilli <strk@keybit.net>

	* .drone.yml: Add .drone.yml git-svn-id: http://svn.osgeo.org/geos/trunk@4221
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-07-09  Sandro Santilli <strk@keybit.net>

	* tests/perf/Makefile.am: Add missing LIBS Thanks Andrew Watkins for spotting this git-svn-id: http://svn.osgeo.org/geos/trunk@4220
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-06-29  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/capi/GEOSMinimumClearanceTest.cpp: Compare inf == inf
	instead of ensure_equals(inf, inf).  The latter compares the difference, but inf minus inf result is
	indeterminate.  git-svn-id: http://svn.osgeo.org/geos/trunk@4219
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-06-09  Mateusz Loskot <mateusz@loskot.net>

	* CMakeLists.txt: Fix CMake syntax.  git-svn-id: http://svn.osgeo.org/geos/trunk@4218
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-06-09  Mateusz Loskot <mateusz@loskot.net>

	* CMakeLists.txt: CI builds (Travis CI, AppVeyor, etc.) perform git
	clone, not svn checkout.  So, CI environment needs a dummy revision
	(e.g. 999999) to generate the required header.  git-svn-id: http://svn.osgeo.org/geos/trunk@4217
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-06-08  Mateusz Loskot <mateusz@loskot.net>

	* README.md: Fix Markdown syntax for build status table.  git-svn-id: http://svn.osgeo.org/geos/trunk@4216
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-06-08  Mateusz Loskot <mateusz@loskot.net>

	* appveyor.yml: AppVeyor: add some colours git-svn-id: http://svn.osgeo.org/geos/trunk@4215
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-06-07  Mateusz Loskot <mateusz@loskot.net>

	* README.md: Add AppVeyor and Drone.io badge status.  Reformat build
	status into table by service X branch.  git-svn-id: http://svn.osgeo.org/geos/trunk@4214
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-06-07  Mateusz Loskot <mateusz@loskot.net>

	* appveyor.yml: AppVeyor: Fix CMake build folder location git-svn-id: http://svn.osgeo.org/geos/trunk@4213
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-06-07  Mateusz Loskot <mateusz@loskot.net>

	* appveyor.yml: First stab at AppVeyor configuration git-svn-id: http://svn.osgeo.org/geos/trunk@4212
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-06-07  Mateusz Loskot <mateusz@loskot.net>

	* CMakeLists.txt: Merged revision(s) 4210 from branches/3.5: Update
	CMake configuration based on trunk/CMakeLists.txt git-svn-id: http://svn.osgeo.org/geos/trunk@4211
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-06-07  Mateusz Loskot <mateusz@loskot.net>

	* capi/geos_c.h.in,
	include/geos/index/strtree/GeometryItemDistance.h,
	include/geos/precision/MinimumClearance.h, src/Makefile.vc: Fix
	Visual C++ builds with NMAKE and CMake (Ticket #777): * Correct __declspec specifier placement in C API function
	prototypes.  * Add GEOS_DLL missing from new classes added recently.  * Update makefile.vc with implementation files added recently.  git-svn-id: http://svn.osgeo.org/geos/trunk@4209
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-05-12  Sandro Santilli <strk@keybit.net>

	* README.md: Revert "Cips" This reverts commit c816b6747129a59f82c6ebc9a952bc11b32a48f6.  Sorry, was a debug commit pushed in error git-svn-id: http://svn.osgeo.org/geos/trunk@4208
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-05-12  Sandro Santilli <strk@keybit.net>

	* README.md: Use https for debbie links git-svn-id: http://svn.osgeo.org/geos/trunk@4207
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-05-12  Sandro Santilli <strk@keybit.net>

	* README.md: Cips git-svn-id: http://svn.osgeo.org/geos/trunk@4205
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-04-25  Sandro Santilli <strk@keybit.net>

	* include/geos/operation/distance/FacetSequence.h,
	include/geos/operation/distance/FacetSequenceTreeBuilder.h,
	include/geos/precision/MinimumClearance.h,
	src/operation/distance/FacetSequence.cpp,
	src/operation/distance/FacetSequenceTreeBuilder.cpp,
	src/precision/MinimumClearance.cpp: Include hash in Last Port for
	MinimumClearance classes git-svn-id: http://svn.osgeo.org/geos/trunk@4204
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-04-25  Sandro Santilli <strk@keybit.net>

	* NEWS, capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp,
	include/geos/index/strtree/BoundablePair.h,
	include/geos/index/strtree/STRtree.h,
	include/geos/operation/distance/FacetSequence.h,
	include/geos/operation/distance/FacetSequenceTreeBuilder.h,
	include/geos/operation/distance/Makefile.am,
	include/geos/precision/Makefile.am,
	include/geos/precision/MinimumClearance.h,
	src/index/strtree/BoundablePair.cpp, src/index/strtree/STRtree.cpp,
	src/operation/distance/FacetSequence.cpp,
	src/operation/distance/FacetSequenceTreeBuilder.cpp,
	src/operation/distance/Makefile.am, src/precision/Makefile.am,
	src/precision/MinimumClearance.cpp, tests/unit/Makefile.am,
	tests/unit/capi/GEOSMinimumClearanceTest.cpp: Implement
	GEOSMinimumClearance and GEOSMinimumClearanceLine Includes tests and C-API exposure.  Patch by Daniel Baston <dbaston@maponics.com> via
	https://github.com/libgeos/libgeos/pull/65 Closes #776 git-svn-id: http://svn.osgeo.org/geos/trunk@4203
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-04-24  Sandro Santilli <strk@keybit.net>

	* .gitignore, Makefile.am, autogen.sh: Symlink README to README.md
	at autogen.sh time Should fix distcheck git-svn-id: http://svn.osgeo.org/geos/trunk@4202
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-04-23  Sandro Santilli <strk@keybit.net>

	* Makefile.am: Add rule to make README from README.md README is a standard GNU file that ends up in the distribution git-svn-id: http://svn.osgeo.org/geos/trunk@4201
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-04-23  Sandro Santilli <strk@keybit.net>

	* README.md: Drop drone.io badge The service times out before our tests complete, not a good one.  git-svn-id: http://svn.osgeo.org/geos/trunk@4200
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-04-23  Sandro Santilli <strk@keybit.net>

	* README, README.md: Merge README into README.md Thanks Mike Toews for the kickstart on this git-svn-id: http://svn.osgeo.org/geos/trunk@4199
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-04-23  Sandro Santilli <strk@keybit.net>

	* tests/unit/capi/GEOSSTRtreeTest.cpp: Correctly initialize strtree
	in test Patch by dbaston git-svn-id: http://svn.osgeo.org/geos/trunk@4198
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-04-22  Sandro Santilli <strk@keybit.net>

	* include/geos/index/strtree/Makefile.am: Fix distcheck (#768) Patch by Daniel Baston <dbaston@gmail.com> git-svn-id: http://svn.osgeo.org/geos/trunk@4197
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-04-22  Sandro Santilli <strk@keybit.net>

	* README.md: Add drone.io badge git-svn-id: http://svn.osgeo.org/geos/trunk@4196
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-04-22  Sandro Santilli <strk@keybit.net>

	* README.md: Add Debbie badge git-svn-id: http://svn.osgeo.org/geos/trunk@4195
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-04-22  Sandro Santilli <strk@keybit.net>

	* README.md: Add project homepage url git-svn-id: http://svn.osgeo.org/geos/trunk@4191
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-04-22  Sandro Santilli <strk@keybit.net>

	* .travis.yml: Fix typo git-svn-id: http://svn.osgeo.org/geos/trunk@4190
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-04-22  Sandro Santilli <strk@keybit.net>

	* README.md: Put build badges on the same line git-svn-id: http://svn.osgeo.org/geos/trunk@4189
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-04-22  Sandro Santilli <strk@keybit.net>

	* README.md: Add gitlab-ci badge git-svn-id: http://svn.osgeo.org/geos/trunk@4188
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-04-22  Sandro Santilli <strk@keybit.net>

	* .gitlab-ci.yml: Add gitlab-ci configuration git-svn-id: http://svn.osgeo.org/geos/trunk@4187
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-04-19  Sandro Santilli <strk@keybit.net>

	* capi/geos_ts_c.cpp: Move CustomItemDistance defn some contexts
	higher git-svn-id: http://svn.osgeo.org/geos/trunk@4186
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-04-19  Sandro Santilli <strk@keybit.net>

	* capi/geos_ts_c.cpp: Trim trailing whitespaces (as per
	.editorconfig) git-svn-id: http://svn.osgeo.org/geos/trunk@4185
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-04-19  Sandro Santilli <strk@keybit.net>

	* capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp,
	include/geos/index/strtree/BoundablePair.h,
	include/geos/index/strtree/GeometryItemDistance.h,
	include/geos/index/strtree/ItemDistance.h,
	include/geos/index/strtree/STRtree.h,
	src/index/strtree/AbstractSTRtree.cpp,
	src/index/strtree/BoundablePair.cpp,
	src/index/strtree/GeometryItemDistance.cpp,
	src/index/strtree/Makefile.am, src/index/strtree/STRtree.cpp,
	tests/unit/Makefile.am, tests/unit/capi/GEOSSTRtreeTest.cpp: Add
	GEOSSTRtree_nearest API Includes tests for the new API and pre-existing STRtree API Closes
	#768 Patch by Daniel Baston <dbaston@gmail.com> via
	https://github.com/libgeos/libgeos/pull/61 git-svn-id: http://svn.osgeo.org/geos/trunk@4184
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-04-12  Sandro Santilli <strk@keybit.net>

	* include/geos/geom/LineSegment.h: Fix 'Segemnt' typo.  Patch by Todd Trimble <todd.trimble@gmail.com> Closes https://github.com/libgeos/libgeos/pull/63 git-svn-id: http://svn.osgeo.org/geos/trunk@4183
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-04-12  Sandro Santilli <strk@keybit.net>

	* include/geos/geom/LineSegment.h: Match .h declaration parameter
	name with .cpp definitiion.  Patch by Todd Trimble <todd.trimble@gmail.com> See https://github.com/libgeos/libgeos/pull/63 git-svn-id: http://svn.osgeo.org/geos/trunk@4182
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-04-06  Sandro Santilli <strk@keybit.net>

	* .editorconfig: Stub an EditorConfig file See http://editorconfig.org git-svn-id: http://svn.osgeo.org/geos/trunk@4181
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-04-05  Sandro Santilli <strk@keybit.net>

	* nmake.opt: Handle nmake builds with the latest MSVC Patch by Jeff McKenna Closes #775 git-svn-id: http://svn.osgeo.org/geos/trunk@4180
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-03-12  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/geom/prep/PreparedGeometry/touchesTest.cpp: Add test
	for PreparedGeometry::touches git-svn-id: http://svn.osgeo.org/geos/trunk@4179
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-03-12  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/geom/Geometry/touchesTest.cpp: Remove unused header git-svn-id: http://svn.osgeo.org/geos/trunk@4178
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-03-12  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/geom/Geometry/touchesTest.cpp: Add test for
	Geometry::touches git-svn-id: http://svn.osgeo.org/geos/trunk@4177
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-03-12  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/geom/Geometry/coversTest.cpp: Revert r4175 (wrong file) git-svn-id: http://svn.osgeo.org/geos/trunk@4176
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-03-12  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/geom/Geometry/coversTest.cpp: Add test for
	Geometry::touches git-svn-id: http://svn.osgeo.org/geos/trunk@4175
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-03-07  Mateusz Loskot <mateusz@loskot.net>

	* tests/xmltester/CMakeLists.txt: Update CMakeLists.txt after
	bugXXX.xml moved into tickets subfolder git-svn-id: http://svn.osgeo.org/geos/trunk@4174
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-03-07  Sandro Santilli <strk@keybit.net>

	* Makefile.am: Add "valgrindcheck" Makefile rule, currently fails git-svn-id: http://svn.osgeo.org/geos/trunk@4173
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-03-07  Sandro Santilli <strk@keybit.net>

	* .travis.yml: Report build activity in #postgis-activity (not
	#postgis) Also do not use notices git-svn-id: http://svn.osgeo.org/geos/trunk@4170
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-03-07  Sandro Santilli <strk@keybit.net>

	* configure.ac: Look for isnan in std:: namespace Tested with gcc 4.8.4 git-svn-id: http://svn.osgeo.org/geos/trunk@4169
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-03-06  Mateusz Loskot <mateusz@loskot.net>

	* include/geos/geom/Coordinate.h, include/geos/geom/Geometry.h,
	src/geom/Coordinate.cpp, src/geom/Geometry.cpp: Rename class private
	members according to _x naming convention.  git-svn-id: http://svn.osgeo.org/geos/trunk@4168
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-03-06  Mateusz Loskot <mateusz@loskot.net>

	* src/algorithm/Centroid.cpp, src/geomgraph/EdgeEndStar.cpp,
	src/operation/buffer/BufferBuilder.cpp: Clean up a bunch of MSVC++
	14.0 warning C4456: declaration of 'x' hides previous local
	declaration git-svn-id: http://svn.osgeo.org/geos/trunk@4167
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-03-06  Mateusz Loskot <mateusz@loskot.net>

	* .travis.yml: Change Travis CI webhook notifications to 'always' git-svn-id: http://svn.osgeo.org/geos/trunk@4166
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-03-06  Mateusz Loskot <mateusz@loskot.net>

	* src/operation/buffer/BufferBuilder.cpp,
	tests/unit/geom/GeometryFactoryTest.cpp: Clean up some compiler
	warnings on truncating conversions between size_t and double or
	unsigned in git-svn-id: http://svn.osgeo.org/geos/trunk@4165
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-03-06  Mateusz Loskot <mateusz@loskot.net>

	* .travis.yml: Clean up to address some issues reported by
	lint.travis-ci.org.  Enable mailing list notification.  Add Gitter
	notification.  git-svn-id: http://svn.osgeo.org/geos/trunk@4164
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-03-05  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/geom/GeometryComponentFilterTest.cpp,
	tests/unit/geom/GeometryFilterTest.cpp: Fix repeated test groups
	definitions (introduced in r4162).  git-svn-id: http://svn.osgeo.org/geos/trunk@4163
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-03-05  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/geom/GeometryComponentFilterTest.cpp,
	tests/unit/geom/GeometryFilterTest.cpp: Add test for GeometryFilter
	class.  Add test for GeometryComponentFilter class.  Both tests are based on common filter with intention to compare
	behaviour both GeometryFilter vs GeometryComponentFilter, with
	related discussion at
	http://lists.osgeo.org/pipermail/geos-devel/2016-March/007441.html git-svn-id: http://svn.osgeo.org/geos/trunk@4162
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-03-02  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/operation/linemerge/LineMergerTest.cpp: Describe test
	cases git-svn-id: http://svn.osgeo.org/geos/trunk@4161
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-03-02  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/operation/linemerge/LineMergerTest.cpp,
	tests/unit/operation/overlay/OverlayOpUnionTest.cpp: Test merging
	MultiLineString result of union.  Remove unnecessary FIXED precision model from the triangle test in
	OverlayOpUnionTest.cpp.  Add comment to link corresponding tests in
	OverlayOpUnionTest.cpp and LineMergerTest.cpp.  git-svn-id: http://svn.osgeo.org/geos/trunk@4160
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-03-01  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/operation/overlay/OverlayOpUnionTest.cpp: Add comment
	explaining the expected test result Since the union operation makes no effort to simplify and drop nodes
	of degree 2 from the built topology, do not expect GEOS_LINESTRING.
	https://lists.osgeo.org/pipermail/geos-devel/2016-March/007429.html git-svn-id: http://svn.osgeo.org/geos/trunk@4159
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-03-01  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/capi/GEOSContainsTest.cpp: Unify GEOSContains test
	cases added in r4156 with corresponding tests in
	GEOSPreparedGeometryTest git-svn-id: http://svn.osgeo.org/geos/trunk@4158
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-03-01  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/capi/GEOSContainsTest.cpp: Test check refinement
	missing from r4156 git-svn-id: http://svn.osgeo.org/geos/trunk@4157
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-03-01  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/capi/GEOSContainsTest.cpp,
	tests/unit/capi/GEOSPreparedGeometryTest.cpp: Add test for polygon
	containment where two polygons share some of vertices or vertices of
	inner polygon lay on boundary of outer polygon.  Tests also compare results depending on used precision model.  git-svn-id: http://svn.osgeo.org/geos/trunk@4156
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-02-29  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/Makefile.am: Add OverlayOpUnionTest.cpp to Makefile.am git-svn-id: http://svn.osgeo.org/geos/trunk@4155
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-02-29  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/operation/overlay/OverlayOpUnionTest.cpp: Add clean-up
	missing from r4153.  It should fix the failing build on Travis SI.  git-svn-id: http://svn.osgeo.org/geos/trunk@4154
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-02-29  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/operation/overlay/OverlayOpUnionTest.cpp: Add basic
	test for geos::operation::OverlayOp with UNION.  Test union of four segments (linestrings) of a suqare.  git-svn-id: http://svn.osgeo.org/geos/trunk@4153
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-02-29  Mateusz Loskot <mateusz@loskot.net>

	* capi/geos_ts_c.cpp,
	src/operation/intersection/RectangleIntersectionBuilder.cpp,
	src/operation/overlay/PolygonBuilder.cpp: Fix build with
	preprocessor symbol GEOS_DEBUG defined.  git-svn-id: http://svn.osgeo.org/geos/trunk@4152
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-02-24  Sandro Santilli <strk@keybit.net>

	* include/geos/algorithm/PointLocator.h,
	src/algorithm/PointLocator.cpp, src/geom/prep/PreparedPoint.cpp,
	tests/unit/algorithm/PointLocatorTest.cpp: Fix incorrect return from
	PreparedPoint::intersects Includes unit test Patch by Daniel Baston via
	https://github.com/libgeos/libgeos/pull/60 See #764 Reverts r4081 git-svn-id: http://svn.osgeo.org/geos/trunk@4149
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-02-22  Sandro Santilli <strk@keybit.net>

	* src/algorithm/RobustDeterminant.cpp: ! FINITE already includes
	NAN, duplicate test unneeded git-svn-id: http://svn.osgeo.org/geos/trunk@4147
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-02-17  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/capi/GEOSGeom_createCollection.cpp: #include <array>
	only if C++0x is available (refines r4145) git-svn-id: http://svn.osgeo.org/geos/trunk@4146
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-02-17  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/capi/GEOSGeom_createCollection.cpp: Enable test case
	using std::array only if C++0x is available.  git-svn-id: http://svn.osgeo.org/geos/trunk@4145
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-02-17  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/capi/GEOSGeom_createCollection.cpp: Add test for
	GEOSGeom_createCollection function git-svn-id: http://svn.osgeo.org/geos/trunk@4144
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-02-05  Sandro Santilli <strk@keybit.net>

	* src/io/StringTokenizer.cpp: Include <limits> in StringTokenizer Patch by Jeff Mckenna See #766 git-svn-id: http://svn.osgeo.org/geos/trunk@4142
	5242fede-7e19-0410-aef8-94bd7d2200fb

2016-01-20  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/geomgraph/GeometryGraph.h,
	include/geos/geomgraph/index/SegmentIntersector.h,
	include/geos/geomgraph/index/SimpleMCSweepLineIntersector.h,
	src/geomgraph/GeometryGraph.cpp,
	src/geomgraph/index/SegmentIntersector.cpp,
	src/geomgraph/index/SimpleMCSweepLineIntersector.cpp,
	src/operation/valid/ConsistentAreaTester.cpp,
	src/operation/valid/IsValidOp.cpp: #757, fix memory exhaustion case
	in isvalid git-svn-id: http://svn.osgeo.org/geos/trunk@4141
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-12-31  Sandro Santilli <strk@keybit.net>

	* NEWS: Add missing 3.3.9 section git-svn-id: http://svn.osgeo.org/geos/trunk@4138
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-12-18  Sandro Santilli <strk@keybit.net>

	* tests/xmltester/XMLTester.cpp: Add support for "relatestring" test
	operation git-svn-id: http://svn.osgeo.org/geos/trunk@4136
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-12-17  Sandro Santilli <strk@keybit.net>

	* CMakeLists.txt: Fix cmake build with Visual Studio 2015 Patch by Stefan Hacker <stefan.hacker@ptvgroup.com> Closes
	https://github.com/libgeos/libgeos/pull/49 git-svn-id: http://svn.osgeo.org/geos/trunk@4135
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-12-14  Sandro Santilli <strk@keybit.net>

	* src/operation/overlay/snap/LineStringSnapper.cpp,
	tests/unit/operation/overlay/snap/LineStringSnapperTest.cpp: Fix
	snapping of last segment in a closed linestring See #758 git-svn-id: http://svn.osgeo.org/geos/trunk@4129
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-12-14  Sandro Santilli <strk@keybit.net>

	* tests/unit/operation/overlay/snap/LineStringSnapperTest.cpp: 
	Enable a commented-out test (works) git-svn-id: http://svn.osgeo.org/geos/trunk@4128
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-12-14  Sandro Santilli <strk@keybit.net>

	* tests/unit/io/WKBWriterTest.cpp: Tweak WKB output test to do
	what's really said in the comments git-svn-id: http://svn.osgeo.org/geos/trunk@4127
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-12-14  Sandro Santilli <strk@keybit.net>

	* tests/unit/io/WKBReaderTest.cpp: Add test for parsing EWKB git-svn-id: http://svn.osgeo.org/geos/trunk@4126
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-11-30  Sandro Santilli <strk@keybit.net>

	* tests/unit/capi/GEOSMinimumWidthTest.cpp: Add another test for
	GEOSMinimumWidth git-svn-id: http://svn.osgeo.org/geos/trunk@4125
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-11-30  Sandro Santilli <strk@keybit.net>

	* NEWS, capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp,
	tests/unit/Makefile.am,
	tests/unit/capi/{GEOSMinimumDiameterTest.cpp =>
	GEOSMinimumWidthTest.cpp}: Rename GEOSMinimumDiameter to
	GEOSMinimumWidth, add docs Patch by Nyall Dawson git-svn-id: http://svn.osgeo.org/geos/trunk@4124
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-11-30  Sandro Santilli <strk@keybit.net>

	* NEWS, capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp,
	include/geos/algorithm/MinimumDiameter.h,
	src/algorithm/MinimumDiameter.cpp, tests/unit/Makefile.am,
	tests/unit/algorithm/MinimumDiameterTest.cpp,
	tests/unit/capi/GEOSMinimumDiameterTest.cpp,
	tests/unit/capi/GEOSMinimumRectangleTest.cpp: Port
	MinimumDiameter::getMinimumRectangle algorithm from JTS Also add GEOSMinimumRotatedRectangle and GEOSMinimumDiameter to C
	API, and re-sync MinimumDiameter with JTS r966.  Includes testcases.  Fixes #729.  Patch by: Nyall Dawson <nyall.dawson@gmail.com> Signed-off-by:
	Sandro Santilli <strk@keybit.net> git-svn-id: http://svn.osgeo.org/geos/trunk@4123
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-11-30  Sandro Santilli <strk@keybit.net>

	* capi/geos_ts_c.cpp, include/geos/algorithm/SIRtreePointInRing.h,
	src/algorithm/SIRtreePointInRing.cpp: Fix some leaks identified by
	Coverity Patch by Nyall Dawson <nyall.dawson@gmail.com> git-svn-id: http://svn.osgeo.org/geos/trunk@4122
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-11-30  Sandro Santilli <strk@keybit.net>

	* include/geos/triangulate/quadedge/Vertex.h,
	src/triangulate/quadedge/Vertex.cpp: Fix incorrect logic in
	Vertex::classify, sync to r705 Patch by Nyall Dawson <nyall.dawson@gmail.com> git-svn-id: http://svn.osgeo.org/geos/trunk@4121
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-11-21  Sandro Santilli <strk@keybit.net>

	* include/geos/triangulate/quadedge/QuadEdgeSubdivision.h,
	src/triangulate/quadedge/QuadEdgeSubdivision.cpp: use std::vector
	instead of std::list to avoid size() bottleneck Patch by Daniel Baston via
	https://github.com/libgeos/libgeos/pull/55 git-svn-id: http://svn.osgeo.org/geos/trunk@4119
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-11-16  Sandro Santilli <strk@keybit.net>

	* include/geos/geomgraph/EdgeEnd.h,
	include/geos/geomgraph/EdgeEndStar.h, src/geomgraph/EdgeEnd.cpp,
	src/geomgraph/EdgeEndStar.cpp: Fix output operator for EdgeEndStar git-svn-id: http://svn.osgeo.org/geos/trunk@4118
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-11-13  Sandro Santilli <strk@keybit.net>

	* include/geos/geomgraph/EdgeEndStar.h,
	src/geomgraph/EdgeEndStar.cpp,
	src/operation/relate/RelateComputer.cpp: Add output operator for
	EdgeEndStar git-svn-id: http://svn.osgeo.org/geos/trunk@4117
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-11-04  Mateusz Loskot <mateusz@loskot.net>

	* include/geos/platform.h.cmake: Add #define NOMINMAX for Visual C++ git-svn-id: http://svn.osgeo.org/geos/trunk@4114
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-11-03  Sandro Santilli <strk@keybit.net>

	* tests/unit/Makefile.am, tests/unit/capi/GEOSEqualsTest.cpp: Add
	test for GEOSEquals Includes disabled test for #752 git-svn-id: http://svn.osgeo.org/geos/trunk@4113
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-11-02  Mateusz Loskot <mateusz@loskot.net>

	* CMakeLists.txt: CMake should not try to generate
	geos_svn_revision.h if GEOS is built from packaged sources.  Fixes
	#753 git-svn-id: http://svn.osgeo.org/geos/trunk@4112
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-10-31  Sandro Santilli <strk@keybit.net>

	* include/geos/geom/GeometryFactory.h, src/geom/Geometry.cpp,
	src/geom/GeometryFactory.cpp: Make GeometryFactory refcount
	geometry-agnostic git-svn-id: http://svn.osgeo.org/geos/trunk@4111
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-10-13  Sandro Santilli <strk@keybit.net>

	* NEWS, capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp,
	php/geos.c, php/test/test.php, src/geom/util/GeometryEditor.cpp,
	tests/unit/capi/GEOSGeom_setPrecisionTest.cpp: Add a
	GEOSGeom_setPrecision funciton in C-API and PHP Also fixes a bug in GeometryEditor that failed to update
	GeometryFactory for empty polygons (#749) git-svn-id: http://svn.osgeo.org/geos/trunk@4109
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-10-07  Sandro Santilli <strk@keybit.net>

	* CMakeLists.txt, capi/geos_c.h.in, configure.ac: Fix CAPI
	versioning (broke in r4085, after release) git-svn-id: http://svn.osgeo.org/geos/trunk@4108
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-10-05  Mateusz Loskot <mateusz@loskot.net>

	* src/geomgraph/PlanarGraph.cpp: Use std::auto_ptr to simplify r4100
	fix of a memory leak potential git-svn-id: http://svn.osgeo.org/geos/trunk@4104
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-10-04  Sandro Santilli <strk@keybit.net>

	* src/operation/buffer/BufferBuilder.cpp: Fix a few potential (one
	confirmed) leak in single sided buffer See #747 git-svn-id: http://svn.osgeo.org/geos/trunk@4103
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-10-04  Mateusz Loskot <mateusz@loskot.net>

	* src/geomgraph/PlanarGraph.cpp: Make adding edges a bit more
	exception safe and helps to avoid memory leaks when
	PlanarGraph::add(de1) throws, leaving de2 behind.  This also fixes
	memory leak in case of self-union with NaN coordinates, revealed by
	GEOSUnaryUnionTest/test<9>.  git-svn-id: http://svn.osgeo.org/geos/trunk@4100
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-10-03  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/triangulate/DelaunayTest.cpp: Fix memory leaks (two)
	due to misuse of CoordinateArraySequence git-svn-id: http://svn.osgeo.org/geos/trunk@4099
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-10-03  Mateusz Loskot <mateusz@loskot.net>

	* src/algorithm/CGAlgorithms.cpp,
	src/algorithm/LineIntersector.cpp,
	src/algorithm/locate/IndexedPointInAreaLocator.cpp,
	src/geom/LineSegment.cpp, src/io/WKTWriter.cpp,
	src/noding/snapround/HotPixel.cpp,
	src/operation/buffer/BufferBuilder.cpp,
	src/operation/buffer/BufferOp.cpp,
	src/operation/overlay/snap/GeometrySnapper.cpp,
	src/operation/overlay/validate/OverlayResultValidator.cpp: Clean up
	Windows-specific extra parenthesis around std::min/std::max which
	worked around min/max macros causing syntax error. The workaround is
	no loner necessary since NOMINMAX placement has been corrected.  git-svn-id: http://svn.osgeo.org/geos/trunk@4098
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-10-03  Mateusz Loskot <mateusz@loskot.net>

	* CMakeLists.txt, include/geos/timeval.h: Move Windows-specific
	NOMINMAX preprocessor definition from CMake to timeval.h.  Assume
	timeval.h is the only place where Windows-specific headers are
	included.  git-svn-id: http://svn.osgeo.org/geos/trunk@4097
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-10-03  Mateusz Loskot <mateusz@loskot.net>

	* CMakeLists.txt: Clean up CMake variables mismatch git-svn-id: http://svn.osgeo.org/geos/trunk@4096
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-10-03  Mateusz Loskot <mateusz@loskot.net>

	* CMakeLists.txt: Tell CMake to use GEOS instead geos.  git-svn-id: http://svn.osgeo.org/geos/trunk@4095
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-10-03  Mateusz Loskot <mateusz@loskot.net>

	* CMakeLists.txt: Remove CDash configuration which generates
	unnecessary targets (Experimental, Nightly, Continuous) git-svn-id: http://svn.osgeo.org/geos/trunk@4094
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-10-03  Mateusz Loskot <mateusz@loskot.net>

	* : Ignore .obj and some other patterns git-svn-id: http://svn.osgeo.org/geos/trunk@4093
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-10-02  Sandro Santilli <strk@keybit.net>

	* NEWS, doc/example.cpp, include/geos/geom/BinaryOp.h,
	include/geos/geom/GeometryFactory.h,
	include/geos/operation/valid/ConnectedInteriorTester.h,
	include/geos/precision/GeometryPrecisionReducer.h,
	src/geom/Geometry.cpp, src/geom/GeometryFactory.cpp,
	src/operation/valid/ConnectedInteriorTester.cpp,
	src/precision/GeometryPrecisionReducer.cpp,
	tests/bigtest/TestSweepLineSpeed.cpp, tests/bigtest/bug234.cpp,
	tests/perf/operation/buffer/IteratedBufferStressTest.cpp,
	tests/perf/operation/predicate/RectangleIntersectsPerfTest.cpp,
	tests/unit/algorithm/ConvexHullTest.cpp,
	tests/unit/algorithm/PointLocatorTest.cpp,
	tests/unit/algorithm/RobustLineIntersectionTest.cpp,
	tests/unit/algorithm/RobustLineIntersectorTest.cpp,
	tests/unit/algorithm/distance/DiscreteHausdorffDistanceTest.cpp,
	tests/unit/capi/GEOSPreparedGeometryTest.cpp,
	tests/unit/geom/Geometry/clone.cpp,
	tests/unit/geom/Geometry/coversTest.cpp,
	tests/unit/geom/Geometry/equalsTest.cpp,
	tests/unit/geom/Geometry/isRectangleTest.cpp,
	tests/unit/geom/Geometry/normalize.cpp,
	tests/unit/geom/GeometryFactoryTest.cpp,
	tests/unit/geom/LineStringTest.cpp,
	tests/unit/geom/LinearRingTest.cpp,
	tests/unit/geom/MultiPointTest.cpp, tests/unit/geom/PointTest.cpp,
	tests/unit/geom/PolygonTest.cpp,
	tests/unit/geom/prep/PreparedGeometryFactoryTest.cpp,
	tests/unit/geom/util/GeometryExtracterTest.cpp,
	tests/unit/io/WKBReaderTest.cpp, tests/unit/io/WKBWriterTest.cpp,
	tests/unit/io/WKTReaderTest.cpp, tests/unit/io/WKTWriterTest.cpp,
	tests/unit/linearref/LengthIndexedLineTest.cpp,
	tests/unit/noding/OrientedCoordinateArray.cpp,
	tests/unit/noding/snapround/MCIndexSnapRounderTest.cpp,
	tests/unit/operation/IsSimpleOpTest.cpp,
	tests/unit/operation/buffer/BufferBuilderTest.cpp,
	tests/unit/operation/buffer/BufferOpTest.cpp,
	tests/unit/operation/distance/DistanceOpTest.cpp,
	tests/unit/operation/intersection/RectangleIntersectionTest.cpp,
	tests/unit/operation/linemerge/LineMergerTest.cpp,
	tests/unit/operation/linemerge/LineSequencerTest.cpp,
	tests/unit/operation/overlay/snap/GeometrySnapperTest.cpp,
	tests/unit/operation/overlay/validate/FuzzyPointLocatorTest.cpp,
	tests/unit/operation/overlay/validate/OffsetPointGeneratorTest.cpp,
	tests/unit/operation/overlay/validate/OverlayResultValidatorTest.cp
	p, tests/unit/operation/polygonize/PolygonizeTest.cpp,
	tests/unit/operation/sharedpaths/SharedPathsOpTest.cpp,
	tests/unit/operation/union/CascadedPolygonUnionTest.cpp,
	tests/unit/operation/union/UnaryUnionOpTest.cpp,
	tests/unit/operation/valid/IsValidTest.cpp,
	tests/unit/operation/valid/ValidClosedRingTest.cpp,
	tests/unit/operation/valid/ValidSelfTouchingRingFormingHoleTest.cpp
	, tests/unit/precision/GeometryPrecisionReducerTest.cpp,
	tests/unit/precision/SimpleGeometryPrecisionReducerTest.cpp,
	tests/unit/simplify/DouglasPeuckerSimplifierTest.cpp,
	tests/unit/simplify/TopologyPreservingSimplifierTest.cpp,
	tests/unit/triangulate/DelaunayTest.cpp,
	tests/unit/triangulate/VoronoiTest.cpp,
	tests/unit/triangulate/quadedge/QuadEdgeSubdivisionTest.cpp,
	tests/unit/util/UniqueCoordinateArrayFilterTest.cpp,
	tests/xmltester/SimpleWKTTester.cpp, tests/xmltester/XMLTester.cpp,
	tests/xmltester/XMLTester.h: Prevent stack allocation of
	GeometryFactory Geometry factory objects can be created by static methods returning
	a smart pointer with automatic ownership transfer semantic. The
	so-created GeometryFactory will be kept alive as long as Geometry
	objects referencing it will be alive.  git-svn-id: http://svn.osgeo.org/geos/trunk@4091
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-10-01  Sandro Santilli <strk@keybit.net>

	* src/operation/buffer/BufferBuilder.cpp: Fix a memory leak in
	bufferLineSingleSided The leak was exposed by an existing unit test git-svn-id: http://svn.osgeo.org/geos/trunk@4090
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-09-10  Sandro Santilli <strk@keybit.net>

	* .travis.yml: 64bit builds do not fail anymore on travis git-svn-id: http://svn.osgeo.org/geos/trunk@4089
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-08-16  Paul Ramsey <pramsey@cleverelephant.ca>

	* CMakeLists.txt, HOWTO_RELEASE, NEWS, capi/geos_c.h.in,
	configure.ac, include/geos/version.h.vc: Bump trunk versions to 3.6 git-svn-id: http://svn.osgeo.org/geos/trunk@4085
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-08-14  Paul Ramsey <pramsey@cleverelephant.ca>

	* : Ignore build artefacts git-svn-id: http://svn.osgeo.org/geos/trunk@4082
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-08-12  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/algorithm/ConvexHull.cpp: Include interrupt header, dummy git-svn-id: http://svn.osgeo.org/geos/trunk@4080
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-08-12  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/algorithm/ConvexHull.cpp: Add some interrupt checks to
	ConvexHull git-svn-id: http://svn.osgeo.org/geos/trunk@4079
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-08-12  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/geom/prep/PreparedPoint.h,
	src/geom/prep/PreparedPoint.cpp: Quiet clang warning and match const
	signatures on PreparedPolygon git-svn-id: http://svn.osgeo.org/geos/trunk@4078
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-08-12  Paul Ramsey <pramsey@cleverelephant.ca>

	* configure.ac: Quiet 64-bit errors in OSX build by preferring
	longlongint defn of 64bit to longint git-svn-id: http://svn.osgeo.org/geos/trunk@4077
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-08-12  Regina Obe <lr@pcorp.us>

	* src/inlines.cpp: #736 3.5.0-dev compilation errors on MinGW - okay
	committed too fast.  This one works but may screw up real mingw
	people git-svn-id: http://svn.osgeo.org/geos/trunk@4076
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-08-11  Regina Obe <lr@pcorp.us>

	* src/inlines.cpp: #736 3.5.0-dev compilation errors on MinGW git-svn-id: http://svn.osgeo.org/geos/trunk@4075
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-08-06  Mateusz Loskot <mateusz@loskot.net>

	* .travis.yml: Allow failure for CMake x64 build on Travis CI.  This should eliminate unimportant signal and keep the core GEOS
	builds green.  git-svn-id: http://svn.osgeo.org/geos/trunk@4072
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-08-05  Mateusz Loskot <mateusz@loskot.net>

	* tools/ci/before_install.sh, tools/ci/before_install_autotools.sh,
	tools/ci/before_install_cmake.sh: Delete scripts no longer used in
	container-based Travis CI git-svn-id: http://svn.osgeo.org/geos/trunk@4069
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-08-05  Mateusz Loskot <mateusz@loskot.net>

	* .travis.yml: First stab at migrating travis builds to container
	architecture (#739) git-svn-id: http://svn.osgeo.org/geos/trunk@4068
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-08-04  Sandro Santilli <strk@keybit.net>

	* NEWS, php/geos.c, php/test/test.php: Expose clipByRect to PHP
	bindings (#734) git-svn-id: http://svn.osgeo.org/geos/trunk@4067
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-07-28  Mateusz Loskot <mateusz@loskot.net>

	* src/algorithm/LineIntersector.cpp, src/io/WKTWriter.cpp,
	src/operation/buffer/BufferOp.cpp,
	src/operation/buffer/OffsetCurveSetBuilder.cpp: Include
	<geos/platform.h> which defines NOMINMAX on Windows/VC++.  Closes
	ticket #701.  git-svn-id: http://svn.osgeo.org/geos/trunk@4064
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-07-28  Mateusz Loskot <mateusz@loskot.net>

	* src/Makefile.vc, src/dirlist.mk: Add operation/intersection/*.cpp
	to NMAKE makefiles git-svn-id: http://svn.osgeo.org/geos/trunk@4063
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-07-28  Mateusz Loskot <mateusz@loskot.net>

	* nmake.opt: Add NMAKE version from released Visual Studio 2015 git-svn-id: http://svn.osgeo.org/geos/trunk@4062
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-07-20  Sandro Santilli <strk@keybit.net>

	* capi/geos_ts_c.cpp: Initialize all members of GEOSContextHandle_HS
	on construction git-svn-id: http://svn.osgeo.org/geos/trunk@4061
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-07-20  Sandro Santilli <strk@keybit.net>

	* NEWS, capi/geos_c.h.in, capi/geos_ts_c.cpp: Extend error and
	notice notification with threadsafe variants (#663) Patch by Pepijn Van Eeckhoudt <pepijn@vaneeckhoudt.net> Tested by
	Alessandro Furieri <a.furieri@lqt.it> Signed-off-by: Sandro Santilli <strk@keybit.net> git-svn-id: http://svn.osgeo.org/geos/trunk@4060
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-07-19  Sandro Santilli <strk@keybit.net>

	* src/operation/intersection/RectangleIntersectionBuilder.cpp: Add
	missing include (thanks Alessandro Furieri) git-svn-id: http://svn.osgeo.org/geos/trunk@4059
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-07-07  Mateusz Loskot <mateusz@loskot.net>

	* nmake.opt: Update nmake.opt to recognize NMAKE 11.00.50522.1.
	Fixes #578.  git-svn-id: http://svn.osgeo.org/geos/trunk@4058
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-05-18  Mateusz Loskot <mateusz@loskot.net>

	* nmake.opt: Merged revision(s) 4056 from branches/3.4: Fixed build
	configuration for NMAKE with Visual Leak Detector enabled (#715) git-svn-id: http://svn.osgeo.org/geos/trunk@4057
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-04-30  Mateusz Loskot <mateusz@loskot.net>

	* nmake.opt: Add NMAKE version from Visual Studio 2015 RC git-svn-id: http://svn.osgeo.org/geos/trunk@4054
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-04-20  Sandro Santilli <strk@keybit.net>

	* tests/unit/geom/prep/PreparedGeometryFactoryTest.cpp: Fix unused
	variables warnings git-svn-id: http://svn.osgeo.org/geos/trunk@4053
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-04-20  Sandro Santilli <strk@keybit.net>

	* NEWS, include/geos/geom/CoordinateArraySequenceFactory.h,
	include/geos/geom/CoordinateArraySequenceFactory.inl,
	include/geos/geom/CoordinateSequenceFactory.h,
	src/algorithm/MinimumDiameter.cpp, src/geom/CoordinateSequence.cpp,
	src/geom/LineString.cpp, src/geom/Point.cpp, src/geom/Polygon.cpp,
	src/geomgraph/EdgeRing.cpp, src/io/WKTReader.cpp,
	src/operation/linemerge/EdgeString.cpp,
	src/operation/polygonize/EdgeRing.cpp,
	tests/unit/geom/CoordinateArraySequenceFactoryTest.cpp: Cleanup
	CoordinateSequenceFactory interface Adds method for creating empty sequence.  Syncronizes
	CoordinateArraySequenceFactory methods.  Patch by Sandro Mani, see https://github.com/libgeos/libgeos/pull/46 git-svn-id: http://svn.osgeo.org/geos/trunk@4052
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-04-16  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/capi/GEOSPreparedGeometryTest.cpp: Replace geos.h with
	specific headers from C++ API.  Replace WKBReader with
	GEOSGeomFromHEX_buf where the former is unnecessary.  This addresses Sandro's review comment from

	https://github.com/libgeos/libgeos/commit/7196b9a2e5a3ebc393a1810f6c7d841a00b50844#commitcomment-10731724git-svn-id: http://svn.osgeo.org/geos/trunk@4051
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-04-10  Sandro Santilli <strk@keybit.net>

	* tests/unit/Makefile.am: Enable GEOSisClosed test git-svn-id: http://svn.osgeo.org/geos/trunk@4050
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-04-10  Sandro Santilli <strk@keybit.net>

	* NEWS, capi/geos_ts_c.cpp, tests/unit/capi/GEOSisClosedTest.cpp: 
	Support for MultiLineString->isClosed() in C API Includes tests for GEOSisClosed() in C API Patch by Benjamin Morel <benjamin.morel@gmail.com> git-svn-id: http://svn.osgeo.org/geos/trunk@4049
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-03-02  Sandro Santilli <strk@keybit.net>

	* src/operation/overlay/OverlayOp.cpp, tests/unit/Makefile.am,
	tests/unit/capi/GEOSIntersectionTest.cpp: Fix memory leak in
	extent-limited overlay operations The leak was introduced by recent enhancement of the class to
	support extent-limited operation. It was spotted by Mick Orridge who
	also provided the testcase, thanks ! Fixes #719 git-svn-id: http://svn.osgeo.org/geos/trunk@4048
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-02-03  Sandro Santilli <strk@keybit.net>

	* README.md: Add github-friendly README.md file contains travis build status and reference to actual README git-svn-id: http://svn.osgeo.org/geos/trunk@4047
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-01-23  Sandro Santilli <strk@keybit.net>

	* tests/xmltester/Makefile.am,
	tests/xmltester/tests/ticket/bug569.xml: Add (succeeding) test for
	reported bug #569 git-svn-id: http://svn.osgeo.org/geos/trunk@4046
	5242fede-7e19-0410-aef8-94bd7d2200fb

2015-01-19  Sandro Santilli <strk@keybit.net>

	* include/geos/algorithm/RayCrossingCounter.h,
	src/algorithm/CGAlgorithms.cpp,
	src/algorithm/RayCrossingCounter.cpp, tests/xmltester/Makefile.am,
	tests/xmltester/tests/ticket/bug716.xml: Improve robustness of
	intersection testing (#716) RayCrossingCounter uses orientationIndex to handle floating point
	precision errors the same way as LineIntersector.  Includes testcase for ticket #716 with CW and CCW polygons Patch by Asmund Tokheim <tokheim@outlook.com> git-svn-id: http://svn.osgeo.org/geos/trunk@4040
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-12-05  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/algorithm/RobustLineIntersectorTest.cpp,
	tests/unit/capi/GEOSPreparedGeometryTest.cpp: Add two test cases,
	point-on-segment and point-on-vertex.  Curious detail of the tests is that points of interest have nearly
	exact X of tested points, the values differ after 14th decimal
	place.  The tests provided test geometries for intersection with and
	without coordinates trimming after the 14th place (as per Martin
	Davis suggestion).  It has been extensively discussed in Ticket #591
	and https://github.com/libgeos/libgeos/pull/40 with Martin Davis'
	input.  git-svn-id: http://svn.osgeo.org/geos/trunk@4038
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-11-26  Mateusz Loskot <mateusz@loskot.net>

	* src/io/StringTokenizer.cpp: Fix MSVC handling of strtod (Thanks to
	Paul Kohut for the patch submitted as part of
	https://github.com/libgeos/libgeos/pull/31/) Apparently, it solves
	the long running INF/NAN parsing issues on Windows and enables
	GEOSisValidDetail test pass again.  It should also solve problems
	reported as part of ticket #509.  git-svn-id: http://svn.osgeo.org/geos/trunk@4037
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-11-26  Mateusz Loskot <mateusz@loskot.net>

	* CMakeLists.txt, cmake/modules/GenerateSourceGroups.cmake,
	include/CMakeLists.txt, src/CMakeLists.txt, tests/CMakeLists.txt,
	tests/unit/CMakeLists.txt: Add GenerateSourceGroups macro.  Attempt
	to generate source_group for IDEs reflecting folders structure.  No
	functional changes to build configuration included.  git-svn-id: http://svn.osgeo.org/geos/trunk@4036
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-11-12  Sandro Santilli <strk@keybit.net>

	* tools/svn_repo_revision.sh: Fix revision extracter for calls from
	external build dir git-svn-id: http://svn.osgeo.org/geos/trunk@4035
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-11-12  Sandro Santilli <strk@keybit.net>

	* tests/xmltester/XMLTester.cpp: Add interruptability support to
	XMLTester (trigger with SIGTERM) git-svn-id: http://svn.osgeo.org/geos/trunk@4034
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-11-12  Sandro Santilli <strk@keybit.net>

	* .gitignore: Ignore more generated files git-svn-id: http://svn.osgeo.org/geos/trunk@4033
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-11-11  Sandro Santilli <strk@keybit.net>

	* src/geomgraph/GeometryGraph.cpp, src/geomgraph/PlanarGraph.cpp,
	src/operation/relate/RelateComputer.cpp: Further enhance RelateOp
	interruptibility (#711) Adds interruptibility calls in GeometryGraph and RelateComputer Funded by CartoDB git-svn-id: http://svn.osgeo.org/geos/trunk@4031
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-11-10  Sandro Santilli <strk@keybit.net>

	* src/geomgraph/index/SimpleMCSweepLineIntersector.cpp: Make
	RelateComputer interruptible (#711) Injects interruptibility calls in SimpleMCSweepLineIntersector Funded by CartoDB git-svn-id: http://svn.osgeo.org/geos/trunk@4030
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-11-04  Sandro Santilli <strk@keybit.net>

	* php/geos.c, php/test/test.php: Fix build of PHP bindings with PHP
	< 5.3.99 (#709) Tested with php 5.3.2 Thanks KayMadejski for the report git-svn-id: http://svn.osgeo.org/geos/trunk@4027
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-09-25  Sandro Santilli <strk@keybit.net>

	* tests/unit/operation/intersection/RectangleIntersectionTest.cpp: 
	Reduce max number of tests to 255, in case it makes clang happier See https://travis-ci.org/libgeos/libgeos/jobs/36269669 git-svn-id: http://svn.osgeo.org/geos/trunk@4026
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-09-25  Sandro Santilli <strk@keybit.net>

	* src/operation/intersection/RectangleIntersection.cpp,
	tests/unit/operation/intersection/RectangleIntersectionTest.cpp: Fix
	another boundary bug in RectangleIntersection git-svn-id: http://svn.osgeo.org/geos/trunk@4025
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-09-25  Sandro Santilli <strk@keybit.net>

	* src/operation/intersection/RectangleIntersection.cpp: Fix bug in
	RectangleIntersection on finding rect fully contained git-svn-id: http://svn.osgeo.org/geos/trunk@4024
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-09-25  Sandro Santilli <strk@keybit.net>

	* src/operation/intersection/RectangleIntersection.cpp: Fix bug in
	RectangleIntersection (was cought by testsuite too!) git-svn-id: http://svn.osgeo.org/geos/trunk@4023
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-09-25  Sandro Santilli <strk@keybit.net>

	* src/geomgraph/GeometryGraph.cpp,
	src/operation/overlay/OverlayOp.cpp: Remove debugging lines, reduce
	cost of envelope filter ... when the filter envelope fully convers the geometry envelope git-svn-id: http://svn.osgeo.org/geos/trunk@4022
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-09-25  Sandro Santilli <strk@keybit.net>

	* NEWS, capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp,
	configure.ac, include/geos/operation/Makefile.am,
	include/geos/operation/intersection/Makefile.am,
	include/geos/operation/intersection/Rectangle.h,
	include/geos/operation/intersection/RectangleIntersection.h,
	include/geos/operation/intersection/RectangleIntersectionBuilder.h,
	src/geom/Geometry.cpp, src/operation/Makefile.am,
	src/operation/intersection/Makefile.am,
	src/operation/intersection/Rectangle.cpp,
	src/operation/intersection/RectangleIntersection.cpp,
	src/operation/intersection/RectangleIntersectionBuilder.cpp,
	tests/unit/Makefile.am, tests/unit/capi/GEOSClipByRectTest.cpp,
	tests/unit/operation/intersection/RectangleIntersectionTest.cpp: Add
	optimized RectangleIntersection functionality Includes:  C++ API, with tests  C-API GEOSClipByRect, with tests Initial C++ code provided by Mika Heiskanen.  Modified by me to work
	with arbitrarily ordered polygon ring vertices.  See #699 for background git-svn-id: http://svn.osgeo.org/geos/trunk@4021
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-09-24  Sandro Santilli <strk@keybit.net>

	* php/geos.c: Fixed compilation against thread-safe PHP (ZTS) Closes #541 Patch-by: Benjamin Morel <benjamin.morel@gmail.com>
	Signed-off-by: Sandro Santilli <strk@keybit.net> git-svn-id: http://svn.osgeo.org/geos/trunk@4019
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-09-23  Sandro Santilli <strk@keybit.net>

	* include/geos/operation/overlay/OverlayOp.h,
	src/operation/overlay/OverlayOp.cpp: Further speedup
	difference/intersection at the validating phase This avoids to insert to the output graph edges which do not
	intersect the target envelope.  git-svn-id: http://svn.osgeo.org/geos/trunk@4018
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-09-23  Sandro Santilli <strk@keybit.net>

	* NEWS, include/geos/geomgraph/GeometryGraph.h,
	include/geos/geomgraph/GeometryGraph.inl,
	include/geos/operation/overlay/OverlayOp.h,
	src/geomgraph/GeometryGraph.cpp,
	src/operation/overlay/OverlayOp.cpp: OverlayOp: restrict
	intersection computations to the target extent Speeds up INTERSECTION and DIFFERENCE operations between geometries
	with small bounding box overlap.  git-svn-id: http://svn.osgeo.org/geos/trunk@4017
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-09-22  Sandro Santilli <strk@keybit.net>

	* php/test/test.php: Refactored PHP bindings tests Patch by Benjamin Morel <benjamin.morel@gmail.com> git-svn-id: http://svn.osgeo.org/geos/trunk@4016
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-09-22  Sandro Santilli <strk@keybit.net>

	* NEWS, php/geos.c, php/test/test.php: Add WKBReader::read() &
	WKBWriter::write() PHP bindings Includes tests.  Patch by Benjamin Morel <benjamin.morel@gmail.com> Signed-off-by: Sandro Santilli <strk@keybit.net> git-svn-id: http://svn.osgeo.org/geos/trunk@4015
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-09-19  Sandro Santilli <strk@keybit.net>

	* tests/xmltester/XMLTester.cpp, tests/xmltester/XMLTester.h: Report
	time it took to run each test git-svn-id: http://svn.osgeo.org/geos/trunk@4014
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-09-19  Sandro Santilli <strk@keybit.net>

	* php/test/test.php: Normalize voronoi diagram results for comparing
	to expected output git-svn-id: http://svn.osgeo.org/geos/trunk@4013
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-09-19  Sandro Santilli <strk@keybit.net>

	* src/operation/overlay/Makefile.am, src/planargraph/Makefile.am,
	tests/unit/Makefile.am, tests/xmltester/Makefile.am: Add
	AUTOMAKE_OPTIONS = subdir-objects, to please automake 1.14.1 git-svn-id: http://svn.osgeo.org/geos/trunk@4012
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-09-17  Sandro Santilli <strk@keybit.net>

	* php/test/test.php: Accept differently-structured but point-set
	equivalent intersection result git-svn-id: http://svn.osgeo.org/geos/trunk@4011
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-09-17  Sandro Santilli <strk@keybit.net>

	* tests/xmltester/tests/testLeaksBig.xml: Remove more duplicated
	tests Tests were found in TestFunctionAA.xml, TestFunctionLA.xml
	TestFunctionPA.xml TestFunctionPL.xml TestFunctionPP.xml
	TestFunctionLLPrec.xml, TestRelatePP.xml git-svn-id: http://svn.osgeo.org/geos/trunk@4010
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-09-16  Sandro Santilli <strk@keybit.net>

	* tests/xmltester/tests/testLeaksBig.xml: Remove duplicated tests The removed tests are already present in other xml files under
	general/ There's more to drop here too...  git-svn-id: http://svn.osgeo.org/geos/trunk@4009
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-09-16  Sandro Santilli <strk@keybit.net>

	* tests/unit/capi/GEOSVoronoiDiagramTest.cpp: Add some tolerance to
	VoronoiDiagram tester git-svn-id: http://svn.osgeo.org/geos/trunk@4008
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-09-16  Sandro Santilli <strk@keybit.net>

	* src/triangulate/quadedge/QuadEdgeSubdivision.cpp,
	tests/unit/triangulate/quadedge/QuadEdgeSubdivisionTest.cpp: Do not
	output duplicated vertices from QuadEdgeSubdivision class (#705) Includes testcase git-svn-id: http://svn.osgeo.org/geos/trunk@4007
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-09-16  Sandro Santilli <strk@keybit.net>

	* tests/unit/Makefile.am, tests/unit/geom/Geometry/normalize.cpp: 
	Add tests for Geometry->normalize() git-svn-id: http://svn.osgeo.org/geos/trunk@4006
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-09-16  Sandro Santilli <strk@keybit.net>

	* tests/unit/triangulate/VoronoiTest.cpp: Have VoronoiTest print
	expected/obtained on failure git-svn-id: http://svn.osgeo.org/geos/trunk@4005
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-09-15  Sandro Santilli <strk@keybit.net>

	* NEWS, php/geos.c, php/test/test.php: Expose Geometry->normalize()
	method in PHP binding git-svn-id: http://svn.osgeo.org/geos/trunk@4004
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-09-15  Sandro Santilli <strk@keybit.net>

	* tests/unit/capi/GEOSVoronoiDiagramTest.cpp: Normalize result
	before comparing git-svn-id: http://svn.osgeo.org/geos/trunk@4003
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-09-12  Sandro Santilli <strk@keybit.net>

	* .gitignore: More ignores...  git-svn-id: http://svn.osgeo.org/geos/trunk@4002
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-09-09  Sandro Santilli <strk@keybit.net>

	* src/geom/Envelope.cpp, src/geom/Geometry.cpp,
	tests/unit/Makefile.am, tests/unit/geom/EnvelopeTest.cpp,
	tests/unit/geom/Geometry/equalsTest.cpp,
	tests/unit/geom/PointTest.cpp: Fix Empty to Empty equals response
	(#703) git-svn-id: http://svn.osgeo.org/geos/trunk@4001
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-08-25  Sandro Santilli <strk@keybit.net>

	* include/geos/platform.h.in: Fix OpenBSD build (#700) git-svn-id: http://svn.osgeo.org/geos/trunk@3996
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-08-09  Regina Obe <lr@pcorp.us>

	* CMakeLists.txt: #698 patch to support MSVC12 and MSVC13 git-svn-id: http://svn.osgeo.org/geos/trunk@3995
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-06-30  Sandro Santilli <strk@keybit.net>

	* tests/xmltester/tests/general/MISSING: TestUnaryUnion.xml was
	ported git-svn-id: http://svn.osgeo.org/geos/trunk@3992
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-06-30  Sandro Santilli <strk@keybit.net>

	* NEWS, capi/geos_c.h.in: Allow C-API users to hide non-reentrant
	section Define GEOS_USE_ONLY_R_API to obtain a compile-time error when
	trying to use non-reentrant functions.  Patch by Even Rouault (#695) git-svn-id: http://svn.osgeo.org/geos/trunk@3991
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-06-29  Sandro Santilli <strk@keybit.net>

	* include/geos/util/IllegalArgumentException.h,
	include/geos/util/UnsupportedOperationException.h: Typoes fixed in
	comments Patches by Jochen Topf:  https://github.com/libgeos/libgeos/pull/34  https://github.com/libgeos/libgeos/pull/35 git-svn-id: http://svn.osgeo.org/geos/trunk@3990
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-06-20  Sandro Santilli <strk@keybit.net>

	* include/geos/geom/prep/PreparedPoint.h,
	src/geom/prep/PreparedPoint.cpp: Revert "Fix
	PreparedPoint::intersects signature to match the upper virtual" This reverts commit r3988 The non-broken signature introduces a
	discrepancy between PreparedPoint::intersects and Point::intersects
	See http://trac.osgeo.org/geos/ticket/694 git-svn-id: http://svn.osgeo.org/geos/trunk@3989
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-06-20  Sandro Santilli <strk@keybit.net>

	* include/geos/geom/prep/PreparedPoint.h,
	src/geom/prep/PreparedPoint.cpp: Fix PreparedPoint::intersects
	signature to match the upper virtual Thanks Mikhail Veltishchev for pointing out See
	https://github.com/libgeos/libgeos/pull/33 git-svn-id: http://svn.osgeo.org/geos/trunk@3988
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-06-20  Sandro Santilli <strk@keybit.net>

	* macros/ruby.m4, swig/ruby/Makefile.am, swig/ruby/geos_wrap.cxx: 
	Update ruby binding build scripts Build succeeds with ruby1.9.1-dev.  Swig wrapper updated.  See
	https://github.com/libgeos/libgeos/pull/22 git-svn-id: http://svn.osgeo.org/geos/trunk@3987
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-06-20  Sandro Santilli <strk@keybit.net>

	* include/geos/index/strtree/Interval.h,
	src/index/strtree/Interval.cpp, src/index/strtree/SIRtree.cpp: Clean
	up strtree::Interval interface Set const-correctness, drop useless copy-ctor-like method git-svn-id: http://svn.osgeo.org/geos/trunk@3986
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-05-21  Sandro Santilli <strk@keybit.net>

	* .gitignore, capi/geos_c.cpp, capi/geos_c.h.in,
	capi/geos_ts_c.cpp, php/geos.c, php/test/test.php,
	swig/python/geos.py, swig/python/geos_wrap.cxx,
	tests/unit/capi/GEOSVoronoiDiagramTest.cpp: Change
	GEOSVoronoiDiagram signature to accept optional clip extent With this change I'll consider voronoi API final git-svn-id: http://svn.osgeo.org/geos/trunk@3985
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-05-21  Sandro Santilli <strk@keybit.net>

	* php/geos.c, php/test/test.php: Expose Geometry.voronoiDiagram in
	PHP interface git-svn-id: http://svn.osgeo.org/geos/trunk@3984
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-05-21  Sandro Santilli <strk@keybit.net>

	* capi/geos_ts_c.cpp,
	include/geos/triangulate/VoronoiDiagramBuilder.h,
	include/geos/triangulate/quadedge/QuadEdgeSubdivision.h,
	src/triangulate/VoronoiDiagramBuilder.cpp,
	src/triangulate/quadedge/QuadEdgeSubdivision.cpp,
	tests/unit/capi/GEOSVoronoiDiagramTest.cpp: Fix GEOSVoronoiDiagram
	on requesting edges only Before this fix asking for edges would return the edges of the
	triangle used as abase for the Voronoi diagram.  After, we return
	the actual voronoi cell edges.  git-svn-id: http://svn.osgeo.org/geos/trunk@3983
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-05-07  Mateusz Loskot <mateusz@loskot.net>

	* nmake.opt, src/algorithm/LineIntersector.cpp,
	src/geom/LineSegment.cpp, src/io/WKTWriter.cpp,
	src/operation/buffer/OffsetCurveSetBuilder.cpp: Apply minimal
	changes to enable building with Visual Studio 2013 (Ticket #691) git-svn-id: http://svn.osgeo.org/geos/trunk@3981
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-03-29  Sandro Santilli <strk@keybit.net>

	* src/operation/polygonize/EdgeRing.cpp: Polygonizer: do not pretend
	all exceptions are due to edge invalidity git-svn-id: http://svn.osgeo.org/geos/trunk@3978
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-03-28  Sandro Santilli <strk@keybit.net>

	* src/operation/polygonize/Polygonizer.cpp: Make polygonize
	operation interruptable git-svn-id: http://svn.osgeo.org/geos/trunk@3977
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-03-17  Sandro Santilli <strk@keybit.net>

	* src/Makefile.vc: Fix nmake build (#689) git-svn-id: http://svn.osgeo.org/geos/trunk@3976
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-03-16  Sandro Santilli <strk@keybit.net>

	* tests/unit/geom/CoordinateArraySequenceTest.cpp,
	tests/unit/io/WKBWriterTest.cpp: Include <cmath> from unit tests
	(#686) git-svn-id: http://svn.osgeo.org/geos/trunk@3975
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-02-11  Sandro Santilli <strk@keybit.net>

	* capi/Makefile.am: Include AM_CPPFLAGS in target-specific CPPFLAGS Attempt to fix build on travis (with automake 1.11.3) See
	http://travis-ci.org/libgeos/libgeos/jobs/18602776#L2519 git-svn-id: http://svn.osgeo.org/geos/trunk@3974
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-02-10  Sandro Santilli <strk@keybit.net>

	* capi/Makefile.am, doc/Makefile.am, src/Makefile.am,
	src/algorithm/Makefile.am, src/algorithm/distance/Makefile.am,
	src/algorithm/locate/Makefile.am, src/geom/Makefile.am,
	src/geom/prep/Makefile.am, src/geom/util/Makefile.am,
	src/geomgraph/Makefile.am, src/geomgraph/index/Makefile.am,
	src/index/bintree/Makefile.am, src/index/chain/Makefile.am,
	src/index/intervalrtree/Makefile.am,
	src/index/quadtree/Makefile.am, src/index/strtree/Makefile.am,
	src/index/sweepline/Makefile.am, src/io/Makefile.am,
	src/linearref/Makefile.am, src/noding/Makefile.am,
	src/noding/snapround/Makefile.am, src/operation/Makefile.am,
	src/operation/buffer/Makefile.am,
	src/operation/distance/Makefile.am,
	src/operation/linemerge/Makefile.am,
	src/operation/overlay/Makefile.am,
	src/operation/polygonize/Makefile.am,
	src/operation/predicate/Makefile.am,
	src/operation/relate/Makefile.am,
	src/operation/sharedpaths/Makefile.am,
	src/operation/union/Makefile.am, src/operation/valid/Makefile.am,
	src/planargraph/Makefile.am, src/precision/Makefile.am,
	src/simplify/Makefile.am, src/triangulate/Makefile.am,
	src/triangulate/quadedge/Makefile.am, src/util/Makefile.am,
	swig/ruby/Makefile.am, tests/bigtest/Makefile.am,
	tests/geostest/Makefile.am, tests/perf/Makefile.am,
	tests/perf/capi/Makefile.am,
	tests/perf/operation/buffer/Makefile.am,
	tests/perf/operation/predicate/Makefile.am,
	tests/thread/Makefile.am, tests/unit/Makefile.am,
	tests/xmltester/Makefile.am: Rename INCLUDES to AM_CPPFLAGS Fixes aclocal 1.13.3 warning: 'INCLUDES' is the old name for
	'AM_CPPFLAGS' (or '*_CPPFLAGS') Also tested with aclocal 1.11.1 git-svn-id: http://svn.osgeo.org/geos/trunk@3973
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-02-10  Sandro Santilli <strk@keybit.net>

	* configure.in => configure.ac: Renamed configure.in to configure.ac
	(#683) Tested with GNU automake 1.13.3 and 1.11.1 git-svn-id: http://svn.osgeo.org/geos/trunk@3972
	5242fede-7e19-0410-aef8-94bd7d2200fb

2014-02-10  Mateusz Loskot <mateusz@loskot.net>

	* src/inlines.cpp: Replace use of non-existent DLL_EXPORT with
	GEOS_DLL_EXPORT (Ticket #681) git-svn-id: http://svn.osgeo.org/geos/trunk@3971
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-12-10  Sandro Santilli <strk@keybit.net>

	* swig/ruby/Makefile.am: Fix Ruby automake There is a typo or error in the automake file that prevents the Ruby
	library from being found or properly linked in.  Patch by "J. Ryan Earl" <oss@jryanearl.us> See
	https://github.com/libgeos/libgeos/pull/32 git-svn-id: http://svn.osgeo.org/geos/trunk@3966
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-12-10  Sandro Santilli <strk@keybit.net>

	* src/io/WKBReader.cpp, tests/unit/io/WKBReaderTest.cpp: Throw a
	ParseException on missing chars from HEXWKB string (#675) Includes testcase.  git-svn-id: http://svn.osgeo.org/geos/trunk@3964
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-11-19  Mateusz Loskot <mateusz@loskot.net>

	* nmake.opt: Add NMAKE version from VS2012 Update 4 git-svn-id: http://svn.osgeo.org/geos/trunk@3963
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-11-19  Sandro Santilli <strk@keybit.net>

	* src/triangulate/VoronoiDiagramBuilder.cpp,
	tests/unit/triangulate/quadedge/QuadEdgeSubdivisionTest.cpp: Prefer
	std::max over fmax (#674) Should fix MSVC11 builds.  Patches by Twiddeldidu.  git-svn-id: http://svn.osgeo.org/geos/trunk@3962
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-11-19  Sandro Santilli <strk@keybit.net>

	* configure.in: Do not try to build python and ruby bindings without
	swig (#673) git-svn-id: http://svn.osgeo.org/geos/trunk@3961
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-11-19  Sandro Santilli <strk@keybit.net>

	* include/geos/geom/Geometry.h,
	include/geos/geom/util/ComponentCoordinateExtracter.h,
	include/geos/geom/util/LinearComponentExtracter.h,
	include/geos/geom/util/PointExtracter.h,
	include/geos/geom/util/PolygonExtracter.h, src/geom/Geometry.cpp,
	src/geom/util/ComponentCoordinateExtracter.cpp,
	src/geom/util/LinearComponentExtracter.cpp,
	src/geom/util/Makefile.am, src/geom/util/PointExtracter.cpp,
	src/geom/util/PolygonExtracter.cpp: Define
	ComponentCoordinateExtracter classes in .cpp file (#535) This is a workaround for a bug in GCC 4.4 failing to properly encode
	inheritance info in the shared library when the class is fully
	inlined.  Patch by Daniel Komisar <dkomisar@mak.com> git-svn-id: http://svn.osgeo.org/geos/trunk@3960
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-09-13  Sandro Santilli <strk@keybit.net>

	* capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp,
	tests/unit/capi/GEOSVoronoiDiagramTest.cpp: Added onlyEdges
	parameter to GEOSVoronoiDiagram (#627) Contributed by Vishal Tiwari git-svn-id: http://svn.osgeo.org/geos/trunk@3959
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-09-13  Sandro Santilli <strk@keybit.net>

	* include/geos/platform.h.in: Temptative fix for ISFINITE imple with
	UP-UX 11.23 build (#664) git-svn-id: http://svn.osgeo.org/geos/trunk@3957
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-09-13  Sandro Santilli <strk@keybit.net>

	* .gitignore: ignore generated svn revision header git-svn-id: http://svn.osgeo.org/geos/trunk@3956
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-09-13  Sandro Santilli <strk@keybit.net>

	* NEWS, include/geos/triangulate/VoronoiDiagramBuilder.h,
	src/triangulate/VoronoiDiagramBuilder.cpp,
	tests/unit/triangulate/VoronoiTest.cpp: Cleanup
	VoronoiDiagramBuilder interface, add NEWS item (#627) Cleanups involved removing all explicit "delete" calls trough
	auto_ptr uses, moving some allocations from heap to stack and
	reducing object copies.  git-svn-id: http://svn.osgeo.org/geos/trunk@3955
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-09-13  Sandro Santilli <strk@keybit.net>

	* capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp,
	tests/unit/Makefile.am,
	tests/unit/capi/{GEOSVoronoiDiagramBuilderTest.cpp =>
	GEOSVoronoiDiagramTest.cpp}: Rename CAPI method
	GEOSVoronoiDiagramBuilder to GEOSVoronoiDiagram See #627 git-svn-id: http://svn.osgeo.org/geos/trunk@3954
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-09-13  Sandro Santilli <strk@keybit.net>

	* capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp,
	tests/unit/Makefile.am,
	tests/unit/capi/GEOSVoronoiDiagramBuilderTest.cpp: capi Voronoi
	Diagram Builder + tests git-svn-id: http://svn.osgeo.org/geos/trunk@3953
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-09-10  Sandro Santilli <strk@keybit.net>

	* src/triangulate/VoronoiDiagramBuilder.cpp: Remove unneeded include git-svn-id: http://svn.osgeo.org/geos/trunk@3952
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-09-10  Sandro Santilli <strk@keybit.net>

	* include/geos/triangulate/Makefile.am,
	include/geos/triangulate/VoronoiDiagramBuilder.h,
	src/triangulate/Makefile.am,
	src/triangulate/VoronoiDiagramBuilder.cpp, tests/unit/Makefile.am,
	tests/unit/triangulate/VoronoiTest.cpp: VoronoiDigramBuilder class +
	test Contributed by Vishal Tiwari See https://github.com/libgeos/libgeos/pull/25 git-svn-id: http://svn.osgeo.org/geos/trunk@3951
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-09-10  Sandro Santilli <strk@keybit.net>

	* COPYING: Fix FSF address in license file (#662) git-svn-id: http://svn.osgeo.org/geos/trunk@3946
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-09-07  Sandro Santilli <strk@keybit.net>

	* tests/unit/triangulate/quadedge/QuadEdgeSubdivisionTest.cpp: Hush
	still-reachable valgrind report by avoiding singletons git-svn-id: http://svn.osgeo.org/geos/trunk@3945
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-09-07  Sandro Santilli <strk@keybit.net>

	* include/geos/triangulate/quadedge/QuadEdgeSubdivision.h,
	src/triangulate/quadedge/QuadEdgeSubdivision.cpp,
	tests/unit/triangulate/quadedge/QuadEdgeSubdivisionTest.cpp: Voronoi
	APIs added to QuadEdgeSubdivision class, with test added Contributed by Vishal Tiwari git-svn-id: http://svn.osgeo.org/geos/trunk@3944
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-09-04  Mateusz Loskot <mateusz@loskot.net>

	* .travis.yml: Remove myself from travis-ci notification targets git-svn-id: http://svn.osgeo.org/geos/trunk@3942
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-09-02  Sandro Santilli <strk@keybit.net>

	* .gitignore, .travis.yml, tools/ci/before_install.sh,
	tools/ci/script.sh: Add 32-bit build in travis-ci config (#658) - Add 32-bit builds to Travis CI matrix - Install gcc-multilib on Travis CI for -m32 - Add IRC use_notice to Travis CI notifications - Set on_success and on_failure separately for IRC and email - Ignore _build - convenient for CMake builds Patch by Mateusz Loskot git-svn-id: http://svn.osgeo.org/geos/trunk@3934
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-31  Mateusz Loskot <mateusz@loskot.net>

	* : Ignore geos_svn_revision.h, compile and test-driver files git-svn-id: http://svn.osgeo.org/geos/trunk@3933
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-28  Mateusz Loskot <mateusz@loskot.net>

	* tests/xmltester/XMLTester.cpp: Untabify git-svn-id: http://svn.osgeo.org/geos/trunk@3931
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-28  Mateusz Loskot <mateusz@loskot.net>

	* src/operation/polygonize/EdgeRing.cpp,
	src/triangulate/IncrementalDelaunayTriangulator.cpp,
	src/triangulate/quadedge/QuadEdgeSubdivision.cpp: * Replace while(true) with canonical for(;;) * Warnings clean-up * Untabify git-svn-id: http://svn.osgeo.org/geos/trunk@3930
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-28  Mateusz Loskot <mateusz@loskot.net>

	* include/geos/geom/BinaryOp.h: Add explicit cast from double to
	long unsigned int git-svn-id: http://svn.osgeo.org/geos/trunk@3929
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-28  Mateusz Loskot <mateusz@loskot.net>

	* tests/xmltester/XMLTester.cpp: Clean unsafe mix of type 'int' and
	type 'bool' in operation git-svn-id: http://svn.osgeo.org/geos/trunk@3928
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-28  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/noding/snapround/MCIndexSnapRounderTest.cpp,
	tests/unit/tut/tut.hpp: Disable copy ctor and assignment operator
	where relevant.  git-svn-id: http://svn.osgeo.org/geos/trunk@3927
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-28  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/capi/GEOSNodeTest.cpp: Replace implicit boolean
	conversion with explicit nullptr test git-svn-id: http://svn.osgeo.org/geos/trunk@3926
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-28  Mateusz Loskot <mateusz@loskot.net>

	* include/geos/geom/BinaryOp.h: Ignore unused label git-svn-id: http://svn.osgeo.org/geos/trunk@3925
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-26  Regina Obe <lr@pcorp.us>

	* NEWS: copy over 3.4 branch news items git-svn-id: http://svn.osgeo.org/geos/trunk@3924
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-22  Sandro Santilli <strk@keybit.net>

	* .travis.yml, tools/ci/before_install.sh,
	tools/ci/before_install_autotools.sh,
	tools/ci/before_install_cmake.sh, tools/ci/common.sh,
	tools/ci/script.sh, tools/ci/script_autotools.sh,
	tools/ci/script_cmake.sh: Configure Travis CI for GEOS (#657) Configurations for GCC and clang with both Autotools and CMake.
	Enable IRC notifications Contributed by Mateusz Loskot <mateusz@loskot.net> git-svn-id: http://svn.osgeo.org/geos/trunk@3914
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-22  Sandro Santilli <strk@keybit.net>

	* NEWS: Stub 3.5.0 section git-svn-id: http://svn.osgeo.org/geos/trunk@3913
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-22  Sandro Santilli <strk@keybit.net>

	* include/geos/geom/Triangle.h, src/geom/Triangle.cpp,
	tests/unit/geom/TriangleTest.cpp: circumcentre() and det() methods
	added to class Triangle Includes test for circumcentre() Contributed by Vishal Tiwari git-svn-id: http://svn.osgeo.org/geos/trunk@3912
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-22  Sandro Santilli <strk@keybit.net>

	* tests/unit/capi/GEOSisValidDetailTest.cpp: Accept multiple NaN
	representations (#656) git-svn-id: http://svn.osgeo.org/geos/trunk@3910
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-21  Sandro Santilli <strk@keybit.net>

	* CMakeLists.txt: Set JTS_PORT for CMake in sync with others .. we should really reduce the number of places version is set git-svn-id: http://svn.osgeo.org/geos/trunk@3908
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-21  Sandro Santilli <strk@keybit.net>

	* include/geos/geom/BinaryOp.h: Use a double for PrecisionModel
	scale, avoiding overflows Fixes #652 git-svn-id: http://svn.osgeo.org/geos/trunk@3907
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-21  Regina Obe <lr@pcorp.us>

	* include/geos/platform.h.in: #650 isnan workaround OS detection
	missing NetBSD, DragonFly, Sun nuance git-svn-id: http://svn.osgeo.org/geos/trunk@3902
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-20  Sandro Santilli <strk@keybit.net>

	* include/geos/triangulate/quadedge/Vertex.h,
	src/triangulate/quadedge/Vertex.cpp: Change operator< for Vertex to
	be inlined and use Coordinate operator< git-svn-id: http://svn.osgeo.org/geos/trunk@3901
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-20  Sandro Santilli <strk@keybit.net>

	* tests/unit/triangulate/quadedge/VertexTest.cpp: Simplify Vertext
	test git-svn-id: http://svn.osgeo.org/geos/trunk@3900
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-20  Sandro Santilli <strk@keybit.net>

	* include/geos/triangulate/quadedge/Vertex.h,
	src/triangulate/quadedge/Vertex.cpp, tests/unit/Makefile.am,
	tests/unit/triangulate/quadedge/VertexTest.cpp: operator< for Vertex
	added Includes test Path by Vishal Tiwari git-svn-id: http://svn.osgeo.org/geos/trunk@3899
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-19  Sandro Santilli <strk@keybit.net>

	* include/geos/Makefile.am: Install but do not distribute generated
	headers These are platform.h and version.h Fixes bug #601 and the lack of
	C++ headers install in releases 3.4.0 and 3.4.1 git-svn-id: http://svn.osgeo.org/geos/trunk@3896
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-17  Regina Obe <lr@pcorp.us>

	* CMakeLists.txt: #644 Can't build using cmake with tar ball only do
	svn check if there is a .svn file in source folder to ensure it
	works with tar ball git-svn-id: http://svn.osgeo.org/geos/trunk@3889
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-16  Sandro Santilli <strk@keybit.net>

	* src/operation/overlay/snap/LineStringSnapper.cpp,
	tests/unit/capi/GEOSSnapTest.cpp: Fix assertion failure in snapping
	code (#649) The bug affected attempts to snapping lines to the points of a
	rectangle with a side smaller than the tolerance.  git-svn-id: http://svn.osgeo.org/geos/trunk@3885
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-14  Regina Obe <lr@pcorp.us>

	* CMakeLists.txt, HOWTO_RELEASE: update HOWTO_RELEASE to include
	bumping revision numbrs in CMake and also bump numbers in CMake.  git-svn-id: http://svn.osgeo.org/geos/trunk@3883
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-11  Sandro Santilli <strk@keybit.net>

	* : Set correct eol-style for geos-config and testrunner (#645) git-svn-id: http://svn.osgeo.org/geos/trunk@3879
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-11  Regina Obe <lr@pcorp.us>

	* capi/geos_c.h.in: bump to 3.5.0 and capi to next git-svn-id: http://svn.osgeo.org/geos/trunk@3877
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-11  Regina Obe <lr@pcorp.us>

	* NEWS: update date on news git-svn-id: http://svn.osgeo.org/geos/trunk@3876
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-11  Regina Obe <lr@pcorp.us>

	* configure.in, include/geos/version.h.vc: bump all revisions with
	plan we will have Voronoi ported over (strk change if I did this
	wrong) git-svn-id: http://svn.osgeo.org/geos/trunk@3873
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-11  Regina Obe <lr@pcorp.us>

	* include/geos/version.h.vc: update version numbers to agree with
	configure.in - huh why are the version numbers all old in this file? git-svn-id: http://svn.osgeo.org/geos/trunk@3870
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-11  Regina Obe <lr@pcorp.us>

	* configure.in: get rid of dev in version# in prep for 3.4.0 release git-svn-id: http://svn.osgeo.org/geos/trunk@3869
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-11  Regina Obe <lr@pcorp.us>

	* ChangeLog: update change log in prep for 3.4.0 release git-svn-id: http://svn.osgeo.org/geos/trunk@3868
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-08  Regina Obe <lr@pcorp.us>

	* ChangeLog, NEWS: update news and change log in prep for Aug 10
	release of 3.4.0 git-svn-id: http://svn.osgeo.org/geos/trunk@3867
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-04  Regina Obe <lr@pcorp.us>

	* include/geos/Makefile.am: #601 do not incude platform.h in tar
	ball.  git-svn-id: http://svn.osgeo.org/geos/trunk@3866
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-04  Sandro Santilli <strk@keybit.net>

	* src/triangulate/DelaunayTriangulationBuilder.cpp: Avoid Coordinate
	copies in DelaunayTriangulationBuilder::envelope git-svn-id: http://svn.osgeo.org/geos/trunk@3864
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-04  Sandro Santilli <strk@keybit.net>

	* tests/unit/triangulate/DelaunayTest.cpp: Simplify testcase for
	DelaunayTriangulationBuilder::envelope git-svn-id: http://svn.osgeo.org/geos/trunk@3863
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-04  Sandro Santilli <strk@keybit.net>

	* include/geos/triangulate/DelaunayTriangulationBuilder.h,
	src/triangulate/DelaunayTriangulationBuilder.cpp,
	tests/unit/triangulate/DelaunayTest.cpp: envelope() method added to
	DelaunayTriangulationBuilder class Includes testcase. Patch by Vishal Tiwari git-svn-id: http://svn.osgeo.org/geos/trunk@3862
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-03  Mateusz Loskot <mateusz@loskot.net>

	* CMakeLists.txt, tools/geos_svn_revision_cmake.h.in: Add
	geos_svn_revision.h generator to CMake config Patch from David Burken attached to #643 git-svn-id: http://svn.osgeo.org/geos/trunk@3861
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-02  Regina Obe <lr@pcorp.us>

	* src/Makefile.vc: #607 Makefile.vc 'clean' step leaks obj files git-svn-id: http://svn.osgeo.org/geos/trunk@3860
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-08-01  Regina Obe <lr@pcorp.us>

	* NEWS: updates add some missing ticket items  and add ticket
	numbers where missing git-svn-id: http://svn.osgeo.org/geos/trunk@3858
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-07-31  Sean Gillies <sgillies@frii.com>

	* src/operation/polygonize/EdgeRing.cpp: Print to stderr only in
	debug mode git-svn-id: http://svn.osgeo.org/geos/trunk@3857
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-07-31  Regina Obe <lr@pcorp.us>

	* AUTHORS: #641 - distinguish between active and inactive group and
	add Regina Obe to list.  git-svn-id: http://svn.osgeo.org/geos/trunk@3856
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-07-31  Regina Obe <lr@pcorp.us>

	* acsite.m4: git-svn-id: http://svn.osgeo.org/geos/trunk@3855
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-07-31  Regina Obe <lr@pcorp.us>

	* authors.svn: add myself to author list git-svn-id: http://svn.osgeo.org/geos/trunk@3854
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-07-31  Sandro Santilli <strk@keybit.net>

	* NEWS, include/geos/geom/BinaryOp.h,
	include/geos/operation/overlay/OverlayOp.h,
	src/operation/overlay/OverlayOp.cpp, tests/xmltester/Makefile.am,
	tests/xmltester/tests/ticket/bug392.xml,
	tests/xmltester/tests/ticket/bug459.xml,
	tests/xmltester/tests/ticket/bug527.xml,
	tests/xmltester/tests/ticket/bug586.xml,
	tests/xmltester/tests/ticket/bug599.xml: Improve overlay robustness  - Validate CBR results before accepting them  - Enable overlay node validator even for FIXED precision  - Enable geometry-reduction policy  - Bail out on exception from overlay if any input is invalid Fixes bug #459 git-svn-id: http://svn.osgeo.org/geos/trunk@3853
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-07-31  Sandro Santilli <strk@keybit.net>

	* tests/xmltester/tests/buffer.xml: Do not expect invalid output
	from buffer The test verification code is tollerant, but better fix this git-svn-id: http://svn.osgeo.org/geos/trunk@3852
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-07-31  Sandro Santilli <strk@keybit.net>

	* tests/xmltester/tests/ticket/bug275.xml: Turn test for ticket 275
	into an "area test".  Area test checks that the area of the Union between two geometries
	is about the same as the sum of area of symdifference + area of
	intersection.  git-svn-id: http://svn.osgeo.org/geos/trunk@3851
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-07-25  Sandro Santilli <strk@keybit.net>

	* include/geos/geom/CoordinateList.h: Fix CoordinateList.closeRing()
	use of past-the-end operator git-svn-id: http://svn.osgeo.org/geos/trunk@3850
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-07-25  Sandro Santilli <strk@keybit.net>

	* include/geos/geom/CoordinateList.h,
	tests/unit/geom/CoordinateListTest.cpp: closeRing() method added in
	CoordinateList class Patch by Vishal Tiwari <hi.vishal123@gmail.com> git-svn-id: http://svn.osgeo.org/geos/trunk@3849
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-07-23  Sandro Santilli <strk@keybit.net>

	* capi/geos_c.cpp, capi/geos_c.h.in: Cosmetic changes into the CAPI
	code, by Mike Toews  - Replace "reader" with "writer" in prototypes  - describe "_r" functions  - Function arguments with only one geometry changed from g1 to g  - Rename nf -> ef for
	 GEOSContext_setErrorHandler_rsetErrorHandler_r - Move GEOSBuffer* declaration to top of buffer related function
	 section - Change char* mat to char *mat  - Fix typos in comments  - Clip trailing white space, and other white space consistencies  - Other minor rearrangements for consistency git-svn-id: http://svn.osgeo.org/geos/trunk@3848
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-07-17  Sandro Santilli <strk@keybit.net>

	* src/operation/buffer/OffsetCurveBuilder.cpp,
	tests/unit/capi/GEOSOffsetCurveTest.cpp: Make GEOSOffsetCurve
	survive single-point input (with an exception) git-svn-id: http://svn.osgeo.org/geos/trunk@3846
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-07-17  Sandro Santilli <strk@keybit.net>

	* src/operation/buffer/BufferInputLineSimplifier.cpp,
	src/operation/buffer/OffsetSegmentGenerator.cpp,
	tests/unit/capi/GEOSOffsetCurveTest.cpp: Fix OffsetCurve op in
	presence of duplicated vertices (#602) git-svn-id: http://svn.osgeo.org/geos/trunk@3845
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-07-17  Sandro Santilli <strk@keybit.net>

	* src/simplify/LineSegmentIndex.cpp: Fix LineSegmentVisitor copy
	ctor (#636) git-svn-id: http://svn.osgeo.org/geos/trunk@3844
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-07-15  Sandro Santilli <strk@keybit.net>

	* src/geom/GeometryCollection.cpp, tests/unit/io/WKBWriterTest.cpp: 
	Drop SRID from geometrycollection elements (#583) git-svn-id: http://svn.osgeo.org/geos/trunk@3840
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-07-12  Sandro Santilli <strk@keybit.net>

	* tests/unit/geom/Geometry/coversTest.cpp: Add test for #580
	(successful) git-svn-id: http://svn.osgeo.org/geos/trunk@3839
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-07-11  Sandro Santilli <strk@keybit.net>

	* tests/unit/capi/GEOSOffsetCurveTest.cpp: Fix memory leak in
	testcase git-svn-id: http://svn.osgeo.org/geos/trunk@3837
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-07-11  Sandro Santilli <strk@keybit.net>

	* tests/unit/capi/GEOSOffsetCurveTest.cpp: Drop carriage returns git-svn-id: http://svn.osgeo.org/geos/trunk@3836
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-07-11  Sandro Santilli <strk@keybit.net>

	* include/geos/triangulate/quadedge/QuadEdge.h,
	include/geos/triangulate/quadedge/QuadEdgeSubdivision.h,
	include/geos/triangulate/quadedge/Vertex.h,
	src/triangulate/quadedge/QuadEdgeSubdivision.cpp,
	tests/unit/triangulate/DelaunayTest.cpp: Fix memory in
	QuadEdgeSubdivision (#604) git-svn-id: http://svn.osgeo.org/geos/trunk@3835
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-07-11  Sandro Santilli <strk@keybit.net>

	* NEWS, php/geos.c, php/test/test.php: Expose Delaunay triangulation
	to PHP API (#567) git-svn-id: http://svn.osgeo.org/geos/trunk@3834
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-07-11  Sandro Santilli <strk@keybit.net>

	* php/test/test.php: Fix test after changes in PointOnSurface git-svn-id: http://svn.osgeo.org/geos/trunk@3833
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-07-11  Sandro Santilli <strk@keybit.net>

	* NEWS, tools/geos-config.in: Add --cclibs, --static-clibs and
	--static-cclibs to geos-config (#497) git-svn-id: http://svn.osgeo.org/geos/trunk@3832
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-07-11  Sandro Santilli <strk@keybit.net>

	* NEWS: Add 3.3.1 to 3.3.8 section git-svn-id: http://svn.osgeo.org/geos/trunk@3831
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-07-11  Sandro Santilli <strk@keybit.net>

	* NEWS: Cleanup NEWS file confused in r3816 git-svn-id: http://svn.osgeo.org/geos/trunk@3830
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-07-05  Sandro Santilli <strk@keybit.net>

	* include/geos/linearref/Makefile.am: Fix install location of
	linearref headers (#624) git-svn-id: http://svn.osgeo.org/geos/trunk@3829
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-06-28  Mateusz Loskot <mateusz@loskot.net>

	* nmake.opt: Add NMAKE version from Visual Studio 2012 Update 3 RTM git-svn-id: http://svn.osgeo.org/geos/trunk@3827
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-06-26  Sandro Santilli <strk@keybit.net>

	* src/noding/snapround/HotPixel.cpp,
	tests/unit/noding/snapround/HotPixelTest.cpp: Fix typo in HotPixel
	corners initializer Patch by Mickael BORNE <mickael.borne@ign.fr> git-svn-id: http://svn.osgeo.org/geos/trunk@3826
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-06-26  Mateusz Loskot <mateusz@loskot.net>

	* nmake.opt: Add another NMAKE version from Visual Studio 2012 git-svn-id: http://svn.osgeo.org/geos/trunk@3824
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-06-12  Mateusz Loskot <mateusz@loskot.net>

	* include/geos/operation/buffer/BufferBuilder.h,
	src/operation/buffer/BufferBuilder.cpp,
	tests/unit/operation/buffer/BufferBuilderTest.cpp: Final
	clarification of BufferBuilder::bufferLineSingleSided behaviour
	(ticket #633) * Ignore BufferParameters::setSingleSided() parameter as it is
	specific to areal geometries.  * Document semantic of input parameters.  * Document order of coordinates in generated output (conforms to
	PostGIS behaviour).  * Add test for coordinates order assumptions.  git-svn-id: http://svn.osgeo.org/geos/trunk@3823
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-06-12  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/operation/buffer/BufferBuilderTest.cpp: Update single
	side offset curve tests to check uniform coordinates order in output
	(ticket #633). We need to decide if
	BufferBuilder::bufferLineSingleSided should take care of reversing
	coordinates if necessary.  git-svn-id: http://svn.osgeo.org/geos/trunk@3822
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-06-12  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/Makefile.am,
	tests/unit/operation/buffer/BufferBuilderTest.cpp: Add updated C++
	API test case for the left/right offset curve (ticket #633) git-svn-id: http://svn.osgeo.org/geos/trunk@3821
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-06-12  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/capi/GEOSOffsetCurveTest.cpp: Add comment missing from
	previous commit.  git-svn-id: http://svn.osgeo.org/geos/trunk@3820
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-06-12  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/capi/GEOSOffsetCurveTest.cpp: Add test case for #633
	based on GEOSOffsetCurve from C-API. Passing negative distance for
	right-sided offset curve generates correct/expected output.
	Interestingly, equivalent test using BufferBuilder directly, from
	C++ API, does not pass.  git-svn-id: http://svn.osgeo.org/geos/trunk@3819
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-06-11  Mateusz Loskot <mateusz@loskot.net>

	* src/operation/buffer/OffsetCurveBuilder.cpp,
	tests/unit/Makefile.am,
	tests/unit/operation/buffer/BufferBuilderTest.cpp: Revert r3817 as
	partial or incorrect fix. See ticket #633 for details.  git-svn-id: http://svn.osgeo.org/geos/trunk@3818
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-06-11  Mateusz Loskot <mateusz@loskot.net>

	* src/operation/buffer/OffsetCurveBuilder.cpp,
	tests/unit/Makefile.am,
	tests/unit/operation/buffer/BufferBuilderTest.cpp: * Fix bug in OffsetCurveBuilder case for right-side offset curve
	used left-side flag to initialise the side segments.  * Corresponding test case attached.  git-svn-id: http://svn.osgeo.org/geos/trunk@3817
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-06-11  Sandro Santilli <strk@keybit.net>

	* NEWS, include/geos/profiler.h: Fix for mingw64 compile, by Regina
	Obe (#630) git-svn-id: http://svn.osgeo.org/geos/trunk@3816
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-06-07  Sandro Santilli <strk@keybit.net>

	* src/operation/overlay/snap/LineStringSnapper.cpp: Simplify code
	looking for closer vertex snap git-svn-id: http://svn.osgeo.org/geos/trunk@3814
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-06-07  Mateusz Loskot <mateusz@loskot.net>

	* capi/geos_ts_c.cpp: Fix incomplete type of Node at the point of
	destruction (by GeometryNoder) leading to never called destructor
	bug.  git-svn-id: http://svn.osgeo.org/geos/trunk@3813
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-06-07  Mateusz Loskot <mateusz@loskot.net>

	* src/algorithm/RayCrossingCounter.cpp, src/geom/LineString.cpp,
	src/geomgraph/index/SimpleSweepLineIntersector.cpp,
	src/io/WKBWriter.cpp,
	src/operation/buffer/BufferInputLineSimplifier.cpp,
	src/operation/linemerge/LineSequencer.cpp,
	src/operation/polygonize/PolygonizeGraph.cpp: Correct int and
	std::size_t mismatch for 64-bit target.  git-svn-id: http://svn.osgeo.org/geos/trunk@3812
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-06-07  Mateusz Loskot <mateusz@loskot.net>

	* src/algorithm/InteriorPointArea.cpp: * Disable copy constructor and assignment operator.  * Correct int and std::size_t mismatch for 64-bit target.  git-svn-id: http://svn.osgeo.org/geos/trunk@3811
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-06-07  Mateusz Loskot <mateusz@loskot.net>

	* include/geos/noding/GeometryNoder.h,
	include/geos/precision/GeometryPrecisionReducer.h,
	include/geos/precision/PrecisionReducerCoordinateOperation.h,
	src/noding/GeometryNoder.cpp: Disable copy constructor and
	assignment operator git-svn-id: http://svn.osgeo.org/geos/trunk@3810
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-06-07  Mateusz Loskot <mateusz@loskot.net>

	* include/geos/operation/buffer/OffsetSegmentString.h: Correct
	return type of OffsetSegmentString::size() to be size_t git-svn-id: http://svn.osgeo.org/geos/trunk@3809
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-06-06  Sandro Santilli <strk@keybit.net>

	* examples/CPCLException.cpp,
	examples/CoordinateSequencesExample.cpp,
	examples/CustomCoordinateSequenceExample.cpp,
	examples/CustomCoordinateSequenceExample.h,
	examples/CustomPointCoordinateSequence.cpp, examples/Makefile.am: 
	Drop obsoleted files git-svn-id: http://svn.osgeo.org/geos/trunk@3808
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-06-06  Sandro Santilli <strk@keybit.net>

	* src/operation/overlay/snap/LineStringSnapper.cpp: Drop commented
	out / disabled code git-svn-id: http://svn.osgeo.org/geos/trunk@3807
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-06-05  Mateusz Loskot <mateusz@loskot.net>

	* CMakeLists.txt: Implement generating geos_svn_revision.h using
	shell script.  git-svn-id: http://svn.osgeo.org/geos/trunk@3806
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-06-05  Mateusz Loskot <mateusz@loskot.net>

	* CMakeLists.txt: Make Visual C++ 11.0 recognised by CMake
	configuration git-svn-id: http://svn.osgeo.org/geos/trunk@3805
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-06-03  Sandro Santilli <strk@keybit.net>

	* src/geom/prep/PreparedPolygonIntersects.cpp: Short-circuit
	prepared polygon/point intersection Reduces memory fragmentation for area-puntal ops git-svn-id: http://svn.osgeo.org/geos/trunk@3803
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-05-30  Sandro Santilli <strk@keybit.net>

	* include/geos/operation/overlay/snap/LineStringSnapper.h,
	src/operation/overlay/snap/LineStringSnapper.cpp,
	tests/unit/capi/GEOSSnapTest.cpp: Improve snap algorithm reducing
	likelyhood of invalid output  - Snap input vertices to closest snap point (#629)  - Do not snap segments to external points (#501)  - Never snap multiple vertices to the same snap point Work funded by Tuscany Region - SITA. Contract "Support to the use
	of GFOSS (Geographic Free and Open Source Software) Desktop tools"
	(CIG Z3B06FA6D7).  git-svn-id: http://svn.osgeo.org/geos/trunk@3800
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-05-23  Sandro Santilli <strk@keybit.net>

	* Makefile.am, tools/svn_repo_revision.sh: Create
	geos_svn_revision.h in the source tree It's a generated source, should always be in the tarball anyway git-svn-id: http://svn.osgeo.org/geos/trunk@3799
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-05-23  Sandro Santilli <strk@keybit.net>

	* tools/Makefile.am: Distribute svn_repo_revision.sh git-svn-id: http://svn.osgeo.org/geos/trunk@3798
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-05-10  Mateusz Loskot <mateusz@loskot.net>

	* nmake.opt: Add NMAKE option WIN64 to simplify x64 build
	configuration git-svn-id: http://svn.osgeo.org/geos/trunk@3797
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-05-09  Mateusz Loskot <mateusz@loskot.net>

	* nmake.opt: Add NMAKE version from Visual Studio 2012 Update 3 git-svn-id: http://svn.osgeo.org/geos/trunk@3796
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-04-02  Mateusz Loskot <mateusz@loskot.net>

	* src/dirlist.mk: Add missing directories git-svn-id: http://svn.osgeo.org/geos/trunk@3795
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-04-02  Mateusz Loskot <mateusz@loskot.net>

	* nmake.opt, src/Makefile.vc, src/geom/Geometry.cpp: Add Visual Leak
	Detector (VLD) support to GEOS core * Add MSVC_VLD_DIR option to nmake.opt to enable/disable VLD * Add optional #include <vld.h> to Geometry.cpp git-svn-id: http://svn.osgeo.org/geos/trunk@3794
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-03-15  Sandro Santilli <strk@keybit.net>

	* tests/unit/algorithm/RobustLineIntersectionTest.cpp,
	tests/unit/capi/GEOSConvexHullTest.cpp,
	tests/unit/capi/GEOSUnaryUnionTest.cpp: Fix memory leaks in unit
	tests git-svn-id: http://svn.osgeo.org/geos/trunk@3793
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-03-15  Sandro Santilli <strk@keybit.net>

	* NEWS, capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp,
	tests/unit/Makefile.am, tests/unit/capi/GEOSNearestPointsTest.cpp: 
	Add GEOSNearestPoints CAPI function Contributed by Richard Frith-Macdonald <richard@tiptree.demon.co.uk> git-svn-id: http://svn.osgeo.org/geos/trunk@3792
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-03-15  Mateusz Loskot <mateusz@loskot.net>

	* nmake.opt: Add x64 NMAKE version from Visual Studio 2012 Update 1 git-svn-id: http://svn.osgeo.org/geos/trunk@3791
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-03-12  Sandro Santilli <strk@keybit.net>

	* macros/ruby.m4: Fix "puts puts" typo in ruby macro (#625) git-svn-id: http://svn.osgeo.org/geos/trunk@3790
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-03-11  Sandro Santilli <strk@keybit.net>

	* tests/unit/algorithm/RobustLineIntersectionTest.cpp: Port new
	RobustLineIntersection test from JTS git-svn-id: http://svn.osgeo.org/geos/trunk@3789
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-03-08  Sandro Santilli <strk@keybit.net>

	* include/geos/algorithm/LineIntersector.h,
	src/algorithm/LineIntersector.cpp,
	tests/unit/algorithm/RobustLineIntersectionTest.cpp: Fix
	RobustLineIntersector handling of invalid intersection points (#622) Adds new testcases. Many of them fail, probably due to the lack of
	double double use, but one of them only fails with the old
	RobustLineIntersector heuristic handling invalid intersection points git-svn-id: http://svn.osgeo.org/geos/trunk@3787
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-03-08  Mateusz Loskot <mateusz@loskot.net>

	* src/Makefile.vc: Add algorithm/Centroid.obj git-svn-id: http://svn.osgeo.org/geos/trunk@3786
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-03-08  Mateusz Loskot <mateusz@loskot.net>

	* include/geos/algorithm/Centroid.h: Untabify git-svn-id: http://svn.osgeo.org/geos/trunk@3785
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-03-08  Mateusz Loskot <mateusz@loskot.net>

	* nmake.opt: Add NMAKE version from Visual Studio 2012 Update 1 git-svn-id: http://svn.osgeo.org/geos/trunk@3784
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-03-08  Sandro Santilli <strk@keybit.net>

	* include/geos/algorithm/InteriorPointArea.h,
	src/algorithm/Centroid.cpp, src/algorithm/InteriorPointArea.cpp,
	tests/unit/capi/GEOSPointOnSurfaceTest.cpp,
	tests/xmltester/tests/general/TestInteriorPoint.xml: Fix
	GEOSPointOnSurface returning point on boundary (#623) Ports SafeBisector for InteriorPointArea from JTS git-svn-id: http://svn.osgeo.org/geos/trunk@3781
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-03-05  Sandro Santilli <strk@keybit.net>

	* capi/geos_ts_c.cpp: Speedup GEOSWKBWriter_read_r (#621) Patch by Daniel Zeitlin git-svn-id: http://svn.osgeo.org/geos/trunk@3779
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-03-01  Sandro Santilli <strk@keybit.net>

	* HOWTO_RELEASE: Add wiki update and announce steps git-svn-id: http://svn.osgeo.org/geos/trunk@3778
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-02-28  Sandro Santilli <strk@keybit.net>

	* src/algorithm/CentroidArea.cpp, tests/xmltester/Makefile.am,
	tests/xmltester/tests/ticket/bug582.xml: Fix centroid computation
	for collections with empty components Fixes bug #582 git-svn-id: http://svn.osgeo.org/geos/trunk@3773
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-02-25  Sandro Santilli <strk@keybit.net>

	* macros/ruby.m4, swig/ruby/geos_wrap.cxx: Update macros/ruby.m4 for
	ruby 1.9.x Used RbConfig instead of obsolete and deprecated Config.  Updated
	SWIG generated files.  Patch by Kashif Rasul <kashif.rasul@gmail.com> git-svn-id: http://svn.osgeo.org/geos/trunk@3772
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-02-25  Sandro Santilli <strk@keybit.net>

	* include/geos/platform.h.in: Fix build under cygwin (#595) Thanks Jason Huntley git-svn-id: http://svn.osgeo.org/geos/trunk@3771
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-02-25  Sandro Santilli <strk@keybit.net>

	* include/geos/io/WKTReader.h, include/geos/io/WKTReader.inl: 
	Deprecate WKTReader constructor taking GeometryFactory by pointer Add constructor taking it by reference, for consistency with
	WKBReader Closes #310 git-svn-id: http://svn.osgeo.org/geos/trunk@3770
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-02-25  Sandro Santilli <strk@keybit.net>

	* NEWS, include/geos/io/Writer.h, src/io/Writer.cpp,
	tests/unit/io/WriterTest.cpp: New ::reserve(size_t) method for
	io::Writer class git-svn-id: http://svn.osgeo.org/geos/trunk@3769
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-02-25  Sandro Santilli <strk@keybit.net>

	* NEWS, include/geos/io/Writer.h, src/io/Writer.cpp,
	tests/unit/Makefile.am, tests/unit/io/WriterTest.cpp: io::Writer:
	take and give strings by const ref, use .append, testcase git-svn-id: http://svn.osgeo.org/geos/trunk@3768
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-02-21  Sandro Santilli <strk@keybit.net>

	* src/io/WKTWriter.cpp: WKTWriter::appendCoordinate optimisation Modified the WKTWriter::appendCoordinate method to not create an
	intermediate std::string, but instead write directly into the Writer
	object. The result is a small performance improvement.  Patch by Mats Taraldsvik <mats.taraldsvik@norkart.no> git-svn-id: http://svn.osgeo.org/geos/trunk@3767
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-02-15  Mateusz Loskot <mateusz@loskot.net>

	* : Update svn:ignore property git-svn-id: http://svn.osgeo.org/geos/trunk@3765
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-02-01  Sandro Santilli <strk@keybit.net>

	* include/geos/linearref/LocationIndexOfLine.h,
	src/linearref/LocationIndexOfLine.cpp: Fix header guard and port
	info in LocatioNIndexOfLine (#618) git-svn-id: http://svn.osgeo.org/geos/trunk@3760
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-02-01  Sandro Santilli <strk@keybit.net>

	* include/geos/geom/util/GeometryExtracter.h: Fix header guard in
	GeometryExtracter (#617) git-svn-id: http://svn.osgeo.org/geos/trunk@3758
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-01-25  Sandro Santilli <strk@keybit.net>

	* src/operation/valid/IsValidOp.cpp: IsValidOp: throw proper error
	on nested shells (#608) Thanks geomworx git-svn-id: http://svn.osgeo.org/geos/trunk@3755
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-01-17  Sandro Santilli <strk@keybit.net>

	* include/geos/geom/BinaryOp.h, tests/xmltester/Makefile.am,
	tests/xmltester/tests/ticket/bug615.xml: Only attempt to fix
	self-intersection between multiple components Doing this reduces the likelyhood of entering an infinite recursion
	whereas UnaryUnion (meant to fix that) would enter the
	self-intersection attempt again. Fixes #615 for which a test is
	added.  This also gives us back an exception with the input of ticket #488,
	which is the same behavior JTS exposes. The (bogus) test for it is
	disabled by this commit.  git-svn-id: http://svn.osgeo.org/geos/trunk@3751
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-01-14  Sandro Santilli <strk@keybit.net>

	* NEWS, include/geos/algorithm/Centroid.h,
	include/geos/algorithm/CentroidArea.h,
	include/geos/algorithm/CentroidLine.h,
	include/geos/algorithm/CentroidPoint.h,
	include/geos/algorithm/Makefile.am, src/algorithm/Centroid.cpp,
	src/algorithm/Makefile.am, src/geom/Geometry.cpp,
	tests/xmltester/XMLTester.cpp,
	tests/xmltester/tests/general/TestCentroid.xml: Fix EMPTY return
	from single-point lines and zero-length polygons This commit ports new Centroid class from JTS (#612) git-svn-id: http://svn.osgeo.org/geos/trunk@3749
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-01-14  Sandro Santilli <strk@keybit.net>

	* include/geos/algorithm/InteriorPointArea.h,
	src/algorithm/InteriorPointArea.cpp,
	tests/xmltester/tests/general/TestInteriorPoint.xml: Fix EMPTY
	return from zero-area polygon (#613) git-svn-id: http://svn.osgeo.org/geos/trunk@3748
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-01-14  Sandro Santilli <strk@keybit.net>

	* tests/xmltester/XMLTester.cpp: Have XMLTester use POINT EMPTY for
	a null return from getInteriorPoint git-svn-id: http://svn.osgeo.org/geos/trunk@3747
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-01-14  Sandro Santilli <strk@keybit.net>

	* include/geos/util/Interrupt.h, src/util/Interrupt.cpp: Move static
	class members of Interrupt out of header (#611) Patch by Mateusz Loskot git-svn-id: http://svn.osgeo.org/geos/trunk@3744
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-01-11  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/triangulate/DelaunayTest.cpp: Missing QuadEdge.h
	causing incomplete types.  git-svn-id: http://svn.osgeo.org/geos/trunk@3743
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-01-11  Mateusz Loskot <mateusz@loskot.net>

	* nmake.opt: Report general and custom flags separately git-svn-id: http://svn.osgeo.org/geos/trunk@3742
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-01-11  Sandro Santilli <strk@keybit.net>

	* src/algorithm/InteriorPointLine.cpp,
	tests/unit/capi/GEOSPointOnSurfaceTest.cpp: Fix GEOSPointOnSurface
	with zero-length linestring (#609) git-svn-id: http://svn.osgeo.org/geos/trunk@3741
	5242fede-7e19-0410-aef8-94bd7d2200fb

2013-01-11  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/io/WKTReaderTest.cpp: Added test<7>() for the poorly
	reported bug ticket #610 - bug not reproducible.  git-svn-id: http://svn.osgeo.org/geos/trunk@3740
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-12-06  Sandro Santilli <strk@keybit.net>

	* configure.in: See if AC_CONFIG_HEADERS makes winnie happier ... and also how many other builds it breaks, if any git-svn-id: http://svn.osgeo.org/geos/trunk@3737
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-12-06  Sandro Santilli <strk@keybit.net>

	* src/Makefile.vc: Add missing classes to build script for evil
	compiler Curtesy of Geoff Evans git-svn-id: http://svn.osgeo.org/geos/trunk@3736
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-12-05  Sandro Santilli <strk@keybit.net>

	* src/operation/buffer/BufferOp.cpp: Add note about rounding in
	fixed precision buffer op (#605) git-svn-id: http://svn.osgeo.org/geos/trunk@3734
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-12-05  Sandro Santilli <strk@keybit.net>

	* src/operation/buffer/BufferOp.cpp: Do not reduce precision below 6
	significant digits.  Avoids gross results (preferring an exception) See
	http://trac.osgeo.org/geos/ticket/605 git-svn-id: http://svn.osgeo.org/geos/trunk@3733
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-12-04  Sandro Santilli <strk@keybit.net>

	* NEWS: Add note about BufferOp robustness improvement git-svn-id: http://svn.osgeo.org/geos/trunk@3731
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-12-04  Sandro Santilli <strk@keybit.net>

	* src/operation/buffer/BufferOp.cpp, tests/xmltester/Makefile.am,
	tests/xmltester/tests/ticket/bug605.xml: Reduce coordinates
	precision on robustness issues in BufferOp Fixes #605, adds test for it git-svn-id: http://svn.osgeo.org/geos/trunk@3728
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-12-04  Sandro Santilli <strk@keybit.net>

	* src/operation/buffer/RightmostEdgeFinder.cpp: Fix an abort in
	Buffer op (RightmostEdgeFinder) Rather than abort we throw a TopologyException, because the problem
	seems to occur when noding isn't correct.  See
	http://trac.osgeo.org/geos/ticket/605 git-svn-id: http://svn.osgeo.org/geos/trunk@3727
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-12-04  Sandro Santilli <strk@keybit.net>

	* tests/unit/Makefile.am,
	tests/unit/noding/OrientedCoordinateArray.cpp: Add unit test for
	OrientedCoordinateArray git-svn-id: http://svn.osgeo.org/geos/trunk@3726
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-11-15  Sandro Santilli <strk@keybit.net>

	* tests/xmltester/Makefile.am,
	tests/xmltester/tests/ticket/bug599.xml: Add automated test for #599
	(succeeds) git-svn-id: http://svn.osgeo.org/geos/trunk@3720
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-10-26  Sandro Santilli <strk@keybit.net>

	* Makefile.am: Fix building outside the source tree git-svn-id: http://svn.osgeo.org/geos/trunk@3719
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-09-10  Sandro Santilli <strk@keybit.net>

	* NEWS, src/triangulate/quadedge/QuadEdgeSubdivision.cpp,
	tests/unit/triangulate/DelaunayTest.cpp: Add Z support in delaunay
	triangulation (#570) Thanks Benjamin Campbell git-svn-id: http://svn.osgeo.org/geos/trunk@3716
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-09-10  Sandro Santilli <strk@keybit.net>

	* tests/xmltester/tests/ticket/bug586.xml: Tweak the test for bug
	586 to succeed while still being small git-svn-id: http://svn.osgeo.org/geos/trunk@3715
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-09-10  Sandro Santilli <strk@keybit.net>

	* tests/xmltester/Makefile.am,
	tests/xmltester/tests/ticket/bug586.xml: Add test for bug #586 git-svn-id: http://svn.osgeo.org/geos/trunk@3712
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-09-10  Sandro Santilli <strk@keybit.net>

	* include/geos/geom/BinaryOp.h: Do not try to fix valid geometries
	(#586) git-svn-id: http://svn.osgeo.org/geos/trunk@3711
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-09-07  Sandro Santilli <strk@keybit.net>

	* swig/python/geos.py, swig/python/geos_wrap.cxx: Regenerate swig
	files with swig 2.0.4 git-svn-id: http://svn.osgeo.org/geos/trunk@3710
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-09-06  Sandro Santilli <strk@keybit.net>

	* php/README, php/test/test.php: Add support for phpunit 3.6 (not
	loosing support for 3.4) I don't have phpunit-3.4 anymore so if anyone does please see if
	"make check" still works (with php enabled) NOTE: Ubuntu 10.04 ships phpunit 3.4 git-svn-id: http://svn.osgeo.org/geos/trunk@3708
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-07-27  Mateusz Loskot <mateusz@loskot.net>

	* src/Makefile.vc: Updated NMAKE makefile with recently added source
	files (Ticket #574) git-svn-id: http://svn.osgeo.org/geos/trunk@3705
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-07-26  Sandro Santilli <strk@keybit.net>

	* include/geos/Makefile.am: Don't live triangulate includes out of
	build (#573) Thanks Sandro Furieri git-svn-id: http://svn.osgeo.org/geos/trunk@3704
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-06-27  Sandro Santilli <strk@keybit.net>

	* tests/unit/capi/GEOSDelaunayTriangulationTest.cpp: Add test for
	Delaunay triangulation with a tolerance git-svn-id: http://svn.osgeo.org/geos/trunk@3703
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-06-27  Sandro Santilli <strk@keybit.net>

	* NEWS, capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp,
	tests/unit/Makefile.am,
	tests/unit/capi/GEOSDelaunayTriangulationTest.cpp: Expose Delaunay
	triangulation to C-API (#565) git-svn-id: http://svn.osgeo.org/geos/trunk@3702
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-06-27  Sandro Santilli <strk@keybit.net>

	* include/geos/triangulate/DelaunayTriangulationBuilder.h,
	src/triangulate/DelaunayTriangulationBuilder.cpp: Const-correct
	getTriangles / getEdges and move to proper namespace git-svn-id: http://svn.osgeo.org/geos/trunk@3701
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-06-27  Sandro Santilli <strk@keybit.net>

	* include/geos/triangulate/IncrementalDelaunayTriangulator.h: indent git-svn-id: http://svn.osgeo.org/geos/trunk@3700
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-06-27  Sandro Santilli <strk@keybit.net>

	* include/geos/triangulate/DelaunayTriangulationBuilder.h,
	include/geos/triangulate/IncrementalDelaunayTriangulator.h,
	include/geos/triangulate/quadedge/LastFoundQuadEdgeLocator.h,
	include/geos/triangulate/quadedge/LocateFailureException.h,
	include/geos/triangulate/quadedge/QuadEdge.h,
	include/geos/triangulate/quadedge/QuadEdgeLocator.h,
	include/geos/triangulate/quadedge/QuadEdgeSubdivision.h,
	include/geos/triangulate/quadedge/TrianglePredicate.h,
	include/geos/triangulate/quadedge/TriangleVisitor.h,
	include/geos/triangulate/quadedge/Vertex.h,
	src/triangulate/quadedge/LastFoundQuadEdgeLocator.cpp,
	src/triangulate/quadedge/LocateFailureException.cpp,
	src/triangulate/quadedge/QuadEdge.cpp,
	src/triangulate/quadedge/QuadEdgeLocator.cpp,
	src/triangulate/quadedge/QuadEdgeSubdivision.cpp,
	src/triangulate/quadedge/TrianglePredicate.cpp,
	src/triangulate/quadedge/TriangleVisitor.cpp,
	src/triangulate/quadedge/Vertex.cpp: Indent and port info style git-svn-id: http://svn.osgeo.org/geos/trunk@3699
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-06-26  Mateusz Loskot <mateusz@loskot.net>

	* CMakeLists.txt: [CMake] Corrected description of default value for
	GEOS_ENABLE_MACOSX_FRAMEWORK option git-svn-id: http://svn.osgeo.org/geos/trunk@3697
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-06-26  Mateusz Loskot <mateusz@loskot.net>

	* NEWS: Updated NEWS file with changes related to ticket #446 git-svn-id: http://svn.osgeo.org/geos/trunk@3696
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-06-26  Mateusz Loskot <mateusz@loskot.net>

	* : Updated svn:ignore for tests/perf git-svn-id: http://svn.osgeo.org/geos/trunk@3695
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-06-26  Sandro Santilli <strk@keybit.net>

	* NEWS, configure.in,
	include/geos/triangulate/DelaunayTriangulationBuilder.h,
	include/geos/triangulate/IncrementalDelaunayTriangulator.h,
	include/geos/triangulate/Makefile.am,
	include/geos/triangulate/quadedge/LastFoundQuadEdgeLocator.h,
	include/geos/triangulate/quadedge/LocateFailureException.h,
	include/geos/triangulate/quadedge/Makefile.am,
	include/geos/triangulate/quadedge/QuadEdge.h,
	include/geos/triangulate/quadedge/QuadEdgeLocator.h,
	include/geos/triangulate/quadedge/QuadEdgeSubdivision.h,
	include/geos/triangulate/quadedge/TrianglePredicate.h,
	include/geos/triangulate/quadedge/TriangleVisitor.h,
	include/geos/triangulate/quadedge/Vertex.h, src/Makefile.am,
	src/triangulate/DelaunayTriangulationBuilder.cpp,
	src/triangulate/IncrementalDelaunayTriangulator.cpp,
	src/triangulate/Makefile.am,
	src/triangulate/quadedge/LastFoundQuadEdgeLocator.cpp,
	src/triangulate/quadedge/LocateFailureException.cpp,
	src/triangulate/quadedge/Makefile.am,
	src/triangulate/quadedge/QuadEdge.cpp,
	src/triangulate/quadedge/QuadEdgeLocator.cpp,
	src/triangulate/quadedge/QuadEdgeSubdivision.cpp,
	src/triangulate/quadedge/TrianglePredicate.cpp,
	src/triangulate/quadedge/TriangleVisitor.cpp,
	src/triangulate/quadedge/Vertex.cpp, tests/unit/Makefile.am,
	tests/unit/triangulate/DelaunayTest.cpp,
	tests/unit/triangulate/quadedge/QuadEdgeSubdivisionTest.cpp,
	tests/unit/triangulate/quadedge/QuadEdgeTest.cpp: Port Delaunay
	Triangulation API from JTS (#487) Work contributed by Benjamin Campbell git-svn-id: http://svn.osgeo.org/geos/trunk@3693
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-06-25  Mateusz Loskot <mateusz@loskot.net>

	* CMakeLists.txt: [CMake] Fixed incorrect SOVERSION value. The
	SOVERSION is now set with CAPI_VERSION_CURRENT - CAPI_VERSION_AGE
	(Ticket #446) git-svn-id: http://svn.osgeo.org/geos/trunk@3692
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-06-25  Sandro Santilli <strk@keybit.net>

	* HOWTO_RELEASE: Add tarball verification step git-svn-id: http://svn.osgeo.org/geos/trunk@3691
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-06-25  Sandro Santilli <strk@keybit.net>

	* capi/geos_ts_c.cpp, tests/unit/Makefile.am,
	tests/unit/capi/GEOSPointOnSurfaceTest.cpp: Always return POINT from
	GEOSPointOnSurface, even for EMPTY (#561) git-svn-id: http://svn.osgeo.org/geos/trunk@3684
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-06-24  Mateusz Loskot <mateusz@loskot.net>

	* CMakeLists.txt, capi/CMakeLists.txt, src/CMakeLists.txt: [CMake]
	Set SOVERSION property on C API shared library using
	CAPI_INTERFACE_* values (Ticket #446).  git-svn-id: http://svn.osgeo.org/geos/trunk@3683
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-06-22  Sandro Santilli <strk@keybit.net>

	* include/geos/algorithm/CentroidArea.h: Add note about handling of
	degenerate polygons git-svn-id: http://svn.osgeo.org/geos/trunk@3680
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-06-22  Sandro Santilli <strk@keybit.net>

	* capi/geos_ts_c.cpp, tests/unit/capi/GEOSGetCentroidTest.cpp: 
	Always return POINT from GEOSGetCentroid, even for EMPTY (#560) git-svn-id: http://svn.osgeo.org/geos/trunk@3679
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-06-22  Sandro Santilli <strk@keybit.net>

	* include/geos/algorithm/CentroidArea.h,
	src/algorithm/CentroidArea.cpp, tests/unit/Makefile.am,
	tests/unit/capi/GEOSGetCentroidTest.cpp: Port robustness fix to
	CentroidArea (#559) git-svn-id: http://svn.osgeo.org/geos/trunk@3677
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-06-11  Sandro Santilli <strk@keybit.net>

	* tests/xmltester/Makefile.am: Retain GEOS_INLINE define while
	building XMLTester (#319, #472) git-svn-id: http://svn.osgeo.org/geos/trunk@3673
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-06-07  Sandro Santilli <strk@keybit.net>

	* capi/geos_c.cpp, capi/geos_c.h.in, include/geos/util/Interrupt.h,
	src/util/Interrupt.cpp, tests/unit/capi/GEOSInterruptTest.cpp: Allow
	chaining interrupt callbacks, drop arg parameter git-svn-id: http://svn.osgeo.org/geos/trunk@3672
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-06-07  Sandro Santilli <strk@keybit.net>

	* capi/geos_ts_c.cpp, tests/unit/capi/GEOSInterruptTest.cpp: Revert
	the interrupt request callback reset on initGEOS Once you set a callback why would you want it unregistered on
	initGEOS ? You will not want that....  git-svn-id: http://svn.osgeo.org/geos/trunk@3671
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-06-07  Sandro Santilli <strk@keybit.net>

	* src/util/Interrupt.cpp: Clear interruption request flag just
	before interrupting git-svn-id: http://svn.osgeo.org/geos/trunk@3670
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-06-07  Sandro Santilli <strk@keybit.net>

	* capi/geos_c.h.in: Drop orphaned custom allocation signatures from
	C-API header git-svn-id: http://svn.osgeo.org/geos/trunk@3669
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-06-07  Sandro Santilli <strk@keybit.net>

	* tests/unit/capi/GEOSInterruptTest.cpp: Test that initGEOS clears
	the interrupt callback Also explicitly cleanup the callback after each test.  git-svn-id: http://svn.osgeo.org/geos/trunk@3668
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-06-07  Sandro Santilli <strk@keybit.net>

	* capi/geos_ts_c.cpp: Unregister the interrupt request on initGEOS git-svn-id: http://svn.osgeo.org/geos/trunk@3667
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-06-07  Sandro Santilli <strk@keybit.net>

	* NEWS, capi/geos_c.cpp, capi/geos_c.h.in,
	include/geos/util/Interrupt.h, src/util/Interrupt.cpp,
	tests/unit/Makefile.am, tests/unit/capi/GEOSInterruptTest.cpp: Add
	support for registering interruption-checking callback.  This is to enhance flexibility of the interruption request model.  git-svn-id: http://svn.osgeo.org/geos/trunk@3666
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-06-06  Sandro Santilli <strk@keybit.net>

	* tests/unit/Makefile.am, tests/unit/capi/GEOSConvexHullTest.cpp: 
	Enable capi::GEOSConvexHull test, and fix it (#555) git-svn-id: http://svn.osgeo.org/geos/trunk@3665
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-06-06  Sandro Santilli <strk@keybit.net>

	* README, src/Makefile.am: Clarify problems with linking against C++
	api (#553) Path by Greg Troxel.  git-svn-id: http://svn.osgeo.org/geos/trunk@3663
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-05-29  Sandro Santilli <strk@keybit.net>

	* include/geos/algorithm/distance/PointPairDistance.h: No need to
	forward declare Coordinate (full definition included) git-svn-id: http://svn.osgeo.org/geos/trunk@3657
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-05-29  Sandro Santilli <strk@keybit.net>

	* include/geos/geom/Coordinate.h, include/geos/geom/Coordinate.inl: 
	Do not define an empty destructor for Coordinate git-svn-id: http://svn.osgeo.org/geos/trunk@3656
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-05-29  Sandro Santilli <strk@keybit.net>

	* Makefile.am: Make sure to build geos_svn_config.h git-svn-id: http://svn.osgeo.org/geos/trunk@3655
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-05-29  Sandro Santilli <strk@keybit.net>

	* Makefile.am, capi/geos_ts_c.cpp: Include SVN revision in
	GEOSversion output git-svn-id: http://svn.osgeo.org/geos/trunk@3654
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-05-29  Sandro Santilli <strk@keybit.net>

	* tools/svn_repo_revision.sh: Fix revision file path git-svn-id: http://svn.osgeo.org/geos/trunk@3653
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-05-29  Sandro Santilli <strk@keybit.net>

	* tools/svn_repo_revision.sh: Fix test for directory existance git-svn-id: http://svn.osgeo.org/geos/trunk@3652
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-05-29  Sandro Santilli <strk@keybit.net>

	* tools/svn_repo_revision.sh: Add script to fetch SVN revision from
	git or SVN git-svn-id: http://svn.osgeo.org/geos/trunk@3651
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-05-29  Sandro Santilli <strk@keybit.net>

	* doc/example.cpp, examples/CPCLException.cpp,
	examples/CoordinateSequencesExample.cpp,
	examples/CustomCoordinateSequenceExample.cpp,
	examples/CustomCoordinateSequenceExample.h,
	examples/CustomPointCoordinateSequence.cpp, include/acconfig.h,
	include/geos/algorithm/CentralEndpointIntersector.h,
	include/geos/algorithm/CentroidArea.h,
	include/geos/algorithm/CentroidLine.h,
	include/geos/algorithm/CentroidPoint.h,
	include/geos/algorithm/ConvexHull.h,
	include/geos/algorithm/InteriorPointArea.h,
	include/geos/algorithm/InteriorPointLine.h,
	include/geos/algorithm/InteriorPointPoint.h,
	include/geos/algorithm/LineIntersector.h,
	include/geos/algorithm/MCPointInRing.h,
	include/geos/algorithm/MinimumDiameter.h,
	include/geos/algorithm/NotRepresentableException.h,
	include/geos/algorithm/PointInRing.h,
	include/geos/algorithm/PointLocator.h,
	include/geos/algorithm/RayCrossingCounter.h,
	include/geos/algorithm/RobustDeterminant.h,
	include/geos/algorithm/SIRtreePointInRing.h,
	include/geos/algorithm/SimplePointInRing.h,
	include/geos/algorithm/distance/DiscreteHausdorffDistance.h,
	include/geos/algorithm/distance/DistanceToPoint.h,
	include/geos/algorithm/distance/PointPairDistance.h,
	include/geos/algorithm/locate/IndexedPointInAreaLocator.h,
	include/geos/algorithm/locate/PointOnGeometryLocator.h,
	include/geos/algorithm/locate/SimplePointInAreaLocator.h,
	include/geos/geom/CoordinateArraySequence.h,
	include/geos/geom/CoordinateFilter.h,
	include/geos/geom/CoordinateList.h,
	include/geos/geom/CoordinateSequence.h,
	include/geos/geom/Dimension.h, include/geos/geom/Envelope.h,
	include/geos/geom/Geometry.h,
	include/geos/geom/GeometryCollection.h,
	include/geos/geom/GeometryComponentFilter.h,
	include/geos/geom/GeometryFactory.h,
	include/geos/geom/GeometryFilter.h,
	include/geos/geom/GeometryList.h,
	include/geos/geom/IntersectionMatrix.h,
	include/geos/geom/LineSegment.h, include/geos/geom/LineString.h,
	include/geos/geom/LinearRing.h,
	include/geos/geom/MultiLineString.h,
	include/geos/geom/MultiPoint.h, include/geos/geom/MultiPolygon.h,
	include/geos/geom/Polygon.h, include/geos/geom/PrecisionModel.h,
	include/geos/geom/Triangle.h,
	include/geos/geom/prep/AbstractPreparedPolygonContains.h,
	include/geos/geom/prep/BasicPreparedGeometry.h,
	include/geos/geom/prep/PreparedGeometry.h,
	include/geos/geom/prep/PreparedGeometryFactory.h,
	include/geos/geom/prep/PreparedLineString.h,
	include/geos/geom/prep/PreparedPoint.h,
	include/geos/geom/prep/PreparedPolygon.h,
	include/geos/geom/prep/PreparedPolygonContains.h,
	include/geos/geom/prep/PreparedPolygonContainsProperly.h,
	include/geos/geom/prep/PreparedPolygonCovers.h,
	include/geos/geom/prep/PreparedPolygonIntersects.h,
	include/geos/geom/prep/PreparedPolygonPredicate.h,
	include/geos/geom/util/ComponentCoordinateExtracter.h,
	include/geos/geom/util/CoordinateOperation.h,
	include/geos/geom/util/GeometryCombiner.h,
	include/geos/geom/util/GeometryEditor.h,
	include/geos/geom/util/GeometryEditorOperation.h,
	include/geos/geom/util/GeometryTransformer.h,
	include/geos/geom/util/LinearComponentExtracter.h,
	include/geos/geom/util/PointExtracter.h,
	include/geos/geom/util/PolygonExtracter.h,
	include/geos/geom/util/ShortCircuitedGeometryVisitor.h,
	include/geos/geomPrep.h, include/geos/geomUtil.h,
	include/geos/geomgraph.h, include/geos/geomgraph/Depth.h,
	include/geos/geomgraph/DirectedEdge.h,
	include/geos/geomgraph/EdgeList.h,
	include/geos/geomgraph/EdgeNodingValidator.h,
	include/geos/geomgraph/GeometryGraph.h,
	include/geos/geomgraph/Node.h,
	include/geos/geomgraph/NodeFactory.h,
	include/geos/geomgraph/NodeMap.h,
	include/geos/geomgraph/Position.h,
	include/geos/geomgraph/Quadrant.h,
	include/geos/geomgraph/index/EdgeSetIntersector.h,
	include/geos/geomgraph/index/MonotoneChain.h,
	include/geos/geomgraph/index/MonotoneChainEdge.h,
	include/geos/geomgraph/index/MonotoneChainIndexer.h,
	include/geos/geomgraph/index/SegmentIntersector.h,
	include/geos/geomgraph/index/SimpleEdgeSetIntersector.h,
	include/geos/geomgraph/index/SimpleMCSweepLineIntersector.h,
	include/geos/geomgraph/index/SimpleSweepLineIntersector.h,
	include/geos/geomgraph/index/SweepLineEvent.h,
	include/geos/geomgraph/index/SweepLineEventObj.h,
	include/geos/geomgraph/index/SweepLineSegment.h,
	include/geos/index/bintree/Bintree.h,
	include/geos/index/bintree/Interval.h,
	include/geos/index/bintree/Key.h,
	include/geos/index/bintree/Node.h,
	include/geos/index/bintree/NodeBase.h,
	include/geos/index/bintree/Root.h,
	include/geos/index/chain/MonotoneChain.h,
	include/geos/index/chain/MonotoneChainOverlapAction.h,
	include/geos/index/chain/MonotoneChainSelectAction.h,
	include/geos/index/intervalrtree/IntervalRTreeBranchNode.h,
	include/geos/index/intervalrtree/IntervalRTreeLeafNode.h,
	include/geos/index/intervalrtree/IntervalRTreeNode.h,
	include/geos/index/intervalrtree/SortedPackedIntervalRTree.h,
	include/geos/index/quadtree/DoubleBits.h,
	include/geos/index/quadtree/IntervalSize.h,
	include/geos/index/quadtree/Key.h,
	include/geos/index/quadtree/Node.h,
	include/geos/index/quadtree/NodeBase.h,
	include/geos/index/quadtree/Quadtree.h,
	include/geos/index/quadtree/Root.h,
	include/geos/index/strtree/AbstractNode.h,
	include/geos/index/strtree/AbstractSTRtree.h,
	include/geos/index/strtree/Boundable.h,
	include/geos/index/strtree/Interval.h,
	include/geos/index/strtree/ItemBoundable.h,
	include/geos/index/strtree/SIRtree.h,
	include/geos/index/strtree/STRtree.h,
	include/geos/index/sweepline/SweepLineEvent.h,
	include/geos/index/sweepline/SweepLineIndex.h,
	include/geos/index/sweepline/SweepLineInterval.h,
	include/geos/index/sweepline/SweepLineOverlapAction.h,
	include/geos/indexStrtree.h, include/geos/indexSweepline.h,
	include/geos/io.h, include/geos/io/ByteOrderDataInStream.h,
	include/geos/io/ByteOrderDataInStream.inl,
	include/geos/io/ByteOrderValues.h,
	include/geos/io/ParseException.h,
	include/geos/io/StringTokenizer.h, include/geos/io/WKBConstants.h,
	include/geos/io/WKBReader.h, include/geos/io/WKBWriter.h,
	include/geos/io/WKTReader.h, include/geos/io/WKTReader.inl,
	include/geos/io/WKTWriter.h, include/geos/io/Writer.h,
	include/geos/noding/FastNodingValidator.h,
	include/geos/noding/IntersectionAdder.h,
	include/geos/noding/IntersectionFinderAdder.h,
	include/geos/noding/IteratedNoder.h,
	include/geos/noding/MCIndexNoder.h,
	include/geos/noding/MCIndexSegmentSetMutualIntersector.h,
	include/geos/noding/NodableSegmentString.h,
	include/geos/noding/NodedSegmentString.h,
	include/geos/noding/NodingValidator.h,
	include/geos/noding/Octant.h, include/geos/noding/ScaledNoder.h,
	include/geos/noding/SegmentIntersectionDetector.h,
	include/geos/noding/SegmentIntersector.h,
	include/geos/noding/SegmentNode.h,
	include/geos/noding/SegmentNodeList.h,
	include/geos/noding/SegmentSetMutualIntersector.h,
	include/geos/noding/SegmentStringUtil.h,
	include/geos/noding/SimpleNoder.h,
	include/geos/noding/SingleInteriorIntersectionFinder.h,
	include/geos/noding/SinglePassNoder.h,
	include/geos/noding/snapround/HotPixel.h,
	include/geos/noding/snapround/SimpleSnapRounder.h,
	include/geos/operation/GeometryGraphOperation.h,
	include/geos/operation/IsSimpleOp.h,
	include/geos/operation/buffer/BufferBuilder.h,
	include/geos/operation/buffer/BufferInputLineSimplifier.h,
	include/geos/operation/buffer/BufferOp.h,
	include/geos/operation/buffer/BufferSubgraph.h,
	include/geos/operation/buffer/OffsetCurveSetBuilder.h,
	include/geos/operation/buffer/RightmostEdgeFinder.h,
	include/geos/operation/buffer/SubgraphDepthLocater.h,
	include/geos/operation/distance/ConnectedElementLocationFilter.h,
	include/geos/operation/distance/ConnectedElementPointFilter.h,
	include/geos/operation/distance/DistanceOp.h,
	include/geos/operation/distance/GeometryLocation.h,
	include/geos/operation/linemerge/EdgeString.h,
	include/geos/operation/linemerge/LineMergeDirectedEdge.h,
	include/geos/operation/linemerge/LineMergeEdge.h,
	include/geos/operation/linemerge/LineMergeGraph.h,
	include/geos/operation/linemerge/LineMerger.h,
	include/geos/operation/linemerge/LineSequencer.h,
	include/geos/operation/overlay/EdgeSetNoder.h,
	include/geos/operation/overlay/ElevationMatrix.h,
	include/geos/operation/overlay/ElevationMatrixCell.h,
	include/geos/operation/overlay/LineBuilder.h,
	include/geos/operation/overlay/MaximalEdgeRing.h,
	include/geos/operation/overlay/MinimalEdgeRing.h,
	include/geos/operation/overlay/OverlayNodeFactory.h,
	include/geos/operation/overlay/OverlayOp.h,
	include/geos/operation/overlay/PointBuilder.h,
	include/geos/operation/overlay/PolygonBuilder.h,
	include/geos/operation/overlay/snap/SnapIfNeededOverlayOp.h,
	include/geos/operation/overlay/snap/SnapOverlayOp.h,
	include/geos/operation/overlay/validate/FuzzyPointLocator.h,
	include/geos/operation/overlay/validate/OffsetPointGenerator.h,
	include/geos/operation/overlay/validate/OverlayResultValidator.h,
	include/geos/operation/polygonize/EdgeRing.h,
	include/geos/operation/polygonize/PolygonizeDirectedEdge.h,
	include/geos/operation/polygonize/PolygonizeEdge.h,
	include/geos/operation/polygonize/PolygonizeGraph.h,
	include/geos/operation/polygonize/Polygonizer.h,
	include/geos/operation/relate/EdgeEndBuilder.h,
	include/geos/operation/relate/EdgeEndBundle.h,
	include/geos/operation/relate/EdgeEndBundleStar.h,
	include/geos/operation/relate/RelateComputer.h,
	include/geos/operation/relate/RelateNodeFactory.h,
	include/geos/operation/relate/RelateNodeGraph.h,
	include/geos/operation/relate/RelateOp.h,
	include/geos/operation/union/CascadedPolygonUnion.h,
	include/geos/operation/valid/ConnectedInteriorTester.h,
	include/geos/operation/valid/ConsistentAreaTester.h,
	include/geos/operation/valid/IsValidOp.h,
	include/geos/operation/valid/QuadtreeNestedRingTester.h,
	include/geos/operation/valid/RepeatedPointTester.h,
	include/geos/operation/valid/SimpleNestedRingTester.h,
	include/geos/operation/valid/SweeplineNestedRingTester.h,
	include/geos/operation/valid/TopologyValidationError.h,
	include/geos/planargraph/DirectedEdge.h,
	include/geos/planargraph/DirectedEdgeStar.h,
	include/geos/planargraph/Edge.h,
	include/geos/planargraph/GraphComponent.h,
	include/geos/planargraph/Node.h,
	include/geos/planargraph/NodeMap.h,
	include/geos/planargraph/PlanarGraph.h,
	include/geos/planargraph/Subgraph.h,
	include/geos/precision/CommonBits.h,
	include/geos/precision/CommonBitsOp.h,
	include/geos/precision/CommonBitsRemover.h,
	include/geos/precision/EnhancedPrecisionOp.h,
	include/geos/precision/SimpleGeometryPrecisionReducer.h,
	include/geos/profiler.h,
	include/geos/simplify/DouglasPeuckerLineSimplifier.h,
	include/geos/simplify/DouglasPeuckerSimplifier.h,
	include/geos/simplify/LineSegmentIndex.h,
	include/geos/simplify/TaggedLineSegment.h,
	include/geos/simplify/TaggedLineString.h,
	include/geos/simplify/TaggedLinesSimplifier.h,
	include/geos/simplify/TopologyPreservingSimplifier.h,
	include/geos/spatialIndex.h, include/geos/unload.h,
	include/geos/util/Assert.h,
	include/geos/util/AssertionFailedException.h,
	include/geos/util/CoordinateArrayFilter.h,
	include/geos/util/GEOSException.h,
	include/geos/util/GeometricShapeFactory.h,
	include/geos/util/IllegalArgumentException.h,
	include/geos/util/TopologyException.h,
	include/geos/util/UniqueCoordinateArrayFilter.h,
	include/geos/util/UnsupportedOperationException.h,
	include/geos/util/math.h, src/algorithm/CentroidArea.cpp,
	src/algorithm/CentroidLine.cpp, src/algorithm/CentroidPoint.cpp,
	src/algorithm/ConvexHull.cpp, src/algorithm/InteriorPointArea.cpp,
	src/algorithm/InteriorPointLine.cpp,
	src/algorithm/InteriorPointPoint.cpp,
	src/algorithm/LineIntersector.cpp, src/algorithm/MCPointInRing.cpp,
	src/algorithm/MinimumDiameter.cpp,
	src/algorithm/NotRepresentableException.cpp,
	src/algorithm/PointLocator.cpp,
	src/algorithm/RayCrossingCounter.cpp,
	src/algorithm/SIRtreePointInRing.cpp,
	src/algorithm/SimplePointInRing.cpp,
	src/algorithm/locate/IndexedPointInAreaLocator.cpp,
	src/algorithm/locate/PointOnGeometryLocator.cpp,
	src/algorithm/locate/SimplePointInAreaLocator.cpp,
	src/geom/CoordinateArraySequence.cpp,
	src/geom/CoordinateSequence.cpp,
	src/geom/CoordinateSequenceFactory.cpp, src/geom/Dimension.cpp,
	src/geom/Envelope.cpp, src/geom/GeometryCollection.cpp,
	src/geom/GeometryComponentFilter.cpp, src/geom/GeometryFactory.cpp,
	src/geom/GeometryList.cpp, src/geom/IntersectionMatrix.cpp,
	src/geom/LineSegment.cpp, src/geom/LineString.cpp,
	src/geom/LinearRing.cpp, src/geom/Location.cpp,
	src/geom/MultiLineString.cpp, src/geom/MultiPoint.cpp,
	src/geom/MultiPolygon.cpp, src/geom/Polygon.cpp,
	src/geom/PrecisionModel.cpp, src/geom/Triangle.cpp,
	src/geom/prep/AbstractPreparedPolygonContains.cpp,
	src/geom/prep/BasicPreparedGeometry.cpp,
	src/geom/prep/PreparedGeometry.cpp,
	src/geom/prep/PreparedGeometryFactory.cpp,
	src/geom/prep/PreparedLineString.cpp,
	src/geom/prep/PreparedPoint.cpp, src/geom/prep/PreparedPolygon.cpp,
	src/geom/prep/PreparedPolygonContains.cpp,
	src/geom/prep/PreparedPolygonContainsProperly.cpp,
	src/geom/prep/PreparedPolygonCovers.cpp,
	src/geom/prep/PreparedPolygonIntersects.cpp,
	src/geom/prep/PreparedPolygonPredicate.cpp,
	src/geom/util/ComponentCoordinateExtracter.cpp,
	src/geom/util/CoordinateOperation.cpp,
	src/geom/util/GeometryEditor.cpp,
	src/geom/util/GeometryTransformer.cpp, src/geomgraph/Depth.cpp,
	src/geomgraph/EdgeList.cpp, src/geomgraph/EdgeNodingValidator.cpp,
	src/geomgraph/Label.cpp, src/geomgraph/NodeFactory.cpp,
	src/geomgraph/Position.cpp, src/geomgraph/Quadrant.cpp,
	src/geomgraph/index/MonotoneChainEdge.cpp,
	src/geomgraph/index/MonotoneChainIndexer.cpp,
	src/geomgraph/index/SegmentIntersector.cpp,
	src/geomgraph/index/SimpleEdgeSetIntersector.cpp,
	src/geomgraph/index/SimpleMCSweepLineIntersector.cpp,
	src/geomgraph/index/SimpleSweepLineIntersector.cpp,
	src/geomgraph/index/SweepLineEvent.cpp,
	src/geomgraph/index/SweepLineSegment.cpp,
	src/index/bintree/Bintree.cpp, src/index/bintree/Interval.cpp,
	src/index/bintree/Key.cpp, src/index/bintree/Node.cpp,
	src/index/bintree/NodeBase.cpp, src/index/bintree/Root.cpp,
	src/index/chain/MonotoneChain.cpp,
	src/index/chain/MonotoneChainOverlapAction.cpp,
	src/index/chain/MonotoneChainSelectAction.cpp,
	src/index/intervalrtree/IntervalRTreeBranchNode.cpp,
	src/index/intervalrtree/IntervalRTreeLeafNode.cpp,
	src/index/intervalrtree/IntervalRTreeNode.cpp,
	src/index/intervalrtree/SortedPackedIntervalRTree.cpp,
	src/index/quadtree/DoubleBits.cpp,
	src/index/quadtree/IntervalSize.cpp, src/index/quadtree/Key.cpp,
	src/index/quadtree/Node.cpp, src/index/quadtree/NodeBase.cpp,
	src/index/quadtree/Quadtree.cpp, src/index/quadtree/Root.cpp,
	src/index/strtree/AbstractNode.cpp,
	src/index/strtree/AbstractSTRtree.cpp,
	src/index/strtree/Interval.cpp,
	src/index/strtree/ItemBoundable.cpp, src/index/strtree/SIRtree.cpp,
	src/index/strtree/STRtree.cpp,
	src/index/sweepline/SweepLineEvent.cpp,
	src/index/sweepline/SweepLineIndex.cpp,
	src/index/sweepline/SweepLineInterval.cpp,
	src/io/ByteOrderValues.cpp, src/io/ParseException.cpp,
	src/io/StringTokenizer.cpp, src/io/Unload.cpp,
	src/io/WKTReader.cpp, src/io/Writer.cpp,
	src/noding/FastNodingValidator.cpp,
	src/noding/IntersectionAdder.cpp,
	src/noding/IntersectionFinderAdder.cpp,
	src/noding/MCIndexNoder.cpp, src/noding/NodedSegmentString.cpp,
	src/noding/NodingValidator.cpp, src/noding/Octant.cpp,
	src/noding/ScaledNoder.cpp,
	src/noding/SegmentIntersectionDetector.cpp,
	src/noding/SegmentNode.cpp, src/noding/SegmentNodeList.cpp,
	src/noding/SegmentStringUtil.cpp, src/noding/SimpleNoder.cpp,
	src/noding/SingleInteriorIntersectionFinder.cpp,
	src/noding/snapround/HotPixel.cpp,
	src/noding/snapround/SimpleSnapRounder.cpp,
	src/operation/GeometryGraphOperation.cpp,
	src/operation/buffer/BufferSubgraph.cpp,
	src/operation/buffer/OffsetCurveSetBuilder.cpp,
	src/operation/buffer/RightmostEdgeFinder.cpp,
	src/operation/buffer/SubgraphDepthLocater.cpp,
	src/operation/distance/ConnectedElementLocationFilter.cpp,
	src/operation/distance/ConnectedElementPointFilter.cpp,
	src/operation/distance/DistanceOp.cpp,
	src/operation/distance/GeometryLocation.cpp,
	src/operation/linemerge/EdgeString.cpp,
	src/operation/linemerge/LineMergeDirectedEdge.cpp,
	src/operation/linemerge/LineMergeEdge.cpp,
	src/operation/linemerge/LineMergeGraph.cpp,
	src/operation/linemerge/LineMerger.cpp,
	src/operation/linemerge/LineSequencer.cpp,
	src/operation/overlay/EdgeSetNoder.cpp,
	src/operation/overlay/ElevationMatrix.cpp,
	src/operation/overlay/ElevationMatrixCell.cpp,
	src/operation/overlay/MaximalEdgeRing.cpp,
	src/operation/overlay/MinimalEdgeRing.cpp,
	src/operation/overlay/OverlayNodeFactory.cpp,
	src/operation/overlay/validate/FuzzyPointLocator.cpp,
	src/operation/overlay/validate/OverlayResultValidator.cpp,
	src/operation/polygonize/EdgeRing.cpp,
	src/operation/polygonize/PolygonizeDirectedEdge.cpp,
	src/operation/polygonize/PolygonizeEdge.cpp,
	src/operation/polygonize/PolygonizeGraph.cpp,
	src/operation/polygonize/Polygonizer.cpp,
	src/operation/relate/EdgeEndBundleStar.cpp,
	src/operation/relate/RelateNodeFactory.cpp,
	src/operation/relate/RelateNodeGraph.cpp,
	src/operation/relate/RelateOp.cpp,
	src/operation/valid/ConnectedInteriorTester.cpp,
	src/operation/valid/ConsistentAreaTester.cpp,
	src/operation/valid/IndexedNestedRingTester.h,
	src/operation/valid/QuadtreeNestedRingTester.cpp,
	src/operation/valid/RepeatedPointTester.cpp,
	src/operation/valid/SimpleNestedRingTester.cpp,
	src/operation/valid/SweeplineNestedRingTester.cpp,
	src/operation/valid/TopologyValidationError.cpp,
	src/planargraph/DirectedEdge.cpp,
	src/planargraph/DirectedEdgeStar.cpp, src/planargraph/Edge.cpp,
	src/planargraph/Node.cpp, src/planargraph/NodeMap.cpp,
	src/planargraph/PlanarGraph.cpp, src/planargraph/Subgraph.cpp,
	src/planargraph/algorithm/ConnectedSubgraphFinder.cpp,
	src/precision/CommonBits.cpp, src/precision/CommonBitsOp.cpp,
	src/precision/CommonBitsRemover.cpp,
	src/precision/EnhancedPrecisionOp.cpp,
	src/precision/SimpleGeometryPrecisionReducer.cpp,
	src/simplify/DouglasPeuckerLineSimplifier.cpp,
	src/simplify/DouglasPeuckerSimplifier.cpp,
	src/simplify/LineSegmentIndex.cpp,
	src/simplify/TaggedLineSegment.cpp,
	src/simplify/TaggedLineString.cpp,
	src/simplify/TaggedLineStringSimplifier.cpp,
	src/simplify/TaggedLinesSimplifier.cpp, src/util/Assert.cpp,
	src/util/Profiler.cpp, tests/bigtest/GeometryTestFactory.cpp,
	tests/bigtest/TestSweepLineSpeed.cpp, tests/bigtest/bigtest.h,
	tests/xmltester/CTS.cpp, tests/xmltester/SimpleWKTTester.cpp,
	tests/xmltester/Stackwalker.h: Drop embedded RCS logs git-svn-id: http://svn.osgeo.org/geos/trunk@3650
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-05-28  Sandro Santilli <strk@keybit.net>

	* NEWS, {src =>
	include/geos}/operation/buffer/BufferInputLineSimplifier.h,
	include/geos/operation/buffer/Makefile.am,
	src/operation/buffer/BufferInputLineSimplifier.cpp,
	src/operation/buffer/Makefile.am,
	src/operation/buffer/OffsetCurveBuilder.cpp,
	src/operation/buffer/OffsetSegmentGenerator.cpp: Install
	BufferInputLineSimplifier.h header (#548) Thanks ylan for the patch git-svn-id: http://svn.osgeo.org/geos/trunk@3649
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-05-28  Sandro Santilli <strk@keybit.net>

	* capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp: Rename
	interrupt request/cancel methods, cancel interrupt in init git-svn-id: http://svn.osgeo.org/geos/trunk@3648
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-05-25  Sandro Santilli <strk@keybit.net>

	* NEWS, capi/geos_ts_c.cpp, include/geos/util/CustomAllocators.h,
	include/geos/util/Makefile.am, src/util/CustomAllocators.cpp,
	src/util/Makefile.am, tests/unit/Makefile.am,
	tests/unit/capi/GEOSCustomAllocatorTest.cpp: Revert the whole custom
	memory allocation work (#540) It wasn't well done. Pity.  git-svn-id: http://svn.osgeo.org/geos/trunk@3647
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-05-25  Sandro Santilli <strk@keybit.net>

	* capi/geos_c.cpp, capi/geos_c.h.in: Expose interrupt request cancel
	to the C-API git-svn-id: http://svn.osgeo.org/geos/trunk@3646
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-05-25  Sandro Santilli <strk@keybit.net>

	* include/geos/util/Interrupt.h: Add method to cancel an
	interruption request in util::Interrupt git-svn-id: http://svn.osgeo.org/geos/trunk@3645
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-05-25  Sandro Santilli <strk@keybit.net>

	* src/noding/MCIndexNoder.cpp: Add strategic check for interrupt in
	MCIndexNoder loop Greatly increases interruptability of buffer operations in presence
	of many polygons.  git-svn-id: http://svn.osgeo.org/geos/trunk@3644
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-05-25  Sandro Santilli <strk@keybit.net>

	* src/operation/buffer/BufferBuilder.cpp,
	src/operation/overlay/OverlayOp.cpp: Check for interruption in
	OverlayOp and BufferBuilder These are just two operations known to take a lot of time.  It'll
	take a better analisys to find appropriate check point.  The checks could as well be put within graph operation loops or
	Coordinate constructors...  git-svn-id: http://svn.osgeo.org/geos/trunk@3643
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-05-25  Sandro Santilli <strk@keybit.net>

	* capi/geos_c.cpp, capi/geos_c.h.in, include/geos/util/Interrupt.h,
	include/geos/util/Makefile.am, src/util/Interrupt.cpp,
	src/util/Makefile.am: Initial support for an explicit mechanism to
	request interruption This commit provides a GEOS_CHECK_FOR_INTERRUPTS macro for internal
	use but adds no users.  Early tests shows that registering a SIGINT handler is an effective
	way to request interruption of running GEOS operations.  git-svn-id: http://svn.osgeo.org/geos/trunk@3642
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-05-24  Sandro Santilli <strk@keybit.net>

	* include/geos/geom/Geometry.h, src/geom/Geometry.cpp: Don't call
	GeometryFactory::getDefaultInstance() at startup (#540) git-svn-id: http://svn.osgeo.org/geos/trunk@3641
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-05-24  Mateusz Loskot <mateusz@loskot.net>

	* capi/geos_ts_c.cpp, include/geos/algorithm/BoundaryNodeRule.h,
	src/algorithm/BoundaryNodeRule.cpp,
	src/geomgraph/GeometryGraph.cpp,
	src/operation/GeometryGraphOperation.cpp: Replaced static
	members/references to global boundary rule objects with static
	methods providing access to those objects. The previous
	implementation was troublesome for exports from Windows DLL. From
	POV, it is just syntactical change. Semantically nothing has
	changed.  git-svn-id: http://svn.osgeo.org/geos/trunk@3640
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-05-24  Mateusz Loskot <mateusz@loskot.net>

	* capi/CMakeLists.txt: [CMake] Link GEOS C-API library against
	geos.dll instead of static geos.lib to avoid breaking ODR for
	allocators.  git-svn-id: http://svn.osgeo.org/geos/trunk@3639
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-05-23  Mateusz Loskot <mateusz@loskot.net>

	* include/geos/noding/GeometryNoder.h,
	include/geos/util/CustomAllocators.h: Added missing GEOS_DLL
	directive to GeometryNoder and custom allocators.  git-svn-id: http://svn.osgeo.org/geos/trunk@3638
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-05-23  Mateusz Loskot <mateusz@loskot.net>

	* : Updated svn:ignore patterns git-svn-id: http://svn.osgeo.org/geos/trunk@3637
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-05-23  Mateusz Loskot <mateusz@loskot.net>

	* capi/geos_ts_c.cpp: Missing namespace prevented Visual C++
	compiler to find GEOSAllocator and GEOSFreer git-svn-id: http://svn.osgeo.org/geos/trunk@3635
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-05-16  Sandro Santilli <strk@keybit.net>

	* src/util/CustomAllocators.cpp,
	tests/unit/capi/GEOSCustomAllocatorTest.cpp: Fix CustomAllocators to
	really use the custom allocators Improve the unit test for it git-svn-id: http://svn.osgeo.org/geos/trunk@3633
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-05-16  Sandro Santilli <strk@keybit.net>

	* src/geom/GeometryFactory.cpp: Lazily create default
	GeometryFactory instance (#540) Seems to fix a problem with mismatch of allocator and deallocator
	for the static object git-svn-id: http://svn.osgeo.org/geos/trunk@3632
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-05-16  Sandro Santilli <strk@keybit.net>

	* NEWS, capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp,
	include/geos/util/CustomAllocators.h,
	include/geos/util/Makefile.am, src/util/CustomAllocators.cpp,
	src/util/Makefile.am, tests/unit/Makefile.am,
	tests/unit/capi/GEOSCustomAllocatorTest.cpp: Allow passing custom
	memory managment functions (#540) This is both in the C++ library _and_ the C library.  git-svn-id: http://svn.osgeo.org/geos/trunk@3631
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-05-16  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/capi/GEOSConvexHullTest.cpp: New test for C-API convex
	hull func.  git-svn-id: http://svn.osgeo.org/geos/trunk@3630
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-05-14  Sandro Santilli <strk@keybit.net>

	* src/operation/polygonize/EdgeRing.cpp: Reduce calls to
	ptNotInList, greatly speeding up Polygonizer (#545) git-svn-id: http://svn.osgeo.org/geos/trunk@3629
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-05-09  Sandro Santilli <strk@keybit.net>

	* include/geos/simplify/TaggedLineStringSimplifier.h,
	include/geos/simplify/TopologyPreservingSimplifier.h,
	src/simplify/TaggedLineStringSimplifier.cpp,
	src/simplify/TopologyPreservingSimplifier.cpp,
	tests/unit/simplify/TopologyPreservingSimplifierTest.cpp: Fix
	TopologyPreservingSimplifier invalid output on closed line (#508) git-svn-id: http://svn.osgeo.org/geos/trunk@3627
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-05-09  Sandro Santilli <strk@keybit.net>

	* php/geos.c: Add support for PHP 5.4 (#513) -- thanks voxik git-svn-id: http://svn.osgeo.org/geos/trunk@3625
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-05-08  Sandro Santilli <strk@keybit.net>

	* src/geom/Geometry.cpp: Envelope-based short-circuit for
	Geometry->symDifference (#543) git-svn-id: http://svn.osgeo.org/geos/trunk@3623
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-05-08  Sandro Santilli <strk@keybit.net>

	* capi/geos_ts_c.cpp, tests/xmltester/XMLTester.cpp: Geometry
	methods do use BinaryOp internally + shortcuts (#542) This commit changes both XMLTester and C-API to not use BinaryOp
	directly but rather rely on geometry methods to do that.  git-svn-id: http://svn.osgeo.org/geos/trunk@3621
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-05-04  Sandro Santilli <strk@keybit.net>

	* include/geos/noding/GeometryNoder.h, src/noding/GeometryNoder.cpp: 
	Correct include directives for GeometryNoder (#538) git-svn-id: http://svn.osgeo.org/geos/trunk@3619
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-05-04  Sandro Santilli <strk@keybit.net>

	* acsite.m4: Update PGAC_TYPE_64BIT_INT for better cross-compiler
	support (#534) git-svn-id: http://svn.osgeo.org/geos/trunk@3618
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-05-03  Sandro Santilli <strk@keybit.net>

	* tests/perf/ClassSizes.cpp: Check size of "intt64" git-svn-id: http://svn.osgeo.org/geos/trunk@3616
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-04-27  Sandro Santilli <strk@keybit.net>

	* NEWS, php/geos.c, php/test/test.php: Expose GEOSNode to PHP api git-svn-id: http://svn.osgeo.org/geos/trunk@3615
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-04-12  Sandro Santilli <strk@keybit.net>

	* src/geomgraph/Node.cpp, tests/unit/capi/GEOSUnaryUnionTest.cpp: 
	Throw an exception rather than aborting on NaN overlay input (#530) git-svn-id: http://svn.osgeo.org/geos/trunk@3614
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-04-10  Sandro Santilli <strk@keybit.net>

	* src/noding/snapround/HotPixel.cpp: Abort if HotPixel is
	constructed with zero scale (#529) git-svn-id: http://svn.osgeo.org/geos/trunk@3612
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-04-10  Sandro Santilli <strk@keybit.net>

	* tests/xmltester/Makefile.am,
	tests/xmltester/tests/ticket/bug527.xml: Add test for bug #527 git-svn-id: http://svn.osgeo.org/geos/trunk@3611
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-04-10  Sandro Santilli <strk@keybit.net>

	* include/geos/operation/union/UnaryUnionOp.h: Have UnaryUnion use
	BinaryOp for the simple case See ticket #527 -- there's no infinite loop triggered by our
	testsuite...  git-svn-id: http://svn.osgeo.org/geos/trunk@3609
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-04-10  Sandro Santilli <strk@keybit.net>

	* include/geos/geom/BinaryOp.h: Reduce CommonBitsRemover harmful
	effects during overlay op (#527) git-svn-id: http://svn.osgeo.org/geos/trunk@3607
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-04-10  Sandro Santilli <strk@keybit.net>

	* NEWS, include/geos/precision/GeometryPrecisionReducer.h,
	include/geos/precision/Makefile.am,
	include/geos/precision/PrecisionReducerCoordinateOperation.h,
	src/precision/GeometryPrecisionReducer.cpp,
	src/precision/Makefile.am,
	src/precision/PrecisionReducerCoordinateOperation.cpp,
	src/precision/SimpleGeometryPrecisionReducer.cpp,
	tests/unit/Makefile.am,
	tests/unit/precision/GeometryPrecisionReducerTest.cpp: Port
	GeometryPrecisionReducer, include testcase git-svn-id: http://svn.osgeo.org/geos/trunk@3605
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-04-06  Sandro Santilli <strk@keybit.net>

	* src/geom/GeometryFactory.cpp: Deep copy Geometry with
	GeometryFactory.createGeometry() Uses the CoordinateSequenceFactory of the factory git-svn-id: http://svn.osgeo.org/geos/trunk@3604
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-04-06  Sandro Santilli <strk@keybit.net>

	* include/geos/geom/CoordinateArraySequence.h,
	include/geos/geom/CoordinateArraySequenceFactory.h,
	include/geos/geom/CoordinateArraySequenceFactory.inl,
	include/geos/geom/CoordinateSequenceFactory.h,
	src/geom/CoordinateArraySequence.cpp,
	src/geom/CoordinateArraySequenceFactory.cpp,
	src/geom/CoordinateSequenceFactory.cpp: Add CoordinateSequence deep
	copy trhough CoordinateSequenceFactory git-svn-id: http://svn.osgeo.org/geos/trunk@3603
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-04-05  Sandro Santilli <strk@keybit.net>

	* tests/unit/capi/GEOSNodeTest.cpp: Normalize noded geometry before
	comparing with expected value In this way we can change the noding implementation w/out breaking
	the tests.  git-svn-id: http://svn.osgeo.org/geos/trunk@3602
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-04-05  Sandro Santilli <strk@keybit.net>

	* swig/python/geos_wrap.cxx: Regnerate geos wrapper with correct
	version for this branch git-svn-id: http://svn.osgeo.org/geos/trunk@3601
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-04-05  Sandro Santilli <strk@keybit.net>

	* swig/python/geos.py, swig/python/geos_wrap.cxx: Regenerate swig
	wrappers with SWIG 1.3.40 git-svn-id: http://svn.osgeo.org/geos/trunk@3599
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-04-05  Sandro Santilli <strk@keybit.net>

	* src/noding/snapround/SimpleSnapRounder.cpp: Fix
	SimpleSnapRounder::getNodedSubstrings, fix leak on exception git-svn-id: http://svn.osgeo.org/geos/trunk@3598
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-04-05  Sandro Santilli <strk@keybit.net>

	* src/noding/GeometryNoder.cpp: Clean memory on exception git-svn-id: http://svn.osgeo.org/geos/trunk@3597
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-04-05  Sandro Santilli <strk@keybit.net>

	* include/geos/noding/NodedSegmentString.h: Generalize
	NodedSegmentString::getNodedSubstrings git-svn-id: http://svn.osgeo.org/geos/trunk@3596
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-04-05  Sandro Santilli <strk@keybit.net>

	* tests/unit/capi/GEOSNodeTest.cpp: Ensure GEOSNode doesn't throw an
	exception with current tests git-svn-id: http://svn.osgeo.org/geos/trunk@3595
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-04-05  Sandro Santilli <strk@keybit.net>

	* NEWS: Add note about GEOSNode git-svn-id: http://svn.osgeo.org/geos/trunk@3594
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-04-05  Sandro Santilli <strk@keybit.net>

	* capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp,
	include/geos/noding/GeometryNoder.h,
	include/geos/noding/Makefile.am, src/noding/GeometryNoder.cpp,
	src/noding/IteratedNoder.cpp, src/noding/Makefile.am,
	tests/unit/Makefile.am, tests/unit/capi/GEOSNodeTest.cpp: Add
	GEOSNode C-API interface (#496) Includes a new GeometryNoder C++ class and regression testing.  git-svn-id: http://svn.osgeo.org/geos/trunk@3593
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-04-05  Sandro Santilli <strk@keybit.net>

	* src/noding/IteratedNoder.cpp: Fix memory leak with IteratedNoder git-svn-id: http://svn.osgeo.org/geos/trunk@3592
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-04-05  Sandro Santilli <strk@keybit.net>

	* include/geos/noding/IteratedNoder.h, src/noding/IteratedNoder.cpp: 
	Update port info and cleanup IteratedNoder git-svn-id: http://svn.osgeo.org/geos/trunk@3591
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-04-05  Sandro Santilli <strk@keybit.net>

	* include/geos/geomgraph/EdgeList.h,
	include/geos/noding/OrientedCoordinateArray.h: Make
	OrientedCoordinateArray comparable git-svn-id: http://svn.osgeo.org/geos/trunk@3590
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-04-05  Sandro Santilli <strk@keybit.net>

	* include/geos/noding/OrientedCoordinateArray.h,
	src/noding/OrientedCoordinateArray.cpp: Make OrientedCoordinateArray
	assignable git-svn-id: http://svn.osgeo.org/geos/trunk@3589
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-04-03  Sandro Santilli <strk@keybit.net>

	* include/geos/noding/OrientedCoordinateArray.h: Make
	OrientedCoordinateArray copyable git-svn-id: http://svn.osgeo.org/geos/trunk@3588
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-04-03  Sandro Santilli <strk@keybit.net>

	* include/geos/noding/snapround/MCIndexSnapRounder.h: Const-correct
	PrecisionModel use in MCIndexSnapRounder git-svn-id: http://svn.osgeo.org/geos/trunk@3587
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-04-01  Paul Ramsey <pramsey@cleverelephant.ca>

	* HOWTO_RELEASE: Update howto release git-svn-id: http://svn.osgeo.org/geos/trunk@3585
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-04-01  Paul Ramsey <pramsey@cleverelephant.ca>

	* capi/geos_c.h.in: Sync up versions advertised in capi to those in
	configure.in git-svn-id: http://svn.osgeo.org/geos/trunk@3583
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-03-27  Sandro Santilli <strk@keybit.net>

	* src/operation/overlay/snap/LineStringSnapper.cpp: Indent..  git-svn-id: http://svn.osgeo.org/geos/trunk@3576
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-03-22  Sandro Santilli <strk@keybit.net>

	* src/simplify/TaggedLineString.cpp,
	src/simplify/TaggedLineStringSimplifier.cpp,
	tests/unit/simplify/TopologyPreservingSimplifierTest.cpp: Fix
	simplification of collections with empty items (#519) git-svn-id: http://svn.osgeo.org/geos/trunk@3575
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-02-20  Paul Ramsey <pramsey@cleverelephant.ca>

	* CMakeLists.txt: Synch patch level version with autoconf number git-svn-id: http://svn.osgeo.org/geos/trunk@3573
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-02-16  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/algorithm/RobustDeterminant.cpp: Update provenance for Olivier
	Devillers.  git-svn-id: http://svn.osgeo.org/geos/trunk@3568
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-01-16  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/algorithm/RobustDeterminant.cpp: More info on provenance.  git-svn-id: http://svn.osgeo.org/geos/trunk@3567
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-01-16  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/timeval.h: Update provenenance git-svn-id: http://svn.osgeo.org/geos/trunk@3566
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-01-16  Paul Ramsey <pramsey@cleverelephant.ca>

	* ChangeLog, capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp,
	debian/copyright, debian/geos-config.1, doc/example.cpp,
	examples/CPCLException.cpp,
	examples/CoordinateSequencesExample.cpp,
	examples/CustomCoordinateSequenceExample.cpp,
	examples/CustomCoordinateSequenceExample.h,
	examples/CustomPointCoordinateSequence.cpp, include/acconfig.h,
	include/geos.h, include/geos/algorithm/Angle.h,
	include/geos/algorithm/BoundaryNodeRule.h,
	include/geos/algorithm/CGAlgorithms.h,
	include/geos/algorithm/CentralEndpointIntersector.h,
	include/geos/algorithm/CentroidArea.h,
	include/geos/algorithm/CentroidLine.h,
	include/geos/algorithm/CentroidPoint.h,
	include/geos/algorithm/ConvexHull.h,
	include/geos/algorithm/ConvexHull.inl,
	include/geos/algorithm/HCoordinate.h,
	include/geos/algorithm/InteriorPointArea.h,
	include/geos/algorithm/InteriorPointLine.h,
	include/geos/algorithm/InteriorPointPoint.h,
	include/geos/algorithm/LineIntersector.h,
	include/geos/algorithm/MCPointInRing.h,
	include/geos/algorithm/MinimumDiameter.h,
	include/geos/algorithm/NotRepresentableException.h,
	include/geos/algorithm/PointInRing.h,
	include/geos/algorithm/PointLocator.h,
	include/geos/algorithm/RayCrossingCounter.h,
	include/geos/algorithm/RobustDeterminant.h,
	include/geos/algorithm/SIRtreePointInRing.h,
	include/geos/algorithm/SimplePointInRing.h,
	include/geos/algorithm/distance/DiscreteHausdorffDistance.h,
	include/geos/algorithm/distance/DistanceToPoint.h,
	include/geos/algorithm/distance/PointPairDistance.h,
	include/geos/algorithm/locate/IndexedPointInAreaLocator.h,
	include/geos/algorithm/locate/PointOnGeometryLocator.h,
	include/geos/algorithm/locate/SimplePointInAreaLocator.h,
	include/geos/export.h, include/geos/geom.h,
	include/geos/geom/BinaryOp.h, include/geos/geom/Coordinate.h,
	include/geos/geom/Coordinate.inl,
	include/geos/geom/CoordinateArraySequence.h,
	include/geos/geom/CoordinateArraySequenceFactory.h,
	include/geos/geom/CoordinateArraySequenceFactory.inl,
	include/geos/geom/CoordinateFilter.h,
	include/geos/geom/CoordinateList.h,
	include/geos/geom/CoordinateSequence.h,
	include/geos/geom/CoordinateSequenceFactory.h,
	include/geos/geom/CoordinateSequenceFilter.h,
	include/geos/geom/Dimension.h, include/geos/geom/Envelope.h,
	include/geos/geom/Envelope.inl, include/geos/geom/Geometry.h,
	include/geos/geom/GeometryCollection.h,
	include/geos/geom/GeometryCollection.inl,
	include/geos/geom/GeometryComponentFilter.h,
	include/geos/geom/GeometryFactory.h,
	include/geos/geom/GeometryFactory.inl,
	include/geos/geom/GeometryFilter.h,
	include/geos/geom/GeometryList.h,
	include/geos/geom/IntersectionMatrix.h,
	include/geos/geom/LineSegment.h, include/geos/geom/LineSegment.inl,
	include/geos/geom/LineString.h, include/geos/geom/Lineal.h,
	include/geos/geom/LinearRing.h, include/geos/geom/Location.h,
	include/geos/geom/MultiLineString.h,
	include/geos/geom/MultiLineString.inl,
	include/geos/geom/MultiPoint.h, include/geos/geom/MultiPolygon.h,
	include/geos/geom/MultiPolygon.inl, include/geos/geom/Point.h,
	include/geos/geom/Polygon.h, include/geos/geom/Polygonal.h,
	include/geos/geom/PrecisionModel.h,
	include/geos/geom/PrecisionModel.inl, include/geos/geom/Puntal.h,
	include/geos/geom/Triangle.h,
	include/geos/geom/prep/AbstractPreparedPolygonContains.h,
	include/geos/geom/prep/BasicPreparedGeometry.h,
	include/geos/geom/prep/PreparedGeometry.h,
	include/geos/geom/prep/PreparedGeometryFactory.h,
	include/geos/geom/prep/PreparedLineString.h,
	include/geos/geom/prep/PreparedLineStringIntersects.h,
	include/geos/geom/prep/PreparedPoint.h,
	include/geos/geom/prep/PreparedPolygon.h,
	include/geos/geom/prep/PreparedPolygonContains.h,
	include/geos/geom/prep/PreparedPolygonContainsProperly.h,
	include/geos/geom/prep/PreparedPolygonCovers.h,
	include/geos/geom/prep/PreparedPolygonIntersects.h,
	include/geos/geom/prep/PreparedPolygonPredicate.h,
	include/geos/geom/util/ComponentCoordinateExtracter.h,
	include/geos/geom/util/CoordinateOperation.h,
	include/geos/geom/util/GeometryCombiner.h,
	include/geos/geom/util/GeometryEditor.h,
	include/geos/geom/util/GeometryEditorOperation.h,
	include/geos/geom/util/GeometryExtracter.h,
	include/geos/geom/util/GeometryTransformer.h,
	include/geos/geom/util/LinearComponentExtracter.h,
	include/geos/geom/util/PointExtracter.h,
	include/geos/geom/util/PolygonExtracter.h,
	include/geos/geom/util/ShortCircuitedGeometryVisitor.h,
	include/geos/geom/util/SineStarFactory.h, include/geos/geomPrep.h,
	include/geos/geomUtil.h, include/geos/geomgraph.h,
	include/geos/geomgraph/Depth.h,
	include/geos/geomgraph/DirectedEdge.h,
	include/geos/geomgraph/DirectedEdge.inl,
	include/geos/geomgraph/DirectedEdgeStar.h,
	include/geos/geomgraph/Edge.h, include/geos/geomgraph/EdgeEnd.h,
	include/geos/geomgraph/EdgeEndStar.h,
	include/geos/geomgraph/EdgeIntersection.h,
	include/geos/geomgraph/EdgeIntersectionList.h,
	include/geos/geomgraph/EdgeList.h,
	include/geos/geomgraph/EdgeNodingValidator.h,
	include/geos/geomgraph/EdgeRing.h,
	include/geos/geomgraph/GeometryGraph.h,
	include/geos/geomgraph/GeometryGraph.inl,
	include/geos/geomgraph/GraphComponent.h,
	include/geos/geomgraph/Label.h, include/geos/geomgraph/Node.h,
	include/geos/geomgraph/NodeFactory.h,
	include/geos/geomgraph/NodeMap.h,
	include/geos/geomgraph/PlanarGraph.h,
	include/geos/geomgraph/Position.h,
	include/geos/geomgraph/Quadrant.h,
	include/geos/geomgraph/TopologyLocation.h,
	include/geos/geomgraph/index/EdgeSetIntersector.h,
	include/geos/geomgraph/index/MonotoneChain.h,
	include/geos/geomgraph/index/MonotoneChainEdge.h,
	include/geos/geomgraph/index/MonotoneChainIndexer.h,
	include/geos/geomgraph/index/SegmentIntersector.h,
	include/geos/geomgraph/index/SimpleEdgeSetIntersector.h,
	include/geos/geomgraph/index/SimpleMCSweepLineIntersector.h,
	include/geos/geomgraph/index/SimpleSweepLineIntersector.h,
	include/geos/geomgraph/index/SweepLineEvent.h,
	include/geos/geomgraph/index/SweepLineEventObj.h,
	include/geos/geomgraph/index/SweepLineSegment.h,
	include/geos/geomgraphindex.h, include/geos/geosAlgorithm.h,
	include/geos/index/ItemVisitor.h,
	include/geos/index/SpatialIndex.h,
	include/geos/index/bintree/Bintree.h,
	include/geos/index/bintree/Interval.h,
	include/geos/index/bintree/Key.h,
	include/geos/index/bintree/Node.h,
	include/geos/index/bintree/NodeBase.h,
	include/geos/index/bintree/Root.h,
	include/geos/index/chain/MonotoneChain.h,
	include/geos/index/chain/MonotoneChainBuilder.h,
	include/geos/index/chain/MonotoneChainOverlapAction.h,
	include/geos/index/chain/MonotoneChainSelectAction.h,
	include/geos/index/intervalrtree/IntervalRTreeBranchNode.h,
	include/geos/index/intervalrtree/IntervalRTreeLeafNode.h,
	include/geos/index/intervalrtree/IntervalRTreeNode.h,
	include/geos/index/intervalrtree/SortedPackedIntervalRTree.h,
	include/geos/index/quadtree/DoubleBits.h,
	include/geos/index/quadtree/IntervalSize.h,
	include/geos/index/quadtree/Key.h,
	include/geos/index/quadtree/Node.h,
	include/geos/index/quadtree/NodeBase.h,
	include/geos/index/quadtree/Quadtree.h,
	include/geos/index/quadtree/Root.h,
	include/geos/index/strtree/AbstractNode.h,
	include/geos/index/strtree/AbstractSTRtree.h,
	include/geos/index/strtree/Boundable.h,
	include/geos/index/strtree/Interval.h,
	include/geos/index/strtree/ItemBoundable.h,
	include/geos/index/strtree/SIRtree.h,
	include/geos/index/strtree/STRtree.h,
	include/geos/index/sweepline/SweepLineEvent.h,
	include/geos/index/sweepline/SweepLineIndex.h,
	include/geos/index/sweepline/SweepLineInterval.h,
	include/geos/index/sweepline/SweepLineOverlapAction.h,
	include/geos/indexBintree.h, include/geos/indexChain.h,
	include/geos/indexIntervalRTree.h, include/geos/indexQuadtree.h,
	include/geos/indexStrtree.h, include/geos/indexSweepline.h,
	include/geos/inline.h, include/geos/io.h,
	include/geos/io/ByteOrderDataInStream.h,
	include/geos/io/ByteOrderDataInStream.inl,
	include/geos/io/ByteOrderValues.h, include/geos/io/CLocalizer.h,
	include/geos/io/ParseException.h,
	include/geos/io/StringTokenizer.h, include/geos/io/WKBConstants.h,
	include/geos/io/WKBReader.h, include/geos/io/WKBWriter.h,
	include/geos/io/WKTReader.h, include/geos/io/WKTReader.inl,
	include/geos/io/WKTWriter.h, include/geos/io/Writer.h,
	include/geos/linearref/ExtractLineByLocation.h,
	include/geos/linearref/LengthIndexOfPoint.h,
	include/geos/linearref/LengthIndexedLine.h,
	include/geos/linearref/LengthLocationMap.h,
	include/geos/linearref/LinearGeometryBuilder.h,
	include/geos/linearref/LinearIterator.h,
	include/geos/linearref/LinearLocation.h,
	include/geos/linearref/LocationIndexOfLine.h,
	include/geos/linearref/LocationIndexOfPoint.h,
	include/geos/linearref/LocationIndexedLine.h,
	include/geos/noding.h, include/geos/noding/BasicSegmentString.h,
	include/geos/noding/FastNodingValidator.h,
	include/geos/noding/FastSegmentSetIntersectionFinder.h,
	include/geos/noding/IntersectionAdder.h,
	include/geos/noding/IntersectionFinderAdder.h,
	include/geos/noding/IteratedNoder.h,
	include/geos/noding/MCIndexNoder.h,
	include/geos/noding/MCIndexNoder.inl,
	include/geos/noding/MCIndexSegmentSetMutualIntersector.h,
	include/geos/noding/NodableSegmentString.h,
	include/geos/noding/NodedSegmentString.h,
	include/geos/noding/Noder.h, include/geos/noding/NodingValidator.h,
	include/geos/noding/Octant.h,
	include/geos/noding/OrientedCoordinateArray.h,
	include/geos/noding/ScaledNoder.h,
	include/geos/noding/SegmentIntersectionDetector.h,
	include/geos/noding/SegmentIntersector.h,
	include/geos/noding/SegmentNode.h,
	include/geos/noding/SegmentNodeList.h,
	include/geos/noding/SegmentPointComparator.h,
	include/geos/noding/SegmentSetMutualIntersector.h,
	include/geos/noding/SegmentString.h,
	include/geos/noding/SegmentStringUtil.h,
	include/geos/noding/SimpleNoder.h,
	include/geos/noding/SingleInteriorIntersectionFinder.h,
	include/geos/noding/SinglePassNoder.h,
	include/geos/noding/snapround/HotPixel.h,
	include/geos/noding/snapround/HotPixel.inl,
	include/geos/noding/snapround/MCIndexPointSnapper.h,
	include/geos/noding/snapround/MCIndexSnapRounder.h,
	include/geos/noding/snapround/SimpleSnapRounder.h,
	include/geos/nodingSnapround.h, include/geos/opBuffer.h,
	include/geos/opDistance.h, include/geos/opLinemerge.h,
	include/geos/opOverlay.h, include/geos/opPolygonize.h,
	include/geos/opPredicate.h, include/geos/opRelate.h,
	include/geos/opValid.h, include/geos/operation.h,
	include/geos/operation/GeometryGraphOperation.h,
	include/geos/operation/IsSimpleOp.h,
	include/geos/operation/buffer/BufferBuilder.h,
	include/geos/operation/buffer/BufferOp.h,
	include/geos/operation/buffer/BufferParameters.h,
	include/geos/operation/buffer/BufferSubgraph.h,
	include/geos/operation/buffer/OffsetCurveBuilder.h,
	include/geos/operation/buffer/OffsetCurveSetBuilder.h,
	include/geos/operation/buffer/OffsetSegmentGenerator.h,
	include/geos/operation/buffer/OffsetSegmentString.h,
	include/geos/operation/buffer/RightmostEdgeFinder.h,
	include/geos/operation/buffer/SubgraphDepthLocater.h,
	include/geos/operation/distance/ConnectedElementLocationFilter.h,
	include/geos/operation/distance/ConnectedElementPointFilter.h,
	include/geos/operation/distance/DistanceOp.h,
	include/geos/operation/distance/GeometryLocation.h,
	include/geos/operation/linemerge/EdgeString.h,
	include/geos/operation/linemerge/LineMergeDirectedEdge.h,
	include/geos/operation/linemerge/LineMergeEdge.h,
	include/geos/operation/linemerge/LineMergeGraph.h,
	include/geos/operation/linemerge/LineMerger.h,
	include/geos/operation/linemerge/LineSequencer.h,
	include/geos/operation/overlay/EdgeSetNoder.h,
	include/geos/operation/overlay/ElevationMatrix.h,
	include/geos/operation/overlay/ElevationMatrixCell.h,
	include/geos/operation/overlay/LineBuilder.h,
	include/geos/operation/overlay/MaximalEdgeRing.h,
	include/geos/operation/overlay/MinimalEdgeRing.h,
	include/geos/operation/overlay/MinimalEdgeRing.inl,
	include/geos/operation/overlay/OverlayNodeFactory.h,
	include/geos/operation/overlay/OverlayOp.h,
	include/geos/operation/overlay/PointBuilder.h,
	include/geos/operation/overlay/PolygonBuilder.h,
	include/geos/operation/overlay/snap/GeometrySnapper.h,
	include/geos/operation/overlay/snap/LineStringSnapper.h,
	include/geos/operation/overlay/snap/SnapIfNeededOverlayOp.h,
	include/geos/operation/overlay/snap/SnapOverlayOp.h,
	include/geos/operation/overlay/validate/FuzzyPointLocator.h,
	include/geos/operation/overlay/validate/OffsetPointGenerator.h,
	include/geos/operation/overlay/validate/OverlayResultValidator.h,
	include/geos/operation/polygonize/EdgeRing.h,
	include/geos/operation/polygonize/PolygonizeDirectedEdge.h,
	include/geos/operation/polygonize/PolygonizeEdge.h,
	include/geos/operation/polygonize/PolygonizeGraph.h,
	include/geos/operation/polygonize/Polygonizer.h,
	include/geos/operation/predicate/RectangleContains.h,
	include/geos/operation/predicate/RectangleIntersects.h,
	include/geos/operation/predicate/SegmentIntersectionTester.h,
	include/geos/operation/relate/EdgeEndBuilder.h,
	include/geos/operation/relate/EdgeEndBundle.h,
	include/geos/operation/relate/EdgeEndBundleStar.h,
	include/geos/operation/relate/RelateComputer.h,
	include/geos/operation/relate/RelateNode.h,
	include/geos/operation/relate/RelateNodeFactory.h,
	include/geos/operation/relate/RelateNodeGraph.h,
	include/geos/operation/relate/RelateOp.h,
	include/geos/operation/sharedpaths/SharedPathsOp.h,
	include/geos/operation/union/CascadedPolygonUnion.h,
	include/geos/operation/union/GeometryListHolder.h,
	include/geos/operation/union/PointGeometryUnion.h,
	include/geos/operation/union/UnaryUnionOp.h,
	include/geos/operation/valid/ConnectedInteriorTester.h,
	include/geos/operation/valid/ConsistentAreaTester.h,
	include/geos/operation/valid/IsValidOp.h,
	include/geos/operation/valid/QuadtreeNestedRingTester.h,
	include/geos/operation/valid/RepeatedPointTester.h,
	include/geos/operation/valid/SimpleNestedRingTester.h,
	include/geos/operation/valid/SweeplineNestedRingTester.h,
	include/geos/operation/valid/TopologyValidationError.h,
	include/geos/planargraph.h,
	include/geos/planargraph/DirectedEdge.h,
	include/geos/planargraph/DirectedEdgeStar.h,
	include/geos/planargraph/Edge.h,
	include/geos/planargraph/GraphComponent.h,
	include/geos/planargraph/Node.h,
	include/geos/planargraph/NodeMap.h,
	include/geos/planargraph/PlanarGraph.h,
	include/geos/planargraph/Subgraph.h,
	include/geos/planargraph/algorithm/ConnectedSubgraphFinder.h,
	include/geos/platform.h.cmake, include/geos/platform.h.vc,
	include/geos/precision.h, include/geos/precision/CommonBits.h,
	include/geos/precision/CommonBitsOp.h,
	include/geos/precision/CommonBitsRemover.h,
	include/geos/precision/EnhancedPrecisionOp.h,
	include/geos/precision/SimpleGeometryPrecisionReducer.h,
	include/geos/profiler.h,
	include/geos/simplify/DouglasPeuckerLineSimplifier.h,
	include/geos/simplify/DouglasPeuckerSimplifier.h,
	include/geos/simplify/LineSegmentIndex.h,
	include/geos/simplify/TaggedLineSegment.h,
	include/geos/simplify/TaggedLineString.h,
	include/geos/simplify/TaggedLineStringSimplifier.h,
	include/geos/simplify/TaggedLinesSimplifier.h,
	include/geos/simplify/TopologyPreservingSimplifier.h,
	include/geos/spatialIndex.h, include/geos/timeval.h,
	include/geos/unload.h, include/geos/util.h,
	include/geos/util/Assert.h,
	include/geos/util/AssertionFailedException.h,
	include/geos/util/CoordinateArrayFilter.h,
	include/geos/util/GEOSException.h,
	include/geos/util/GeometricShapeFactory.h,
	include/geos/util/IllegalArgumentException.h,
	include/geos/util/IllegalStateException.h,
	include/geos/util/Machine.h, include/geos/util/TopologyException.h,
	include/geos/util/UniqueCoordinateArrayFilter.h,
	include/geos/util/UnsupportedOperationException.h,
	include/geos/util/math.h, include/geos/version.h.in,
	include/geos/version.h.vc, src/algorithm/Angle.cpp,
	src/algorithm/BoundaryNodeRule.cpp, src/algorithm/CGAlgorithms.cpp,
	src/algorithm/CentroidArea.cpp, src/algorithm/CentroidLine.cpp,
	src/algorithm/CentroidPoint.cpp, src/algorithm/ConvexHull.cpp,
	src/algorithm/HCoordinate.cpp, src/algorithm/InteriorPointArea.cpp,
	src/algorithm/InteriorPointLine.cpp,
	src/algorithm/InteriorPointPoint.cpp,
	src/algorithm/LineIntersector.cpp, src/algorithm/MCPointInRing.cpp,
	src/algorithm/Makefile.am, src/algorithm/MinimumDiameter.cpp,
	src/algorithm/NotRepresentableException.cpp,
	src/algorithm/PointLocator.cpp,
	src/algorithm/RayCrossingCounter.cpp,
	src/algorithm/RobustDeterminant.cpp,
	src/algorithm/SIRtreePointInRing.cpp,
	src/algorithm/SimplePointInRing.cpp,
	src/algorithm/distance/DiscreteHausdorffDistance.cpp,
	src/algorithm/distance/DistanceToPoint.cpp,
	src/algorithm/locate/IndexedPointInAreaLocator.cpp,
	src/algorithm/locate/PointOnGeometryLocator.cpp,
	src/algorithm/locate/SimplePointInAreaLocator.cpp,
	src/geom/Coordinate.cpp, src/geom/CoordinateArraySequence.cpp,
	src/geom/CoordinateArraySequenceFactory.cpp,
	src/geom/CoordinateSequence.cpp,
	src/geom/CoordinateSequenceFactory.cpp, src/geom/Dimension.cpp,
	src/geom/Envelope.cpp, src/geom/Geometry.cpp,
	src/geom/GeometryCollection.cpp,
	src/geom/GeometryComponentFilter.cpp, src/geom/GeometryFactory.cpp,
	src/geom/GeometryList.cpp, src/geom/IntersectionMatrix.cpp,
	src/geom/LineSegment.cpp, src/geom/LineString.cpp,
	src/geom/LinearRing.cpp, src/geom/Location.cpp,
	src/geom/MultiLineString.cpp, src/geom/MultiPoint.cpp,
	src/geom/MultiPolygon.cpp, src/geom/Point.cpp,
	src/geom/Polygon.cpp, src/geom/PrecisionModel.cpp,
	src/geom/Triangle.cpp,
	src/geom/prep/AbstractPreparedPolygonContains.cpp,
	src/geom/prep/BasicPreparedGeometry.cpp,
	src/geom/prep/PreparedGeometry.cpp,
	src/geom/prep/PreparedGeometryFactory.cpp,
	src/geom/prep/PreparedLineString.cpp,
	src/geom/prep/PreparedLineStringIntersects.cpp,
	src/geom/prep/PreparedPoint.cpp, src/geom/prep/PreparedPolygon.cpp,
	src/geom/prep/PreparedPolygonContains.cpp,
	src/geom/prep/PreparedPolygonContainsProperly.cpp,
	src/geom/prep/PreparedPolygonCovers.cpp,
	src/geom/prep/PreparedPolygonIntersects.cpp,
	src/geom/prep/PreparedPolygonPredicate.cpp,
	src/geom/util/ComponentCoordinateExtracter.cpp,
	src/geom/util/CoordinateOperation.cpp,
	src/geom/util/GeometryCombiner.cpp,
	src/geom/util/GeometryEditor.cpp,
	src/geom/util/GeometryTransformer.cpp,
	src/geom/util/ShortCircuitedGeometryVisitor.cpp,
	src/geom/util/SineStarFactory.cpp, src/geomgraph/Depth.cpp,
	src/geomgraph/DirectedEdge.cpp, src/geomgraph/DirectedEdgeStar.cpp,
	src/geomgraph/Edge.cpp, src/geomgraph/EdgeEnd.cpp,
	src/geomgraph/EdgeEndStar.cpp,
	src/geomgraph/EdgeIntersectionList.cpp, src/geomgraph/EdgeList.cpp,
	src/geomgraph/EdgeNodingValidator.cpp, src/geomgraph/EdgeRing.cpp,
	src/geomgraph/GeometryGraph.cpp, src/geomgraph/GraphComponent.cpp,
	src/geomgraph/Label.cpp, src/geomgraph/Node.cpp,
	src/geomgraph/NodeFactory.cpp, src/geomgraph/NodeMap.cpp,
	src/geomgraph/PlanarGraph.cpp, src/geomgraph/Position.cpp,
	src/geomgraph/Quadrant.cpp, src/geomgraph/TopologyLocation.cpp,
	src/geomgraph/index/MonotoneChainEdge.cpp,
	src/geomgraph/index/MonotoneChainIndexer.cpp,
	src/geomgraph/index/SegmentIntersector.cpp,
	src/geomgraph/index/SimpleEdgeSetIntersector.cpp,
	src/geomgraph/index/SimpleMCSweepLineIntersector.cpp,
	src/geomgraph/index/SimpleSweepLineIntersector.cpp,
	src/geomgraph/index/SweepLineEvent.cpp,
	src/geomgraph/index/SweepLineSegment.cpp,
	src/index/bintree/Bintree.cpp, src/index/bintree/Interval.cpp,
	src/index/bintree/Key.cpp, src/index/bintree/Node.cpp,
	src/index/bintree/NodeBase.cpp, src/index/bintree/Root.cpp,
	src/index/chain/MonotoneChain.cpp,
	src/index/chain/MonotoneChainBuilder.cpp,
	src/index/chain/MonotoneChainOverlapAction.cpp,
	src/index/chain/MonotoneChainSelectAction.cpp,
	src/index/intervalrtree/IntervalRTreeBranchNode.cpp,
	src/index/intervalrtree/IntervalRTreeLeafNode.cpp,
	src/index/intervalrtree/IntervalRTreeNode.cpp,
	src/index/intervalrtree/SortedPackedIntervalRTree.cpp,
	src/index/quadtree/DoubleBits.cpp,
	src/index/quadtree/IntervalSize.cpp, src/index/quadtree/Key.cpp,
	src/index/quadtree/Node.cpp, src/index/quadtree/NodeBase.cpp,
	src/index/quadtree/Quadtree.cpp, src/index/quadtree/Root.cpp,
	src/index/strtree/AbstractNode.cpp,
	src/index/strtree/AbstractSTRtree.cpp,
	src/index/strtree/Interval.cpp,
	src/index/strtree/ItemBoundable.cpp, src/index/strtree/SIRtree.cpp,
	src/index/strtree/STRtree.cpp,
	src/index/sweepline/SweepLineEvent.cpp,
	src/index/sweepline/SweepLineIndex.cpp,
	src/index/sweepline/SweepLineInterval.cpp, src/inlines.cpp,
	src/io/ByteOrderDataInStream.cpp, src/io/ByteOrderValues.cpp,
	src/io/CLocalizer.cpp, src/io/ParseException.cpp,
	src/io/StringTokenizer.cpp, src/io/Unload.cpp,
	src/io/WKBReader.cpp, src/io/WKBWriter.cpp, src/io/WKTReader.cpp,
	src/io/WKTWriter.cpp, src/io/Writer.cpp,
	src/linearref/ExtractLineByLocation.cpp,
	src/linearref/LengthIndexOfPoint.cpp,
	src/linearref/LengthIndexedLine.cpp,
	src/linearref/LengthLocationMap.cpp,
	src/linearref/LinearGeometryBuilder.cpp,
	src/linearref/LinearIterator.cpp, src/linearref/LinearLocation.cpp,
	src/linearref/LocationIndexOfLine.cpp,
	src/linearref/LocationIndexOfPoint.cpp, src/linearref/Makefile.am,
	src/noding/BasicSegmentString.cpp,
	src/noding/FastNodingValidator.cpp,
	src/noding/FastSegmentSetIntersectionFinder.cpp,
	src/noding/IntersectionAdder.cpp,
	src/noding/IntersectionFinderAdder.cpp,
	src/noding/IteratedNoder.cpp, src/noding/MCIndexNoder.cpp,
	src/noding/MCIndexSegmentSetMutualIntersector.cpp,
	src/noding/NodedSegmentString.cpp, src/noding/NodingValidator.cpp,
	src/noding/Octant.cpp, src/noding/OrientedCoordinateArray.cpp,
	src/noding/ScaledNoder.cpp,
	src/noding/SegmentIntersectionDetector.cpp,
	src/noding/SegmentNode.cpp, src/noding/SegmentNodeList.cpp,
	src/noding/SegmentString.cpp, src/noding/SegmentStringUtil.cpp,
	src/noding/SimpleNoder.cpp,
	src/noding/SingleInteriorIntersectionFinder.cpp,
	src/noding/snapround/HotPixel.cpp,
	src/noding/snapround/MCIndexPointSnapper.cpp,
	src/noding/snapround/MCIndexSnapRounder.cpp,
	src/noding/snapround/SimpleSnapRounder.cpp,
	src/operation/GeometryGraphOperation.cpp,
	src/operation/IsSimpleOp.cpp,
	src/operation/buffer/BufferBuilder.cpp,
	src/operation/buffer/BufferInputLineSimplifier.cpp,
	src/operation/buffer/BufferInputLineSimplifier.h,
	src/operation/buffer/BufferOp.cpp,
	src/operation/buffer/BufferParameters.cpp,
	src/operation/buffer/BufferSubgraph.cpp,
	src/operation/buffer/OffsetCurveBuilder.cpp,
	src/operation/buffer/OffsetCurveSetBuilder.cpp,
	src/operation/buffer/OffsetSegmentGenerator.cpp,
	src/operation/buffer/RightmostEdgeFinder.cpp,
	src/operation/buffer/SubgraphDepthLocater.cpp,
	src/operation/distance/ConnectedElementLocationFilter.cpp,
	src/operation/distance/ConnectedElementPointFilter.cpp,
	src/operation/distance/DistanceOp.cpp,
	src/operation/distance/GeometryLocation.cpp,
	src/operation/linemerge/EdgeString.cpp,
	src/operation/linemerge/LineMergeDirectedEdge.cpp,
	src/operation/linemerge/LineMergeEdge.cpp,
	src/operation/linemerge/LineMergeGraph.cpp,
	src/operation/linemerge/LineMerger.cpp,
	src/operation/linemerge/LineSequencer.cpp,
	src/operation/overlay/EdgeSetNoder.cpp,
	src/operation/overlay/ElevationMatrix.cpp,
	src/operation/overlay/ElevationMatrixCell.cpp,
	src/operation/overlay/LineBuilder.cpp,
	src/operation/overlay/MaximalEdgeRing.cpp,
	src/operation/overlay/MinimalEdgeRing.cpp,
	src/operation/overlay/OverlayNodeFactory.cpp,
	src/operation/overlay/OverlayOp.cpp,
	src/operation/overlay/PointBuilder.cpp,
	src/operation/overlay/PolygonBuilder.cpp,
	src/operation/overlay/snap/GeometrySnapper.cpp,
	src/operation/overlay/snap/LineStringSnapper.cpp,
	src/operation/overlay/snap/SnapIfNeededOverlayOp.cpp,
	src/operation/overlay/snap/SnapOverlayOp.cpp,
	src/operation/overlay/validate/FuzzyPointLocator.cpp,
	src/operation/overlay/validate/OffsetPointGenerator.cpp,
	src/operation/overlay/validate/OverlayResultValidator.cpp,
	src/operation/polygonize/EdgeRing.cpp,
	src/operation/polygonize/PolygonizeDirectedEdge.cpp,
	src/operation/polygonize/PolygonizeEdge.cpp,
	src/operation/polygonize/PolygonizeGraph.cpp,
	src/operation/polygonize/Polygonizer.cpp,
	src/operation/predicate/RectangleContains.cpp,
	src/operation/predicate/RectangleIntersects.cpp,
	src/operation/predicate/SegmentIntersectionTester.cpp,
	src/operation/relate/EdgeEndBuilder.cpp,
	src/operation/relate/EdgeEndBundle.cpp,
	src/operation/relate/EdgeEndBundleStar.cpp,
	src/operation/relate/RelateComputer.cpp,
	src/operation/relate/RelateNode.cpp,
	src/operation/relate/RelateNodeFactory.cpp,
	src/operation/relate/RelateNodeGraph.cpp,
	src/operation/relate/RelateOp.cpp,
	src/operation/sharedpaths/SharedPathsOp.cpp,
	src/operation/union/CascadedPolygonUnion.cpp,
	src/operation/union/PointGeometryUnion.cpp,
	src/operation/union/UnaryUnionOp.cpp,
	src/operation/valid/ConnectedInteriorTester.cpp,
	src/operation/valid/ConsistentAreaTester.cpp,
	src/operation/valid/IndexedNestedRingTester.cpp,
	src/operation/valid/IndexedNestedRingTester.h,
	src/operation/valid/IsValidOp.cpp,
	src/operation/valid/QuadtreeNestedRingTester.cpp,
	src/operation/valid/RepeatedPointTester.cpp,
	src/operation/valid/SimpleNestedRingTester.cpp,
	src/operation/valid/SweeplineNestedRingTester.cpp,
	src/operation/valid/TopologyValidationError.cpp,
	src/planargraph/DirectedEdge.cpp,
	src/planargraph/DirectedEdgeStar.cpp, src/planargraph/Edge.cpp,
	src/planargraph/Node.cpp, src/planargraph/NodeMap.cpp,
	src/planargraph/PlanarGraph.cpp, src/planargraph/Subgraph.cpp,
	src/planargraph/algorithm/ConnectedSubgraphFinder.cpp,
	src/precision/CommonBits.cpp, src/precision/CommonBitsOp.cpp,
	src/precision/CommonBitsRemover.cpp,
	src/precision/EnhancedPrecisionOp.cpp,
	src/precision/SimpleGeometryPrecisionReducer.cpp,
	src/simplify/DouglasPeuckerLineSimplifier.cpp,
	src/simplify/DouglasPeuckerSimplifier.cpp,
	src/simplify/LineSegmentIndex.cpp,
	src/simplify/TaggedLineSegment.cpp,
	src/simplify/TaggedLineString.cpp,
	src/simplify/TaggedLineStringSimplifier.cpp,
	src/simplify/TaggedLinesSimplifier.cpp,
	src/simplify/TopologyPreservingSimplifier.cpp, src/util/Assert.cpp,
	src/util/GeometricShapeFactory.cpp, src/util/Profiler.cpp,
	src/util/math.cpp, tests/bigtest/GeometryTestFactory.cpp,
	tests/bigtest/TestSweepLineSpeed.cpp, tests/bigtest/bigtest.h,
	tests/geostest/geostest.c, tests/perf/ClassSizes.cpp,
	tests/perf/operation/buffer/IteratedBufferStressTest.cpp,
	tests/perf/operation/predicate/RectangleIntersectsPerfTest.cpp,
	tests/thread/badthreadtest.c, tests/thread/threadtest.c,
	tests/unit/algorithm/InteriorPointAreaTest.cpp,
	tests/unit/geom/GeometryFactoryTest.cpp,
	tests/unit/geom/PolygonTest.cpp, tests/unit/geos_unit.cpp,
	tests/xmltester/BufferResultMatcher.cpp,
	tests/xmltester/BufferResultMatcher.h, tests/xmltester/CTS.cpp,
	tests/xmltester/SimpleWKTTester.cpp,
	tests/xmltester/SingleSidedBufferResultMatcher.cpp,
	tests/xmltester/SingleSidedBufferResultMatcher.h,
	tests/xmltester/Stackwalker.h, tests/xmltester/XMLTester.cpp,
	tests/xmltester/XMLTester.h, tests/xmltester/safe_to_xml.sh,
	tests/xmltester/tests/robustness.xml: Complete Note#1 in the
	http://wiki.osgeo.org/wiki/GEOS_Provenance_Review to get out of
	incubation.  git-svn-id: http://svn.osgeo.org/geos/trunk@3565
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-01-07  Mateusz Loskot <mateusz@loskot.net>

	* CMakeLists.txt: Fixed (hopefully) CMake issues with std::
	namespace detection (Ticket #493) git-svn-id: http://svn.osgeo.org/geos/trunk@3563
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-01-07  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/capi/GEOSisValidDetailTest.cpp: Missing <cctype> header
	for toupper. Fixed Visual C++ warning.  git-svn-id: http://svn.osgeo.org/geos/trunk@3562
	5242fede-7e19-0410-aef8-94bd7d2200fb

2012-01-06  Sandro Santilli <strk@keybit.net>

	* src/operation/buffer/BufferOp.cpp: Forward port: Fix MSVC
	compilation of ambiguous log() call #506 git-svn-id: http://svn.osgeo.org/geos/trunk@3561
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-12-16  Sandro Santilli <strk@keybit.net>

	* src/operation/overlay/snap/LineStringSnapper.cpp: Make debugging
	output of LineStringSnapper more readable git-svn-id: http://svn.osgeo.org/geos/trunk@3555
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-12-15  Sandro Santilli <strk@keybit.net>

	* include/geos/geom/BinaryOp.h, tests/xmltester/Makefile.am,
	tests/xmltester/tests/ticket/bug488.xml: Check validity after
	snapping in BinaryOp. Fixes bug #488 Adds regression test. This is a GEOS-only approach.  git-svn-id: http://svn.osgeo.org/geos/trunk@3553
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-12-15  Sandro Santilli <strk@keybit.net>

	* include/geos/operation/overlay/OverlayOp.h: indent git-svn-id: http://svn.osgeo.org/geos/trunk@3550
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-12-15  Sandro Santilli <strk@keybit.net>

	* include/geos/geom/BinaryOp.h: Fix build with CBR_BEFORE_SNAPPING
	undefined git-svn-id: http://svn.osgeo.org/geos/trunk@3548
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-12-12  Howard Butler <hobu.inc@gmail.com>

	* src/operation/overlay/OverlayNodeFactory.cpp: apply patch for #500
	to fix clang's complaint about a missing default initialization git-svn-id: http://svn.osgeo.org/geos/trunk@3546
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-12-12  Sandro Santilli <strk@keybit.net>

	* src/algorithm/CGAlgorithms.cpp: Apply Shoelace formula for area
	calculation (#485) git-svn-id: http://svn.osgeo.org/geos/trunk@3544
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-12-12  Sandro Santilli <strk@keybit.net>

	* macros/geos.m4, tools/geos-config.in: Add --clibs to geos-config
	and GEOS_C_LIBS to geos.m4 (#497) git-svn-id: http://svn.osgeo.org/geos/trunk@3542
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-12-09  Sandro Santilli <strk@keybit.net>

	* include/geos/geom/Geometry.h,
	include/geos/operation/overlay/snap/GeometrySnapper.h,
	include/geos/operation/overlay/snap/SnapOverlayOp.h,
	src/operation/overlay/snap/GeometrySnapper.cpp,
	src/operation/overlay/snap/SnapOverlayOp.cpp: Fix C++11 build by
	avoiding std::pair<auto_ptr> (#491) git-svn-id: http://svn.osgeo.org/geos/trunk@3540
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-12-09  Sandro Santilli <strk@keybit.net>

	* .gitignore: Ignore built performance tests git-svn-id: http://svn.osgeo.org/geos/trunk@3536
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-12-09  Sandro Santilli <strk@keybit.net>

	* src/operation/buffer/BufferOp.cpp,
	tests/unit/operation/buffer/BufferOpTest.cpp,
	tests/xmltester/Makefile.am,
	tests/xmltester/tests/safe/TestBufferJagged.xml,
	tests/xmltester/tests/safe/buffer-1.01.xml: Improve buffer
	robustness by reverting to non snaprounding noder This commit fixes all cases reported in
	http://trac.osgeo.org/geos/wiki/BufferRobustness They include #495
	and #494 git-svn-id: http://svn.osgeo.org/geos/trunk@3535
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-12-09  Sandro Santilli <strk@keybit.net>

	* include/geos/operation/union/CascadedPolygonUnion.h,
	src/operation/union/CascadedPolygonUnion.cpp,
	tests/xmltester/Makefile.am,
	tests/xmltester/tests/general/TestUnaryUnion.xml,
	tests/xmltester/tests/general/TestUnaryUnionFloating.xml: Fix
	CascadedPolygonUnion to discard non-polygonal components created
	during unioning This is to avoid failures and provide more desirable behaviour.
	Includes automated testing. Closes ticket #499.  git-svn-id: http://svn.osgeo.org/geos/trunk@3534
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-12-07  Sandro Santilli <strk@keybit.net>

	* include/geos/noding/snapround/MCIndexPointSnapper.h,
	include/geos/noding/snapround/MCIndexSnapRounder.h,
	src/noding/snapround/MCIndexPointSnapper.cpp,
	src/noding/snapround/MCIndexSnapRounder.cpp: Update port info for
	MCIndexPointSnapper and MCIndexSnapRounder git-svn-id: http://svn.osgeo.org/geos/trunk@3530
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-12-07  Sandro Santilli <strk@keybit.net>

	* tests/unit/Makefile.am,
	tests/unit/noding/snapround/MCIndexSnapRounderTest.cpp: Add a simple
	test for MCIndexSnapRounderTest The test would fail before the fix in r3528 git-svn-id: http://svn.osgeo.org/geos/trunk@3529
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-12-06  Sandro Santilli <strk@keybit.net>

	* include/geos/noding/snapround/HotPixel.h,
	src/noding/snapround/HotPixel.cpp, tests/unit/Makefile.am,
	tests/unit/noding/snapround/HotPixelTest.cpp: HotPixel: do not
	invalidate reference to original point. Fixes #498.  git-svn-id: http://svn.osgeo.org/geos/trunk@3528
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-12-02  Sandro Santilli <strk@keybit.net>

	* tests/xmltester/tests/safe/buffer-1.01.xml: Add <resultMatcher>
	tag to make the test runnable with JTS git-svn-id: http://svn.osgeo.org/geos/trunk@3525
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-11-30  Sandro Santilli <strk@keybit.net>

	* include/geos/noding/snapround/MCIndexSnapRounder.h,
	src/noding/snapround/MCIndexSnapRounder.cpp,
	tests/unit/operation/buffer/BufferOpTest.cpp: Fix MCIndexSnapRounder
	use of provided precision model.  Fixes bug #473 (RightmostEdgeFinder assertion failure).  Includes
	regression test.  git-svn-id: http://svn.osgeo.org/geos/trunk@3523
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-11-29  Sandro Santilli <strk@keybit.net>

	* src/geom/Coordinate.cpp: Use 18 significant digits for
	TopologyException point coordinates git-svn-id: http://svn.osgeo.org/geos/trunk@3522
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-11-28  Sandro Santilli <strk@keybit.net>

	* src/operation/buffer/BufferBuilder.cpp,
	tests/xmltester/Makefile.am,
	tests/xmltester/tests/safe/buffer-1.01.xml: BufferBuilder: fix
	handling of collapsed edges skipping. Fixes #494.  Includes regression test, provided by SAFE.  git-svn-id: http://svn.osgeo.org/geos/trunk@3520
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-11-24  Sandro Santilli <strk@keybit.net>

	* macros/ruby.m4, swig/ruby/Makefile.am, swig/ruby/geos_wrap.cxx,
	swig/ruby/ruby.i: Fix to get swig/ruby compiling for ruby 1.9 Patch by Kashif Rasul git-svn-id: http://svn.osgeo.org/geos/trunk@3518
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-11-06  Mateusz Loskot <mateusz@loskot.net>

	* nmake.opt: * GEOS builds with Visual C++ from Visual Studio 11(Developer
	Preview).  * Added related _NMAKE_VER case to nmake.opt.  git-svn-id: http://svn.osgeo.org/geos/trunk@3517
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-11-04  Sandro Santilli <strk@keybit.net>

	* tests/unit/capi/GEOSisValidDetailTest.cpp: Allow any case in NaN
	for testcase purposes (#486) git-svn-id: http://svn.osgeo.org/geos/trunk@3515
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-11-04  Sandro Santilli <strk@keybit.net>

	* src/operation/union/UnaryUnionOp.cpp,
	tests/unit/operation/union/UnaryUnionOpTest.cpp,
	tests/xmltester/tests/general/TestUnaryUnion.xml: Fix noding of
	self-intersecting lines through UnaryUnion (#482) Includes updated tests from JTS git-svn-id: http://svn.osgeo.org/geos/trunk@3514
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-10-28  Mateusz Loskot <mateusz@loskot.net>

	* : Updated svn:ignore property git-svn-id: http://svn.osgeo.org/geos/trunk@3511
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-10-26  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/operation/buffer/BufferOpTest.cpp: * Test of two ways of executing buffer operation.  * Test problems with BufferOp when using BufferParameters reported
	by Markus Meyer.  * TODO: if possible, replace sample WKT with WKT from Markus.  git-svn-id: http://svn.osgeo.org/geos/trunk@3509
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-10-26  Sandro Santilli <strk@keybit.net>

	* tests/unit/Makefile.am,
	tests/unit/operation/buffer/BufferParametersTest.cpp: Add test for
	BufferParameters class git-svn-id: http://svn.osgeo.org/geos/trunk@3508
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-10-26  Sandro Santilli <strk@keybit.net>

	* authors.svn: Add missing entries in the author file. Order
	alphabetically.  git-svn-id: http://svn.osgeo.org/geos/trunk@3505
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-10-26  Sandro Santilli <strk@keybit.net>

	* NEWS: Add missing CAPI additions of 3.3.0 to NEWS file git-svn-id: http://svn.osgeo.org/geos/trunk@3504
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-10-19  Mateusz Loskot <mateusz@loskot.net>

	* CMakeLists.txt: Fixed CMAKE_CXX_FLAGS overridind -std=gnu++0x
	(#489) git-svn-id: http://svn.osgeo.org/geos/trunk@3502
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-10-18  Mateusz Loskot <mateusz@loskot.net>

	* CMakeLists.txt: Missing 3.4.0 versions update in CMake
	configuration git-svn-id: http://svn.osgeo.org/geos/trunk@3501
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-10-05  Mateusz Loskot <mateusz@loskot.net>

	* capi/geos_ts_c.cpp: Removed redundant casts between integer types git-svn-id: http://svn.osgeo.org/geos/trunk@3499
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-10-05  Howard Butler <hobu.inc@gmail.com>

	* tests/unit/tut/tut_assert.hpp: declare these functions static
	inline to silence unused-function warning git-svn-id: http://svn.osgeo.org/geos/trunk@3498
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-10-04  Howard Butler <hobu.inc@gmail.com>

	* capi/geos_ts_c.cpp, include/geos/algorithm/CGAlgorithms.h,
	include/geos/algorithm/PointInRing.h,
	include/geos/geom/MultiPoint.h,
	include/geos/geom/prep/PreparedGeometry.h,
	include/geos/geomgraph/EdgeEndStar.h,
	include/geos/geomgraph/Node.h,
	include/geos/geomgraph/NodeFactory.h,
	include/geos/geomgraph/index/EdgeSetIntersector.h,
	include/geos/geomgraph/index/MonotoneChainIndexer.h,
	include/geos/geomgraph/index/SweepLineEventObj.h,
	include/geos/index/chain/MonotoneChainOverlapAction.h,
	include/geos/index/strtree/Boundable.h,
	include/geos/index/strtree/SIRtree.h,
	include/geos/index/strtree/STRtree.h,
	include/geos/io/ParseException.h,
	include/geos/io/StringTokenizer.h, include/geos/io/WKBReader.h,
	include/geos/noding/Noder.h, include/geos/noding/SimpleNoder.h,
	include/geos/operation/relate/RelateNodeFactory.h,
	include/geos/operation/valid/RepeatedPointTester.h,
	include/geos/planargraph/GraphComponent.h,
	include/geos/util/IllegalArgumentException.h,
	include/geos/util/IllegalStateException.h,
	include/geos/util/UnsupportedOperationException.h,
	src/precision/CommonBitsRemover.cpp: remove extra ;'s to satisfy
	pedantic warning git-svn-id: http://svn.osgeo.org/geos/trunk@3497
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-10-04  Howard Butler <hobu.inc@gmail.com>

	* CMakeLists.txt: turn off framework building by default on APPLE git-svn-id: http://svn.osgeo.org/geos/trunk@3495
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-10-04  Howard Butler <hobu.inc@gmail.com>

	* : propsets to svn:ignore CMake build junk git-svn-id: http://svn.osgeo.org/geos/trunk@3494
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-10-04  Howard Butler <hobu.inc@gmail.com>

	* src/index/sweepline/SweepLineIndex.cpp: fix up order
	initialization git-svn-id: http://svn.osgeo.org/geos/trunk@3492
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-09-28  Mateusz Loskot <mateusz@loskot.net>

	* tests/unit/simplify/DouglasPeuckerSimplifierTest.cpp: * Added interesting test<11> case to Douglas-Peucker unit * Visual C++ build on Windows x86-32 is all green and happy throwing
	ok:737 git-svn-id: http://svn.osgeo.org/geos/trunk@3491
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-09-23  Sandro Santilli <strk@keybit.net>

	* NEWS, include/geos/linearref/LengthIndexedLine.h,
	include/geos/linearref/LengthLocationMap.h,
	include/geos/linearref/LinearIterator.h,
	include/geos/linearref/LinearLocation.h,
	include/geos/linearref/LocationIndexOfPoint.h,
	include/geos/linearref/LocationIndexedLine.h,
	include/geos/linearref/Makefile.am,
	src/linearref/LengthIndexedLine.cpp,
	src/linearref/LengthLocationMap.cpp,
	src/linearref/LinearIterator.cpp, src/linearref/LinearLocation.cpp,
	src/linearref/LocationIndexOfPoint.cpp: Fixed handling of Linear
	Referencing over MultiLineStrings to always return lowest index, and
	to trim zero-length result components (#323) Includes test. This is a port of JTS changesets 463, 464 and 465 git-svn-id: http://svn.osgeo.org/geos/trunk@3484
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-09-23  Sandro Santilli <strk@keybit.net>

	* tests/unit/linearref/LengthIndexedLineTest.cpp: Port updates to
	the LenghtIndexedLineTest testcase (see #323) Note that the test fails if the library isn't also fixed git-svn-id: http://svn.osgeo.org/geos/trunk@3483
	5242fede-7e19-0410-aef8-94bd7d2200fb

2011-09-23  Mateusz Loskot <mateusz@loskot.net>

	* CMakeLists.txt, Makefile.am, autogen.bat, autogen.sh,
	capi/CMakeLists.txt, capi/Makefile.am, capi/geos_c.cpp,
	capi/geos_c.h.in, capi/geos_ts_c.cpp,
	cmake/cmake_uninstall.cmake.in, configure.in, doc/Makefile.am,
	doc/example.cpp, examples/CPCLException.cpp,
	examples/CoordinateSequencesExample.cpp,
	examples/CustomCoordinateSequenceExample.cpp,
	examples/CustomCoordinateSequenceExample.h,
	examples/CustomPointCoordinateSequence.cpp, examples/Makefile.am,
	include/CMakeLists.txt, include/Makefile.am, include/acconfig.h,
	include/geos.h, include/geos/Makefile.am,
	include/geos/algorithm/Angle.h,
	include/geos/algorithm/BoundaryNodeRule.h,
	include/geos/algorithm/CentralEndpointIntersector.h,
	include/geos/algorithm/CentroidArea.h,
	include/geos/algorithm/CentroidLine.h,
	include/geos/algorithm/CentroidPoint.h,
	include/geos/algorithm/ConvexHull.h,
	include/geos/algorithm/ConvexHull.inl,
	include/geos/algorithm/HCoordinate.h,
	include/geos/algorithm/InteriorPointArea.h,
	include/geos/algorithm/InteriorPointLine.h,
	include/geos/algorithm/InteriorPointPoint.h,
	include/geos/algorithm/LineIntersector.h,
	include/geos/algorithm/MCPointInRing.h,
	include/geos/algorithm/Makefile.am,
	include/geos/algorithm/MinimumDiameter.h,
	include/geos/algorithm/NotRepresentableException.h,
	include/geos/algorithm/PointInRing.h,
	include/geos/algorithm/PointLocator.h,
	include/geos/algorithm/RayCrossingCounter.h,
	include/geos/algorithm/RobustDeterminant.h,
	include/geos/algorithm/SIRtreePointInRing.h,
	include/geos/algorithm/SimplePointInRing.h,
	include/geos/algorithm/distance/DiscreteHausdorffDistance.h,
	include/geos/algorithm/distance/DistanceToPoint.h,
	include/geos/algorithm/distance/Makefile.am,
	include/geos/algorithm/distance/PointPairDistance.h,
	include/geos/algorithm/locate/IndexedPointInAreaLocator.h,
	include/geos/algorithm/locate/Makefile.am,
	include/geos/algorithm/locate/PointOnGeometryLocator.h,
	include/geos/algorithm/locate/SimplePointInAreaLocator.h,
	include/geos/export.h, include/geos/geom.h,
	include/geos/geom/BinaryOp.h, include/geos/geom/Coordinate.h,
	include/geos/geom/Coordinate.inl,
	include/geos/geom/CoordinateArraySequence.h,
	include/geos/geom/CoordinateArraySequenceFactory.h,
	include/geos/geom/CoordinateArraySequenceFactory.inl,
	include/geos/geom/CoordinateFilter.h,
	include/geos/geom/CoordinateList.h,
	include/geos/geom/CoordinateSequence.h,
	include/geos/geom/CoordinateSequenceFactory.h,
	include/geos/geom/CoordinateSequenceFilter.h,
	include/geos/geom/Dimension.h, include/geos/geom/Envelope.h,
	include/geos/geom/Envelope.inl, include/geos/geom/Geometry.h,
	include/geos/geom/GeometryCollection.h,
	include/geos/geom/GeometryCollection.inl,
	include/geos/geom/GeometryComponentFilter.h,
	include/geos/geom/GeometryFactory.h,
	include/geos/geom/GeometryFactory.inl,
	include/geos/geom/GeometryFilter.h,
	include/geos/geom/GeometryList.h,
	include/geos/geom/IntersectionMatrix.h,
	include/geos/geom/LineSegment.h, include/geos/geom/LineSegment.inl,
	include/geos/geom/LineString.h, include/geos/geom/Lineal.h,
	include/geos/geom/LinearRing.h, include/geos/geom/Location.h,
	include/geos/geom/Makefile.am, include/geos/geom/MultiLineString.h,
	include/geos/geom/MultiLineString.inl,
	include/geos/geom/MultiPoint.h, include/geos/geom/MultiPolygon.h,
	include/geos/geom/MultiPolygon.inl, include/geos/geom/Point.h,
	include/geos/geom/Polygon.h, include/geos/geom/Polygonal.h,
	include/geos/geom/PrecisionModel.h,
	include/geos/geom/PrecisionModel.inl, include/geos/geom/Puntal.h,
	include/geos/geom/Triangle.h,
	include/geos/geom/prep/BasicPreparedGeometry.h,
	include/geos/geom/prep/Makefile.am,
	include/geos/geom/prep/PreparedGeometry.h,
	include/geos/geom/prep/PreparedGeometryFactory.h,
	include/geos/geom/prep/PreparedLineString.h,
	include/geos/geom/prep/PreparedPoint.h,
	include/geos/geom/prep/PreparedPolygon.h,
	include/geos/geom/prep/PreparedPolygonContains.h,
	include/geos/geom/prep/PreparedPolygonContainsProperly.h,
	include/geos/geom/prep/PreparedPolygonCovers.h,
	include/geos/geom/prep/PreparedPolygonIntersects.h,
	include/geos/geom/prep/PreparedPolygonPredicate.h,
	include/geos/geom/util/ComponentCoordinateExtracter.h,
	include/geos/geom/util/CoordinateOperation.h,
	include/geos/geom/util/GeometryCombiner.h,
	include/geos/geom/util/GeometryEditor.h,
	include/geos/geom/util/GeometryEditorOperation.h,
	include/geos/geom/util/GeometryExtracter.h,
	include/geos/geom/util/GeometryTransformer.h,
	include/geos/geom/util/LinearComponentExtracter.h,
	include/geos/geom/util/Makefile.am,
	include/geos/geom/util/PointExtracter.h,
	include/geos/geom/util/PolygonExtracter.h,
	include/geos/geom/util/ShortCircuitedGeometryVisitor.h,
	include/geos/geomPrep.h, include/geos/geomUtil.h,
	include/geos/geomgraph.h, include/geos/geomgraph/Depth.h,
	include/geos/geomgraph/EdgeList.h,
	include/geos/geomgraph/EdgeNodingValidator.h,
	include/geos/geomgraph/Makefile.am,
	include/geos/geomgraph/NodeFactory.h,
	include/geos/geomgraph/NodeMap.h,
	include/geos/geomgraph/Position.h,
	include/geos/geomgraph/Quadrant.h,
	include/geos/geomgraph/index/EdgeSetIntersector.h,
	include/geos/geomgraph/index/Makefile.am,
	include/geos/geomgraph/index/MonotoneChain.h,
	include/geos/geomgraph/index/MonotoneChainEdge.h,
	include/geos/geomgraph/index/MonotoneChainIndexer.h,
	include/geos/geomgraph/index/SegmentIntersector.h,
	include/geos/geomgraph/index/SimpleEdgeSetIntersector.h,
	include/geos/geomgraph/index/SimpleMCSweepLineIntersector.h,
	include/geos/geomgraph/index/SimpleSweepLineIntersector.h,
	include/geos/geomgraph/index/SweepLineEvent.h,
	include/geos/geomgraph/index/SweepLineEventObj.h,
	include/geos/geomgraph/index/SweepLineSegment.h,
	include/geos/geomgraphindex.h, include/geos/geosAlgorithm.h,
	include/geos/index/ItemVisitor.h, include/geos/index/Makefile.am,
	include/geos/index/SpatialIndex.h,
	include/geos/index/bintree/Bintree.h,
	include/geos/index/bintree/Interval.h,
	include/geos/index/bintree/Key.h,
	include/geos/index/bintree/Makefile.am,
	include/geos/index/bintree/Node.h,
	include/geos/index/bintree/NodeBase.h,
	include/geos/index/bintree/Root.h,
	include/geos/index/chain/Makefile.am,
	include/geos/index/chain/MonotoneChain.h,
	include/geos/index/chain/MonotoneChainOverlapAction.h,
	include/geos/index/chain/MonotoneChainSelectAction.h,
	include/geos/index/intervalrtree/IntervalRTreeBranchNode.h,
	include/geos/index/intervalrtree/IntervalRTreeLeafNode.h,
	include/geos/index/intervalrtree/IntervalRTreeNode.h,
	include/geos/index/intervalrtree/Makefile.am,
	include/geos/index/intervalrtree/SortedPackedIntervalRTree.h,
	include/geos/index/quadtree/DoubleBits.h,
	include/geos/index/quadtree/IntervalSize.h,
	include/geos/index/quadtree/Key.h,
	include/geos/index/quadtree/Makefile.am,
	include/geos/index/quadtree/Node.h,
	include/geos/index/quadtree/NodeBase.h,
	include/geos/index/quadtree/Quadtree.h,
	include/geos/index/quadtree/Root.h,
	include/geos/index/strtree/AbstractNode.h,
	include/geos/index/strtree/AbstractSTRtree.h,
	include/geos/index/strtree/Boundable.h,
	include/geos/index/strtree/Interval.h,
	include/geos/index/strtree/ItemBoundable.h,
	include/geos/index/strtree/Makefile.am,
	include/geos/index/strtree/SIRtree.h,
	include/geos/index/strtree/STRtree.h,
	include/geos/index/sweepline/Makefile.am,
	include/geos/index/sweepline/SweepLineEvent.h,
	include/geos/index/sweepline/SweepLineIndex.h,
	include/geos/index/sweepline/SweepLineInterval.h,
	include/geos/index/sweepline/SweepLineOverlapAction.h,
	include/geos/indexBintree.h, include/geos/indexChain.h,
	include/geos/indexIntervalRTree.h, include/geos/indexQuadtree.h,
	include/geos/indexStrtree.h, include/geos/indexSweepline.h,
	include/geos/inline.h, include/geos/io.h,
	include/geos/io/ByteOrderDataInStream.h,
	include/geos/io/ByteOrderDataInStream.inl,
	include/geos/io/ByteOrderValues.h, include/geos/io/CLocalizer.h,
	include/geos/io/Makefile.am, include/geos/io/ParseException.h,
	include/geos/io/StringTokenizer.h, include/geos/io/WKBConstants.h,
	include/geos/io/WKBReader.h, include/geos/io/WKBWriter.h,
	include/geos/io/WKTReader.h, include/geos/io/WKTReader.inl,
	include/geos/io/WKTWriter.h, include/geos/io/Writer.h,
	include/geos/linearref/ExtractLineByLocation.h,
	include/geos/linearref/LengthIndexOfPoint.h,
	include/geos/linearref/LengthIndexedLine.h,
	include/geos/linearref/LengthLocationMap.h,
	include/geos/linearref/LinearGeometryBuilder.h,
	include/geos/linearref/LinearIterator.h,
	include/geos/linearref/LinearLocation.h,
	include/geos/linearref/LocationIndexOfLine.h,
	include/geos/linearref/LocationIndexOfPoint.h,
	include/geos/linearref/Makefile.am, include/geos/noding.h,
	include/geos/noding/BasicSegmentString.h,
	include/geos/noding/FastNodingValidator.h,
	include/geos/noding/IntersectionAdder.h,
	include/geos/noding/IntersectionFinderAdder.h,
	include/geos/noding/IteratedNoder.h,
	include/geos/noding/MCIndexNoder.h,
	include/geos/noding/MCIndexNoder.inl,
	include/geos/noding/Makefile.am,
	include/geos/noding/NodableSegmentString.h,
	include/geos/noding/NodedSegmentString.h,
	include/geos/noding/NodingValidator.h,
	include/geos/noding/Octant.h,
	include/geos/noding/OrientedCoordinateArray.h,
	include/geos/noding/ScaledNoder.h,
	include/geos/noding/SegmentIntersectionDetector.h,
	include/geos/noding/SegmentIntersector.h,
	include/geos/noding/SegmentNode.h,
	include/geos/noding/SegmentNodeList.h,
	include/geos/noding/SegmentSetMutualIntersector.h,
	include/geos/noding/SegmentStringUtil.h,
	include/geos/noding/SimpleNoder.h,
	include/geos/noding/SingleInteriorIntersectionFinder.h,
	include/geos/noding/SinglePassNoder.h,
	include/geos/noding/snapround/HotPixel.h,
	include/geos/noding/snapround/HotPixel.inl,
	include/geos/noding/snapround/MCIndexPointSnapper.h,
	include/geos/noding/snapround/MCIndexSnapRounder.h,
	include/geos/noding/snapround/Makefile.am,
	include/geos/noding/snapround/SimpleSnapRounder.h,
	include/geos/nodingSnapround.h, include/geos/opBuffer.h,
	include/geos/opDistance.h, include/geos/opLinemerge.h,
	include/geos/opOverlay.h, include/geos/opPolygonize.h,
	include/geos/opPredicate.h, include/geos/opRelate.h,
	include/geos/opValid.h, include/geos/operation.h,
	include/geos/operation/GeometryGraphOperation.h,
	include/geos/operation/IsSimpleOp.h,
	include/geos/operation/Makefile.am,
	include/geos/operation/buffer/BufferBuilder.h,
	include/geos/operation/buffer/BufferOp.h,
	include/geos/operation/buffer/BufferParameters.h,
	include/geos/operation/buffer/BufferSubgraph.h,
	include/geos/operation/buffer/Makefile.am,
	include/geos/operation/buffer/OffsetCurveBuilder.h,
	include/geos/operation/buffer/OffsetCurveSetBuilder.h,
	include/geos/operation/buffer/OffsetSegmentGenerator.h,
	include/geos/operation/buffer/OffsetSegmentString.h,
	include/geos/operation/buffer/RightmostEdgeFinder.h,
	include/geos/operation/buffer/SubgraphDepthLocater.h,
	include/geos/operation/distance/ConnectedElementLocationFilter.h,
	include/geos/operation/distance/ConnectedElementPointFilter.h,
	include/geos/operation/distance/DistanceOp.h,
	include/geos/operation/distance/GeometryLocation.h,
	include/geos/operation/distance/Makefile.am,
	include/geos/operation/linemerge/EdgeString.h,
	include/geos/operation/linemerge/LineMergeDirectedEdge.h,
	include/geos/operation/linemerge/LineMergeEdge.h,
	include/geos/operation/linemerge/LineMergeGraph.h,
	include/geos/operation/linemerge/LineMerger.h,
	include/geos/operation/linemerge/LineSequencer.h,
	include/geos/operation/linemerge/Makefile.am,
	include/geos/operation/overlay/EdgeSetNoder.h,
	include/geos/operation/overlay/ElevationMatrix.h,
	include/geos/operation/overlay/ElevationMatrixCell.h,
	include/geos/operation/overlay/LineBuilder.h,
	include/geos/operation/overlay/Makefile.am,
	include/geos/operation/overlay/MaximalEdgeRing.h,
	include/geos/operation/overlay/MinimalEdgeRing.h,
	include/geos/operation/overlay/MinimalEdgeRing.inl,
